#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 782
#define LARGE_STATE_COUNT 2
#define SYMBOL_COUNT 200
#define ALIAS_COUNT 2
#define TOKEN_COUNT 96
#define EXTERNAL_TOKEN_COUNT 25
#define FIELD_COUNT 31
#define MAX_ALIAS_SEQUENCE_LENGTH 7
#define PRODUCTION_ID_COUNT 69

enum ts_symbol_identifiers {
  anon_sym_LT_BANG = 1,
  aux_sym_doctype_token1 = 2,
  anon_sym_GT = 3,
  sym__doctype = 4,
  anon_sym_LT = 5,
  anon_sym_SLASH_GT = 6,
  anon_sym_LT_SLASH = 7,
  sym_attribute_name = 8,
  sym_attribute_value = 9,
  sym_entity = 10,
  anon_sym_SQUOTE = 11,
  aux_sym_quoted_attribute_value_token1 = 12,
  anon_sym_DQUOTE = 13,
  aux_sym_quoted_attribute_value_token2 = 14,
  sym_text = 15,
  anon_sym_LBRACE = 16,
  anon_sym_RBRACE = 17,
  anon_sym_SEMI = 18,
  anon_sym_LPAREN = 19,
  anon_sym_RPAREN = 20,
  anon_sym_prefetch = 21,
  anon_sym_when = 22,
  anon_sym_on = 23,
  anon_sym_after = 24,
  anon_sym_minimum = 25,
  anon_sym_of = 26,
  anon_sym_track = 27,
  anon_sym_let = 28,
  anon_sym_COMMA = 29,
  anon_sym_as = 30,
  anon_sym_EQ = 31,
  anon_sym_plural = 32,
  anon_sym_select = 33,
  sym_icu_category = 34,
  anon_sym_STAR = 35,
  anon_sym_COLON = 36,
  anon_sym_then = 37,
  anon_sym_else = 38,
  anon_sym_context = 39,
  anon_sym_LBRACK = 40,
  anon_sym_RBRACK = 41,
  anon_sym_LBRACK_LPAREN = 42,
  anon_sym_RPAREN_RBRACK = 43,
  anon_sym_LBRACK_AT = 44,
  anon_sym_BANG = 45,
  anon_sym_QMARK = 46,
  anon_sym_QMARK_QMARK = 47,
  anon_sym_PIPE_PIPE = 48,
  anon_sym_AMP_AMP = 49,
  anon_sym_PIPE = 50,
  sym_identifier = 51,
  sym__escape_sequence = 52,
  aux_sym_string_token1 = 53,
  aux_sym_string_token2 = 54,
  sym_number_fragment = 55,
  anon_sym_ms = 56,
  anon_sym_s = 57,
  anon_sym_DOT = 58,
  anon_sym_QMARK_DOT = 59,
  anon_sym_BANG_DOT = 60,
  sym__closing_bracket = 61,
  anon_sym_PLUS = 62,
  anon_sym_DASH = 63,
  anon_sym_SLASH = 64,
  anon_sym_PERCENT = 65,
  anon_sym_EQ_EQ = 66,
  anon_sym_EQ_EQ_EQ = 67,
  anon_sym_BANG_EQ = 68,
  anon_sym_BANG_EQ_EQ = 69,
  anon_sym_LT_EQ = 70,
  anon_sym_GT_EQ = 71,
  sym__start_tag_name = 72,
  sym__script_start_tag_name = 73,
  sym__style_start_tag_name = 74,
  sym__end_tag_name = 75,
  sym_erroneous_end_tag_name = 76,
  sym__implicit_end_tag = 77,
  sym_raw_text = 78,
  sym_comment = 79,
  sym__interpolation_start = 80,
  sym__interpolation_end = 81,
  sym_if_start = 82,
  sym_else_start = 83,
  sym_for_start = 84,
  sym_switch_start = 85,
  sym_case_start = 86,
  sym_default_start = 87,
  sym_defer_start = 88,
  sym_let_start = 89,
  sym_empty_start = 90,
  sym_placeholder_start = 91,
  sym_loading_start = 92,
  sym_error_start = 93,
  sym_else_if_start = 94,
  sym_at_sign = 95,
  sym_document = 96,
  sym_doctype = 97,
  sym__node = 98,
  sym_element = 99,
  sym_script_element = 100,
  sym_style_element = 101,
  sym_start_tag = 102,
  sym_script_start_tag = 103,
  sym_style_start_tag = 104,
  sym_self_closing_tag = 105,
  sym_end_tag = 106,
  sym_erroneous_end_tag = 107,
  sym_attribute = 108,
  sym_quoted_attribute_value = 109,
  sym_statement_block = 110,
  sym__any_statement = 111,
  sym__alternative_statement = 112,
  sym_let_statement = 113,
  sym_switch_statement = 114,
  sym_switch_body = 115,
  sym_case_statement = 116,
  sym_default_statement = 117,
  sym_defer_statement = 118,
  sym_placeholder_statement = 119,
  sym_loading_statement = 120,
  sym_error_statement = 121,
  sym_defer_trigger = 122,
  sym_placeholder_minimum = 123,
  sym_loading_condition = 124,
  sym_defer_trigger_condition = 125,
  sym_timed_expression = 126,
  sym_for_statement = 127,
  sym_empty_statement = 128,
  sym_for_declaration = 129,
  sym_for_references = 130,
  sym_for_reference = 131,
  sym_if_statement = 132,
  sym_else_if_statement = 133,
  sym_else_statement = 134,
  sym_if_condition = 135,
  sym_if_reference = 136,
  sym__any_expression = 137,
  sym_assignment_expression = 138,
  sym_icu_expression = 139,
  sym_icu_clause = 140,
  sym_icu_case = 141,
  sym_interpolation = 142,
  sym_structural_directive = 143,
  sym_structural_expression = 144,
  sym_structural_declaration = 145,
  sym_structural_assignment = 146,
  sym__alias = 147,
  sym__then_template_expression = 148,
  sym__else_template_expression = 149,
  sym__context_expression = 150,
  sym__structural_let_expression = 151,
  sym_property_binding = 152,
  sym_event_binding = 153,
  sym_two_way_binding = 154,
  sym_animation_binding = 155,
  sym__binding_assignment = 156,
  sym_binding_name = 157,
  sym__normal_attribute = 158,
  sym_expression = 159,
  sym_unary_expression = 160,
  sym_binary_expression = 161,
  sym_ternary_expression = 162,
  sym_nullish_coalescing_expression = 163,
  sym_conditional_expression = 164,
  sym_pipe_sequence = 165,
  sym_pipe_call = 166,
  sym_pipe_arguments = 167,
  sym__primitive = 168,
  sym_object = 169,
  sym_pair = 170,
  sym_array = 171,
  sym_string = 172,
  sym_number = 173,
  sym_group = 174,
  sym_call_expression = 175,
  sym_arguments = 176,
  sym_member_expression = 177,
  sym_bracket_expression = 178,
  sym_static_member_expression = 179,
  sym__single_quote = 180,
  sym__double_quote = 181,
  sym__binary_op = 182,
  aux_sym_document_repeat1 = 183,
  aux_sym_start_tag_repeat1 = 184,
  aux_sym_switch_body_repeat1 = 185,
  aux_sym_defer_trigger_repeat1 = 186,
  aux_sym_for_references_repeat1 = 187,
  aux_sym_for_reference_repeat1 = 188,
  aux_sym_if_statement_repeat1 = 189,
  aux_sym_icu_expression_repeat1 = 190,
  aux_sym_structural_declaration_repeat1 = 191,
  aux_sym__binding_assignment_repeat1 = 192,
  aux_sym_pipe_sequence_repeat1 = 193,
  aux_sym_pipe_arguments_repeat1 = 194,
  aux_sym_object_repeat1 = 195,
  aux_sym_array_repeat1 = 196,
  aux_sym_string_repeat1 = 197,
  aux_sym_string_repeat2 = 198,
  aux_sym_arguments_repeat1 = 199,
  alias_sym_conditional_operator = 200,
  alias_sym_unary_operator = 201,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [anon_sym_LT_BANG] = "<!",
  [aux_sym_doctype_token1] = "doctype_token1",
  [anon_sym_GT] = ">",
  [sym__doctype] = "doctype",
  [anon_sym_LT] = "<",
  [anon_sym_SLASH_GT] = "/>",
  [anon_sym_LT_SLASH] = "</",
  [sym_attribute_name] = "attribute_name",
  [sym_attribute_value] = "attribute_value",
  [sym_entity] = "entity",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_quoted_attribute_value_token1] = "attribute_value",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_quoted_attribute_value_token2] = "attribute_value",
  [sym_text] = "text",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_SEMI] = ";",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_prefetch] = "prefetch_keyword",
  [anon_sym_when] = "special_keyword",
  [anon_sym_on] = "special_keyword",
  [anon_sym_after] = "special_keyword",
  [anon_sym_minimum] = "special_keyword",
  [anon_sym_of] = "of",
  [anon_sym_track] = "special_keyword",
  [anon_sym_let] = "special_keyword",
  [anon_sym_COMMA] = ",",
  [anon_sym_as] = "special_keyword",
  [anon_sym_EQ] = "=",
  [anon_sym_plural] = "plural",
  [anon_sym_select] = "select",
  [sym_icu_category] = "icu_category",
  [anon_sym_STAR] = "*",
  [anon_sym_COLON] = ":",
  [anon_sym_then] = "special_keyword",
  [anon_sym_else] = "special_keyword",
  [anon_sym_context] = "special_keyword",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_LBRACK_LPAREN] = "[(",
  [anon_sym_RPAREN_RBRACK] = ")]",
  [anon_sym_LBRACK_AT] = "[@",
  [anon_sym_BANG] = "!",
  [anon_sym_QMARK] = "ternary_operator",
  [anon_sym_QMARK_QMARK] = "coalescing_operator",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE] = "pipe_operator",
  [sym_identifier] = "identifier",
  [sym__escape_sequence] = "_escape_sequence",
  [aux_sym_string_token1] = "string_token1",
  [aux_sym_string_token2] = "string_token2",
  [sym_number_fragment] = "number_fragment",
  [anon_sym_ms] = "unit",
  [anon_sym_s] = "unit",
  [anon_sym_DOT] = ".",
  [anon_sym_QMARK_DOT] = "\?.",
  [anon_sym_BANG_DOT] = "!.",
  [sym__closing_bracket] = "_closing_bracket",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT_EQ] = ">=",
  [sym__start_tag_name] = "tag_name",
  [sym__script_start_tag_name] = "tag_name",
  [sym__style_start_tag_name] = "tag_name",
  [sym__end_tag_name] = "tag_name",
  [sym_erroneous_end_tag_name] = "erroneous_end_tag_name",
  [sym__implicit_end_tag] = "_implicit_end_tag",
  [sym_raw_text] = "raw_text",
  [sym_comment] = "comment",
  [sym__interpolation_start] = "{{",
  [sym__interpolation_end] = "}}",
  [sym_if_start] = "control_keyword",
  [sym_else_start] = "control_keyword",
  [sym_for_start] = "control_keyword",
  [sym_switch_start] = "control_keyword",
  [sym_case_start] = "control_keyword",
  [sym_default_start] = "control_keyword",
  [sym_defer_start] = "control_keyword",
  [sym_let_start] = "control_keyword",
  [sym_empty_start] = "control_keyword",
  [sym_placeholder_start] = "control_keyword",
  [sym_loading_start] = "control_keyword",
  [sym_error_start] = "control_keyword",
  [sym_else_if_start] = "control_keyword",
  [sym_at_sign] = "at_sign",
  [sym_document] = "document",
  [sym_doctype] = "doctype",
  [sym__node] = "_node",
  [sym_element] = "element",
  [sym_script_element] = "script_element",
  [sym_style_element] = "style_element",
  [sym_start_tag] = "start_tag",
  [sym_script_start_tag] = "start_tag",
  [sym_style_start_tag] = "start_tag",
  [sym_self_closing_tag] = "self_closing_tag",
  [sym_end_tag] = "end_tag",
  [sym_erroneous_end_tag] = "erroneous_end_tag",
  [sym_attribute] = "attribute",
  [sym_quoted_attribute_value] = "quoted_attribute_value",
  [sym_statement_block] = "statement_block",
  [sym__any_statement] = "_any_statement",
  [sym__alternative_statement] = "_alternative_statement",
  [sym_let_statement] = "let_statement",
  [sym_switch_statement] = "switch_statement",
  [sym_switch_body] = "switch_body",
  [sym_case_statement] = "case_statement",
  [sym_default_statement] = "default_statement",
  [sym_defer_statement] = "defer_statement",
  [sym_placeholder_statement] = "placeholder_statement",
  [sym_loading_statement] = "loading_statement",
  [sym_error_statement] = "error_statement",
  [sym_defer_trigger] = "defer_trigger",
  [sym_placeholder_minimum] = "placeholder_minimum",
  [sym_loading_condition] = "loading_condition",
  [sym_defer_trigger_condition] = "defer_trigger_condition",
  [sym_timed_expression] = "timed_expression",
  [sym_for_statement] = "for_statement",
  [sym_empty_statement] = "empty_statement",
  [sym_for_declaration] = "for_declaration",
  [sym_for_references] = "for_references",
  [sym_for_reference] = "for_reference",
  [sym_if_statement] = "if_statement",
  [sym_else_if_statement] = "else_if_statement",
  [sym_else_statement] = "else_statement",
  [sym_if_condition] = "if_condition",
  [sym_if_reference] = "if_reference",
  [sym__any_expression] = "_any_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_icu_expression] = "icu_expression",
  [sym_icu_clause] = "icu_clause",
  [sym_icu_case] = "icu_case",
  [sym_interpolation] = "interpolation",
  [sym_structural_directive] = "structural_directive",
  [sym_structural_expression] = "structural_expression",
  [sym_structural_declaration] = "structural_declaration",
  [sym_structural_assignment] = "structural_assignment",
  [sym__alias] = "_alias",
  [sym__then_template_expression] = "_then_template_expression",
  [sym__else_template_expression] = "_else_template_expression",
  [sym__context_expression] = "_context_expression",
  [sym__structural_let_expression] = "_structural_let_expression",
  [sym_property_binding] = "property_binding",
  [sym_event_binding] = "event_binding",
  [sym_two_way_binding] = "two_way_binding",
  [sym_animation_binding] = "animation_binding",
  [sym__binding_assignment] = "_binding_assignment",
  [sym_binding_name] = "binding_name",
  [sym__normal_attribute] = "_normal_attribute",
  [sym_expression] = "expression",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_ternary_expression] = "ternary_expression",
  [sym_nullish_coalescing_expression] = "nullish_coalescing_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_pipe_sequence] = "pipe_sequence",
  [sym_pipe_call] = "pipe_call",
  [sym_pipe_arguments] = "pipe_arguments",
  [sym__primitive] = "_primitive",
  [sym_object] = "object",
  [sym_pair] = "pair",
  [sym_array] = "array",
  [sym_string] = "string",
  [sym_number] = "number",
  [sym_group] = "group",
  [sym_call_expression] = "call_expression",
  [sym_arguments] = "arguments",
  [sym_member_expression] = "member_expression",
  [sym_bracket_expression] = "bracket_expression",
  [sym_static_member_expression] = "static_member_expression",
  [sym__single_quote] = "_single_quote",
  [sym__double_quote] = "_double_quote",
  [sym__binary_op] = "_binary_op",
  [aux_sym_document_repeat1] = "document_repeat1",
  [aux_sym_start_tag_repeat1] = "start_tag_repeat1",
  [aux_sym_switch_body_repeat1] = "switch_body_repeat1",
  [aux_sym_defer_trigger_repeat1] = "defer_trigger_repeat1",
  [aux_sym_for_references_repeat1] = "for_references_repeat1",
  [aux_sym_for_reference_repeat1] = "for_reference_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_icu_expression_repeat1] = "icu_expression_repeat1",
  [aux_sym_structural_declaration_repeat1] = "structural_declaration_repeat1",
  [aux_sym__binding_assignment_repeat1] = "_binding_assignment_repeat1",
  [aux_sym_pipe_sequence_repeat1] = "pipe_sequence_repeat1",
  [aux_sym_pipe_arguments_repeat1] = "pipe_arguments_repeat1",
  [aux_sym_object_repeat1] = "object_repeat1",
  [aux_sym_array_repeat1] = "array_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_repeat2] = "string_repeat2",
  [aux_sym_arguments_repeat1] = "arguments_repeat1",
  [alias_sym_conditional_operator] = "conditional_operator",
  [alias_sym_unary_operator] = "unary_operator",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [anon_sym_LT_BANG] = anon_sym_LT_BANG,
  [aux_sym_doctype_token1] = aux_sym_doctype_token1,
  [anon_sym_GT] = anon_sym_GT,
  [sym__doctype] = sym__doctype,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_SLASH_GT] = anon_sym_SLASH_GT,
  [anon_sym_LT_SLASH] = anon_sym_LT_SLASH,
  [sym_attribute_name] = sym_attribute_name,
  [sym_attribute_value] = sym_attribute_value,
  [sym_entity] = sym_entity,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_quoted_attribute_value_token1] = sym_attribute_value,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_quoted_attribute_value_token2] = sym_attribute_value,
  [sym_text] = sym_text,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_prefetch] = anon_sym_prefetch,
  [anon_sym_when] = anon_sym_when,
  [anon_sym_on] = anon_sym_when,
  [anon_sym_after] = anon_sym_when,
  [anon_sym_minimum] = anon_sym_when,
  [anon_sym_of] = anon_sym_of,
  [anon_sym_track] = anon_sym_when,
  [anon_sym_let] = anon_sym_when,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_as] = anon_sym_when,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_plural] = anon_sym_plural,
  [anon_sym_select] = anon_sym_select,
  [sym_icu_category] = sym_icu_category,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_then] = anon_sym_when,
  [anon_sym_else] = anon_sym_when,
  [anon_sym_context] = anon_sym_when,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_LBRACK_LPAREN] = anon_sym_LBRACK_LPAREN,
  [anon_sym_RPAREN_RBRACK] = anon_sym_RPAREN_RBRACK,
  [anon_sym_LBRACK_AT] = anon_sym_LBRACK_AT,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [sym_identifier] = sym_identifier,
  [sym__escape_sequence] = sym__escape_sequence,
  [aux_sym_string_token1] = aux_sym_string_token1,
  [aux_sym_string_token2] = aux_sym_string_token2,
  [sym_number_fragment] = sym_number_fragment,
  [anon_sym_ms] = anon_sym_ms,
  [anon_sym_s] = anon_sym_ms,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_QMARK_DOT] = anon_sym_QMARK_DOT,
  [anon_sym_BANG_DOT] = anon_sym_BANG_DOT,
  [sym__closing_bracket] = sym__closing_bracket,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [sym__start_tag_name] = sym__start_tag_name,
  [sym__script_start_tag_name] = sym__start_tag_name,
  [sym__style_start_tag_name] = sym__start_tag_name,
  [sym__end_tag_name] = sym__start_tag_name,
  [sym_erroneous_end_tag_name] = sym_erroneous_end_tag_name,
  [sym__implicit_end_tag] = sym__implicit_end_tag,
  [sym_raw_text] = sym_raw_text,
  [sym_comment] = sym_comment,
  [sym__interpolation_start] = sym__interpolation_start,
  [sym__interpolation_end] = sym__interpolation_end,
  [sym_if_start] = sym_if_start,
  [sym_else_start] = sym_if_start,
  [sym_for_start] = sym_if_start,
  [sym_switch_start] = sym_if_start,
  [sym_case_start] = sym_if_start,
  [sym_default_start] = sym_if_start,
  [sym_defer_start] = sym_if_start,
  [sym_let_start] = sym_if_start,
  [sym_empty_start] = sym_if_start,
  [sym_placeholder_start] = sym_if_start,
  [sym_loading_start] = sym_if_start,
  [sym_error_start] = sym_if_start,
  [sym_else_if_start] = sym_if_start,
  [sym_at_sign] = sym_at_sign,
  [sym_document] = sym_document,
  [sym_doctype] = sym_doctype,
  [sym__node] = sym__node,
  [sym_element] = sym_element,
  [sym_script_element] = sym_script_element,
  [sym_style_element] = sym_style_element,
  [sym_start_tag] = sym_start_tag,
  [sym_script_start_tag] = sym_start_tag,
  [sym_style_start_tag] = sym_start_tag,
  [sym_self_closing_tag] = sym_self_closing_tag,
  [sym_end_tag] = sym_end_tag,
  [sym_erroneous_end_tag] = sym_erroneous_end_tag,
  [sym_attribute] = sym_attribute,
  [sym_quoted_attribute_value] = sym_quoted_attribute_value,
  [sym_statement_block] = sym_statement_block,
  [sym__any_statement] = sym__any_statement,
  [sym__alternative_statement] = sym__alternative_statement,
  [sym_let_statement] = sym_let_statement,
  [sym_switch_statement] = sym_switch_statement,
  [sym_switch_body] = sym_switch_body,
  [sym_case_statement] = sym_case_statement,
  [sym_default_statement] = sym_default_statement,
  [sym_defer_statement] = sym_defer_statement,
  [sym_placeholder_statement] = sym_placeholder_statement,
  [sym_loading_statement] = sym_loading_statement,
  [sym_error_statement] = sym_error_statement,
  [sym_defer_trigger] = sym_defer_trigger,
  [sym_placeholder_minimum] = sym_placeholder_minimum,
  [sym_loading_condition] = sym_loading_condition,
  [sym_defer_trigger_condition] = sym_defer_trigger_condition,
  [sym_timed_expression] = sym_timed_expression,
  [sym_for_statement] = sym_for_statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym_for_declaration] = sym_for_declaration,
  [sym_for_references] = sym_for_references,
  [sym_for_reference] = sym_for_reference,
  [sym_if_statement] = sym_if_statement,
  [sym_else_if_statement] = sym_else_if_statement,
  [sym_else_statement] = sym_else_statement,
  [sym_if_condition] = sym_if_condition,
  [sym_if_reference] = sym_if_reference,
  [sym__any_expression] = sym__any_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_icu_expression] = sym_icu_expression,
  [sym_icu_clause] = sym_icu_clause,
  [sym_icu_case] = sym_icu_case,
  [sym_interpolation] = sym_interpolation,
  [sym_structural_directive] = sym_structural_directive,
  [sym_structural_expression] = sym_structural_expression,
  [sym_structural_declaration] = sym_structural_declaration,
  [sym_structural_assignment] = sym_structural_assignment,
  [sym__alias] = sym__alias,
  [sym__then_template_expression] = sym__then_template_expression,
  [sym__else_template_expression] = sym__else_template_expression,
  [sym__context_expression] = sym__context_expression,
  [sym__structural_let_expression] = sym__structural_let_expression,
  [sym_property_binding] = sym_property_binding,
  [sym_event_binding] = sym_event_binding,
  [sym_two_way_binding] = sym_two_way_binding,
  [sym_animation_binding] = sym_animation_binding,
  [sym__binding_assignment] = sym__binding_assignment,
  [sym_binding_name] = sym_binding_name,
  [sym__normal_attribute] = sym__normal_attribute,
  [sym_expression] = sym_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_nullish_coalescing_expression] = sym_nullish_coalescing_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_pipe_sequence] = sym_pipe_sequence,
  [sym_pipe_call] = sym_pipe_call,
  [sym_pipe_arguments] = sym_pipe_arguments,
  [sym__primitive] = sym__primitive,
  [sym_object] = sym_object,
  [sym_pair] = sym_pair,
  [sym_array] = sym_array,
  [sym_string] = sym_string,
  [sym_number] = sym_number,
  [sym_group] = sym_group,
  [sym_call_expression] = sym_call_expression,
  [sym_arguments] = sym_arguments,
  [sym_member_expression] = sym_member_expression,
  [sym_bracket_expression] = sym_bracket_expression,
  [sym_static_member_expression] = sym_static_member_expression,
  [sym__single_quote] = sym__single_quote,
  [sym__double_quote] = sym__double_quote,
  [sym__binary_op] = sym__binary_op,
  [aux_sym_document_repeat1] = aux_sym_document_repeat1,
  [aux_sym_start_tag_repeat1] = aux_sym_start_tag_repeat1,
  [aux_sym_switch_body_repeat1] = aux_sym_switch_body_repeat1,
  [aux_sym_defer_trigger_repeat1] = aux_sym_defer_trigger_repeat1,
  [aux_sym_for_references_repeat1] = aux_sym_for_references_repeat1,
  [aux_sym_for_reference_repeat1] = aux_sym_for_reference_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_icu_expression_repeat1] = aux_sym_icu_expression_repeat1,
  [aux_sym_structural_declaration_repeat1] = aux_sym_structural_declaration_repeat1,
  [aux_sym__binding_assignment_repeat1] = aux_sym__binding_assignment_repeat1,
  [aux_sym_pipe_sequence_repeat1] = aux_sym_pipe_sequence_repeat1,
  [aux_sym_pipe_arguments_repeat1] = aux_sym_pipe_arguments_repeat1,
  [aux_sym_object_repeat1] = aux_sym_object_repeat1,
  [aux_sym_array_repeat1] = aux_sym_array_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_repeat2] = aux_sym_string_repeat2,
  [aux_sym_arguments_repeat1] = aux_sym_arguments_repeat1,
  [alias_sym_conditional_operator] = alias_sym_conditional_operator,
  [alias_sym_unary_operator] = alias_sym_unary_operator,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_LT_BANG] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_doctype_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [sym__doctype] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_SLASH] = {
    .visible = true,
    .named = false,
  },
  [sym_attribute_name] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_value] = {
    .visible = true,
    .named = true,
  },
  [sym_entity] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_quoted_attribute_value_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_quoted_attribute_value_token2] = {
    .visible = true,
    .named = true,
  },
  [sym_text] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_prefetch] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_when] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_on] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_after] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_minimum] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_track] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_plural] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_select] = {
    .visible = true,
    .named = false,
  },
  [sym_icu_category] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_then] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_context] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__escape_sequence] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_string_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_token2] = {
    .visible = false,
    .named = false,
  },
  [sym_number_fragment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_ms] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_s] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_DOT] = {
    .visible = true,
    .named = false,
  },
  [sym__closing_bracket] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [sym__start_tag_name] = {
    .visible = true,
    .named = true,
  },
  [sym__script_start_tag_name] = {
    .visible = true,
    .named = true,
  },
  [sym__style_start_tag_name] = {
    .visible = true,
    .named = true,
  },
  [sym__end_tag_name] = {
    .visible = true,
    .named = true,
  },
  [sym_erroneous_end_tag_name] = {
    .visible = true,
    .named = true,
  },
  [sym__implicit_end_tag] = {
    .visible = false,
    .named = true,
  },
  [sym_raw_text] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__interpolation_start] = {
    .visible = true,
    .named = false,
  },
  [sym__interpolation_end] = {
    .visible = true,
    .named = false,
  },
  [sym_if_start] = {
    .visible = true,
    .named = true,
  },
  [sym_else_start] = {
    .visible = true,
    .named = true,
  },
  [sym_for_start] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_start] = {
    .visible = true,
    .named = true,
  },
  [sym_case_start] = {
    .visible = true,
    .named = true,
  },
  [sym_default_start] = {
    .visible = true,
    .named = true,
  },
  [sym_defer_start] = {
    .visible = true,
    .named = true,
  },
  [sym_let_start] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_start] = {
    .visible = true,
    .named = true,
  },
  [sym_placeholder_start] = {
    .visible = true,
    .named = true,
  },
  [sym_loading_start] = {
    .visible = true,
    .named = true,
  },
  [sym_error_start] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_start] = {
    .visible = true,
    .named = true,
  },
  [sym_at_sign] = {
    .visible = true,
    .named = true,
  },
  [sym_document] = {
    .visible = true,
    .named = true,
  },
  [sym_doctype] = {
    .visible = true,
    .named = true,
  },
  [sym__node] = {
    .visible = false,
    .named = true,
  },
  [sym_element] = {
    .visible = true,
    .named = true,
  },
  [sym_script_element] = {
    .visible = true,
    .named = true,
  },
  [sym_style_element] = {
    .visible = true,
    .named = true,
  },
  [sym_start_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_script_start_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_style_start_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_self_closing_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_end_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_erroneous_end_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_quoted_attribute_value] = {
    .visible = true,
    .named = true,
  },
  [sym_statement_block] = {
    .visible = true,
    .named = true,
  },
  [sym__any_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__alternative_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_let_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_body] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_default_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_defer_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_placeholder_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_loading_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_error_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_defer_trigger] = {
    .visible = true,
    .named = true,
  },
  [sym_placeholder_minimum] = {
    .visible = true,
    .named = true,
  },
  [sym_loading_condition] = {
    .visible = true,
    .named = true,
  },
  [sym_defer_trigger_condition] = {
    .visible = true,
    .named = true,
  },
  [sym_timed_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_for_references] = {
    .visible = true,
    .named = true,
  },
  [sym_for_reference] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_else_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_condition] = {
    .visible = true,
    .named = true,
  },
  [sym_if_reference] = {
    .visible = true,
    .named = true,
  },
  [sym__any_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_icu_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_icu_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_icu_case] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym_structural_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_structural_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_structural_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_structural_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym__alias] = {
    .visible = false,
    .named = true,
  },
  [sym__then_template_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__else_template_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__context_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__structural_let_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_property_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_event_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_two_way_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_animation_binding] = {
    .visible = true,
    .named = true,
  },
  [sym__binding_assignment] = {
    .visible = false,
    .named = true,
  },
  [sym_binding_name] = {
    .visible = true,
    .named = true,
  },
  [sym__normal_attribute] = {
    .visible = false,
    .named = true,
  },
  [sym_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_nullish_coalescing_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_pipe_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_pipe_call] = {
    .visible = true,
    .named = true,
  },
  [sym_pipe_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym__primitive] = {
    .visible = false,
    .named = true,
  },
  [sym_object] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [sym_group] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_bracket_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_static_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__single_quote] = {
    .visible = false,
    .named = true,
  },
  [sym__double_quote] = {
    .visible = false,
    .named = true,
  },
  [sym__binary_op] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_document_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_start_tag_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_defer_trigger_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_for_references_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_for_reference_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_icu_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_structural_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__binding_assignment_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pipe_sequence_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pipe_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_conditional_operator] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_unary_operator] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_alternative = 2,
  field_alternative_condition = 3,
  field_argument = 4,
  field_arguments = 5,
  field_body = 6,
  field_call = 7,
  field_condition = 8,
  field_consequence = 9,
  field_declaration = 10,
  field_default = 11,
  field_empty = 12,
  field_error = 13,
  field_function = 14,
  field_key = 15,
  field_left = 16,
  field_loading = 17,
  field_minimum = 18,
  field_name = 19,
  field_named = 20,
  field_object = 21,
  field_operator = 22,
  field_pipes = 23,
  field_placeholder = 24,
  field_property = 25,
  field_reference = 26,
  field_references = 27,
  field_right = 28,
  field_track = 29,
  field_trigger = 30,
  field_value = 31,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_alternative_condition] = "alternative_condition",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_body] = "body",
  [field_call] = "call",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_declaration] = "declaration",
  [field_default] = "default",
  [field_empty] = "empty",
  [field_error] = "error",
  [field_function] = "function",
  [field_key] = "key",
  [field_left] = "left",
  [field_loading] = "loading",
  [field_minimum] = "minimum",
  [field_name] = "name",
  [field_named] = "named",
  [field_object] = "object",
  [field_operator] = "operator",
  [field_pipes] = "pipes",
  [field_placeholder] = "placeholder",
  [field_property] = "property",
  [field_reference] = "reference",
  [field_references] = "references",
  [field_right] = "right",
  [field_track] = "track",
  [field_trigger] = "trigger",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 6},
  [2] = {.index = 6, .length = 1},
  [3] = {.index = 7, .length = 1},
  [4] = {.index = 8, .length = 1},
  [5] = {.index = 9, .length = 1},
  [6] = {.index = 10, .length = 1},
  [7] = {.index = 11, .length = 1},
  [8] = {.index = 12, .length = 1},
  [9] = {.index = 13, .length = 12},
  [10] = {.index = 25, .length = 1},
  [11] = {.index = 26, .length = 2},
  [12] = {.index = 28, .length = 1},
  [13] = {.index = 29, .length = 1},
  [14] = {.index = 30, .length = 6},
  [15] = {.index = 36, .length = 1},
  [16] = {.index = 37, .length = 2},
  [17] = {.index = 39, .length = 3},
  [18] = {.index = 42, .length = 2},
  [19] = {.index = 44, .length = 1},
  [20] = {.index = 45, .length = 2},
  [21] = {.index = 47, .length = 2},
  [22] = {.index = 49, .length = 1},
  [23] = {.index = 50, .length = 1},
  [24] = {.index = 51, .length = 2},
  [25] = {.index = 53, .length = 1},
  [26] = {.index = 54, .length = 1},
  [27] = {.index = 55, .length = 2},
  [28] = {.index = 57, .length = 2},
  [29] = {.index = 59, .length = 2},
  [30] = {.index = 61, .length = 2},
  [31] = {.index = 63, .length = 1},
  [32] = {.index = 64, .length = 2},
  [33] = {.index = 66, .length = 2},
  [34] = {.index = 68, .length = 1},
  [35] = {.index = 69, .length = 2},
  [36] = {.index = 71, .length = 2},
  [37] = {.index = 73, .length = 3},
  [38] = {.index = 76, .length = 2},
  [39] = {.index = 78, .length = 1},
  [40] = {.index = 79, .length = 8},
  [41] = {.index = 87, .length = 3},
  [42] = {.index = 90, .length = 1},
  [43] = {.index = 91, .length = 2},
  [44] = {.index = 93, .length = 3},
  [45] = {.index = 96, .length = 2},
  [46] = {.index = 98, .length = 1},
  [47] = {.index = 99, .length = 2},
  [48] = {.index = 101, .length = 9},
  [49] = {.index = 110, .length = 2},
  [50] = {.index = 112, .length = 2},
  [51] = {.index = 114, .length = 2},
  [52] = {.index = 116, .length = 3},
  [53] = {.index = 119, .length = 2},
  [54] = {.index = 121, .length = 1},
  [55] = {.index = 122, .length = 1},
  [56] = {.index = 123, .length = 2},
  [57] = {.index = 125, .length = 1},
  [58] = {.index = 126, .length = 2},
  [59] = {.index = 128, .length = 2},
  [60] = {.index = 130, .length = 3},
  [61] = {.index = 133, .length = 6},
  [62] = {.index = 139, .length = 3},
  [63] = {.index = 142, .length = 1},
  [64] = {.index = 143, .length = 3},
  [65] = {.index = 146, .length = 4},
  [66] = {.index = 150, .length = 2},
  [67] = {.index = 152, .length = 1},
  [68] = {.index = 153, .length = 4},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_alternative, 0, .inherited = true},
    {field_alternative_condition, 0, .inherited = true},
    {field_empty, 0, .inherited = true},
    {field_error, 0, .inherited = true},
    {field_loading, 0, .inherited = true},
    {field_placeholder, 0, .inherited = true},
  [6] =
    {field_placeholder, 0},
  [7] =
    {field_loading, 0},
  [8] =
    {field_error, 0},
  [9] =
    {field_empty, 0},
  [10] =
    {field_alternative_condition, 0},
  [11] =
    {field_alternative, 0},
  [12] =
    {field_body, 1},
  [13] =
    {field_alternative, 0, .inherited = true},
    {field_alternative, 1, .inherited = true},
    {field_alternative_condition, 0, .inherited = true},
    {field_alternative_condition, 1, .inherited = true},
    {field_empty, 0, .inherited = true},
    {field_empty, 1, .inherited = true},
    {field_error, 0, .inherited = true},
    {field_error, 1, .inherited = true},
    {field_loading, 0, .inherited = true},
    {field_loading, 1, .inherited = true},
    {field_placeholder, 0, .inherited = true},
    {field_placeholder, 1, .inherited = true},
  [25] =
    {field_key, 0},
  [26] =
    {field_operator, 0},
    {field_value, 1},
  [28] =
    {field_pipes, 1},
  [29] =
    {field_body, 2},
  [30] =
    {field_alternative, 1, .inherited = true},
    {field_alternative_condition, 1, .inherited = true},
    {field_empty, 1, .inherited = true},
    {field_error, 1, .inherited = true},
    {field_loading, 1, .inherited = true},
    {field_placeholder, 1, .inherited = true},
  [36] =
    {field_function, 0},
  [37] =
    {field_condition, 0},
    {field_default, 2},
  [39] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [42] =
    {field_left, 0},
    {field_right, 2},
  [44] =
    {field_name, 0},
  [45] =
    {field_object, 0},
    {field_property, 2},
  [47] =
    {field_call, 2},
    {field_object, 0},
  [49] =
    {field_trigger, 1},
  [50] =
    {field_condition, 1},
  [51] =
    {field_name, 0},
    {field_value, 2},
  [53] =
    {field_value, 1},
  [54] =
    {field_minimum, 1},
  [55] =
    {field_key, 0},
    {field_value, 2},
  [57] =
    {field_arguments, 2},
    {field_function, 0},
  [59] =
    {field_arguments, 1},
    {field_name, 0},
  [61] =
    {field_condition, 2},
    {field_consequence, 4},
  [63] =
    {field_reference, 1},
  [64] =
    {field_body, 4},
    {field_declaration, 2},
  [66] =
    {field_body, 4},
    {field_value, 2},
  [68] =
    {field_trigger, 2},
  [69] =
    {field_condition, 1},
    {field_condition, 2, .inherited = true},
  [71] =
    {field_condition, 0, .inherited = true},
    {field_condition, 1, .inherited = true},
  [73] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [76] =
    {field_object, 0},
    {field_property, 3},
  [78] =
    {field_argument, 1},
  [79] =
    {field_alternative, 5, .inherited = true},
    {field_alternative_condition, 5, .inherited = true},
    {field_condition, 2},
    {field_consequence, 4},
    {field_empty, 5, .inherited = true},
    {field_error, 5, .inherited = true},
    {field_loading, 5, .inherited = true},
    {field_placeholder, 5, .inherited = true},
  [87] =
    {field_condition, 2},
    {field_consequence, 5},
    {field_reference, 3},
  [90] =
    {field_alias, 1},
  [91] =
    {field_reference, 1},
    {field_reference, 2, .inherited = true},
  [93] =
    {field_body, 5},
    {field_declaration, 2},
    {field_references, 3},
  [96] =
    {field_condition, 1},
    {field_condition, 3},
  [98] =
    {field_trigger, 3},
  [99] =
    {field_argument, 1},
    {field_argument, 2, .inherited = true},
  [101] =
    {field_alternative, 6, .inherited = true},
    {field_alternative_condition, 6, .inherited = true},
    {field_condition, 2},
    {field_consequence, 5},
    {field_empty, 6, .inherited = true},
    {field_error, 6, .inherited = true},
    {field_loading, 6, .inherited = true},
    {field_placeholder, 6, .inherited = true},
    {field_reference, 3},
  [110] =
    {field_alias, 1},
    {field_alias, 2, .inherited = true},
  [112] =
    {field_reference, 0, .inherited = true},
    {field_reference, 1, .inherited = true},
  [114] =
    {field_argument, 0, .inherited = true},
    {field_argument, 1, .inherited = true},
  [116] =
    {field_name, 0},
    {field_track, 5},
    {field_value, 2},
  [119] =
    {field_alias, 0, .inherited = true},
    {field_alias, 1, .inherited = true},
  [121] =
    {field_alias, 1, .inherited = true},
  [122] =
    {field_named, 1, .inherited = true},
  [123] =
    {field_alias, 1, .inherited = true},
    {field_name, 1, .inherited = true},
  [125] =
    {field_name, 1},
  [126] =
    {field_alias, 1, .inherited = true},
    {field_name, 0},
  [128] =
    {field_alias, 1, .inherited = true},
    {field_named, 2, .inherited = true},
  [130] =
    {field_alias, 1, .inherited = true},
    {field_alias, 2, .inherited = true},
    {field_name, 2, .inherited = true},
  [133] =
    {field_alternative, 2, .inherited = true},
    {field_alternative_condition, 2, .inherited = true},
    {field_empty, 2, .inherited = true},
    {field_error, 2, .inherited = true},
    {field_loading, 2, .inherited = true},
    {field_placeholder, 2, .inherited = true},
  [139] =
    {field_name, 0},
    {field_operator, 1},
    {field_value, 2},
  [142] =
    {field_name, 2},
  [143] =
    {field_name, 1},
    {field_operator, 2},
    {field_value, 3},
  [146] =
    {field_alias, 3, .inherited = true},
    {field_name, 0},
    {field_operator, 1},
    {field_value, 2},
  [150] =
    {field_alias, 3, .inherited = true},
    {field_name, 2},
  [152] =
    {field_named, 1},
  [153] =
    {field_alias, 4, .inherited = true},
    {field_name, 1},
    {field_operator, 2},
    {field_value, 3},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [11] = {
    [0] = alias_sym_unary_operator,
  },
  [18] = {
    [1] = alias_sym_conditional_operator,
  },
  [37] = {
    [3] = anon_sym_QMARK,
  },
  [52] = {
    [1] = anon_sym_when,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 3,
  [6] = 4,
  [7] = 7,
  [8] = 7,
  [9] = 9,
  [10] = 2,
  [11] = 7,
  [12] = 12,
  [13] = 9,
  [14] = 9,
  [15] = 15,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 19,
  [22] = 17,
  [23] = 23,
  [24] = 24,
  [25] = 25,
  [26] = 26,
  [27] = 27,
  [28] = 28,
  [29] = 24,
  [30] = 24,
  [31] = 31,
  [32] = 32,
  [33] = 33,
  [34] = 34,
  [35] = 35,
  [36] = 36,
  [37] = 37,
  [38] = 38,
  [39] = 39,
  [40] = 40,
  [41] = 41,
  [42] = 42,
  [43] = 43,
  [44] = 44,
  [45] = 45,
  [46] = 24,
  [47] = 47,
  [48] = 48,
  [49] = 49,
  [50] = 49,
  [51] = 51,
  [52] = 52,
  [53] = 53,
  [54] = 48,
  [55] = 52,
  [56] = 45,
  [57] = 57,
  [58] = 53,
  [59] = 51,
  [60] = 60,
  [61] = 57,
  [62] = 47,
  [63] = 63,
  [64] = 64,
  [65] = 65,
  [66] = 66,
  [67] = 66,
  [68] = 68,
  [69] = 69,
  [70] = 69,
  [71] = 71,
  [72] = 72,
  [73] = 72,
  [74] = 74,
  [75] = 75,
  [76] = 76,
  [77] = 74,
  [78] = 18,
  [79] = 79,
  [80] = 17,
  [81] = 19,
  [82] = 82,
  [83] = 83,
  [84] = 84,
  [85] = 82,
  [86] = 86,
  [87] = 87,
  [88] = 64,
  [89] = 75,
  [90] = 63,
  [91] = 83,
  [92] = 92,
  [93] = 20,
  [94] = 92,
  [95] = 23,
  [96] = 96,
  [97] = 97,
  [98] = 98,
  [99] = 98,
  [100] = 100,
  [101] = 92,
  [102] = 102,
  [103] = 103,
  [104] = 19,
  [105] = 17,
  [106] = 98,
  [107] = 19,
  [108] = 108,
  [109] = 109,
  [110] = 110,
  [111] = 111,
  [112] = 112,
  [113] = 113,
  [114] = 84,
  [115] = 108,
  [116] = 116,
  [117] = 108,
  [118] = 108,
  [119] = 119,
  [120] = 120,
  [121] = 121,
  [122] = 121,
  [123] = 123,
  [124] = 98,
  [125] = 125,
  [126] = 98,
  [127] = 127,
  [128] = 92,
  [129] = 98,
  [130] = 130,
  [131] = 131,
  [132] = 17,
  [133] = 121,
  [134] = 92,
  [135] = 68,
  [136] = 121,
  [137] = 98,
  [138] = 108,
  [139] = 121,
  [140] = 110,
  [141] = 96,
  [142] = 98,
  [143] = 121,
  [144] = 92,
  [145] = 145,
  [146] = 146,
  [147] = 146,
  [148] = 121,
  [149] = 149,
  [150] = 121,
  [151] = 151,
  [152] = 38,
  [153] = 34,
  [154] = 37,
  [155] = 25,
  [156] = 41,
  [157] = 40,
  [158] = 28,
  [159] = 43,
  [160] = 27,
  [161] = 26,
  [162] = 76,
  [163] = 32,
  [164] = 164,
  [165] = 44,
  [166] = 87,
  [167] = 164,
  [168] = 168,
  [169] = 39,
  [170] = 86,
  [171] = 168,
  [172] = 19,
  [173] = 36,
  [174] = 24,
  [175] = 65,
  [176] = 31,
  [177] = 33,
  [178] = 24,
  [179] = 42,
  [180] = 35,
  [181] = 181,
  [182] = 182,
  [183] = 24,
  [184] = 184,
  [185] = 182,
  [186] = 182,
  [187] = 182,
  [188] = 184,
  [189] = 189,
  [190] = 182,
  [191] = 182,
  [192] = 181,
  [193] = 182,
  [194] = 182,
  [195] = 181,
  [196] = 189,
  [197] = 197,
  [198] = 197,
  [199] = 197,
  [200] = 200,
  [201] = 200,
  [202] = 200,
  [203] = 197,
  [204] = 197,
  [205] = 200,
  [206] = 200,
  [207] = 207,
  [208] = 75,
  [209] = 209,
  [210] = 210,
  [211] = 211,
  [212] = 212,
  [213] = 213,
  [214] = 214,
  [215] = 83,
  [216] = 216,
  [217] = 217,
  [218] = 218,
  [219] = 219,
  [220] = 212,
  [221] = 221,
  [222] = 222,
  [223] = 223,
  [224] = 224,
  [225] = 83,
  [226] = 74,
  [227] = 227,
  [228] = 75,
  [229] = 229,
  [230] = 230,
  [231] = 212,
  [232] = 212,
  [233] = 84,
  [234] = 234,
  [235] = 87,
  [236] = 236,
  [237] = 79,
  [238] = 238,
  [239] = 239,
  [240] = 240,
  [241] = 76,
  [242] = 242,
  [243] = 86,
  [244] = 244,
  [245] = 245,
  [246] = 246,
  [247] = 65,
  [248] = 248,
  [249] = 68,
  [250] = 250,
  [251] = 251,
  [252] = 212,
  [253] = 253,
  [254] = 254,
  [255] = 255,
  [256] = 74,
  [257] = 257,
  [258] = 258,
  [259] = 259,
  [260] = 260,
  [261] = 261,
  [262] = 262,
  [263] = 212,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 75,
  [268] = 268,
  [269] = 269,
  [270] = 270,
  [271] = 268,
  [272] = 68,
  [273] = 270,
  [274] = 245,
  [275] = 250,
  [276] = 251,
  [277] = 239,
  [278] = 258,
  [279] = 259,
  [280] = 265,
  [281] = 240,
  [282] = 211,
  [283] = 109,
  [284] = 244,
  [285] = 285,
  [286] = 213,
  [287] = 214,
  [288] = 216,
  [289] = 84,
  [290] = 102,
  [291] = 217,
  [292] = 218,
  [293] = 262,
  [294] = 266,
  [295] = 269,
  [296] = 219,
  [297] = 222,
  [298] = 223,
  [299] = 224,
  [300] = 83,
  [301] = 227,
  [302] = 242,
  [303] = 260,
  [304] = 255,
  [305] = 253,
  [306] = 257,
  [307] = 119,
  [308] = 111,
  [309] = 264,
  [310] = 254,
  [311] = 229,
  [312] = 84,
  [313] = 248,
  [314] = 238,
  [315] = 145,
  [316] = 209,
  [317] = 234,
  [318] = 103,
  [319] = 246,
  [320] = 210,
  [321] = 261,
  [322] = 236,
  [323] = 130,
  [324] = 131,
  [325] = 230,
  [326] = 221,
  [327] = 327,
  [328] = 123,
  [329] = 125,
  [330] = 330,
  [331] = 331,
  [332] = 332,
  [333] = 86,
  [334] = 334,
  [335] = 335,
  [336] = 331,
  [337] = 68,
  [338] = 84,
  [339] = 87,
  [340] = 334,
  [341] = 65,
  [342] = 342,
  [343] = 330,
  [344] = 344,
  [345] = 76,
  [346] = 65,
  [347] = 335,
  [348] = 87,
  [349] = 330,
  [350] = 330,
  [351] = 19,
  [352] = 342,
  [353] = 353,
  [354] = 330,
  [355] = 332,
  [356] = 86,
  [357] = 330,
  [358] = 358,
  [359] = 359,
  [360] = 76,
  [361] = 361,
  [362] = 362,
  [363] = 363,
  [364] = 363,
  [365] = 365,
  [366] = 366,
  [367] = 367,
  [368] = 366,
  [369] = 369,
  [370] = 369,
  [371] = 371,
  [372] = 372,
  [373] = 367,
  [374] = 374,
  [375] = 375,
  [376] = 79,
  [377] = 74,
  [378] = 74,
  [379] = 75,
  [380] = 75,
  [381] = 83,
  [382] = 382,
  [383] = 19,
  [384] = 19,
  [385] = 102,
  [386] = 123,
  [387] = 84,
  [388] = 68,
  [389] = 382,
  [390] = 103,
  [391] = 131,
  [392] = 392,
  [393] = 75,
  [394] = 394,
  [395] = 123,
  [396] = 396,
  [397] = 102,
  [398] = 398,
  [399] = 102,
  [400] = 400,
  [401] = 392,
  [402] = 396,
  [403] = 79,
  [404] = 404,
  [405] = 405,
  [406] = 406,
  [407] = 407,
  [408] = 406,
  [409] = 409,
  [410] = 410,
  [411] = 74,
  [412] = 412,
  [413] = 413,
  [414] = 414,
  [415] = 415,
  [416] = 416,
  [417] = 417,
  [418] = 418,
  [419] = 413,
  [420] = 398,
  [421] = 74,
  [422] = 74,
  [423] = 423,
  [424] = 424,
  [425] = 83,
  [426] = 79,
  [427] = 400,
  [428] = 75,
  [429] = 75,
  [430] = 430,
  [431] = 83,
  [432] = 404,
  [433] = 417,
  [434] = 412,
  [435] = 414,
  [436] = 68,
  [437] = 416,
  [438] = 424,
  [439] = 439,
  [440] = 409,
  [441] = 407,
  [442] = 405,
  [443] = 415,
  [444] = 444,
  [445] = 102,
  [446] = 430,
  [447] = 68,
  [448] = 84,
  [449] = 410,
  [450] = 23,
  [451] = 123,
  [452] = 452,
  [453] = 453,
  [454] = 84,
  [455] = 423,
  [456] = 456,
  [457] = 43,
  [458] = 34,
  [459] = 459,
  [460] = 460,
  [461] = 460,
  [462] = 462,
  [463] = 463,
  [464] = 42,
  [465] = 456,
  [466] = 439,
  [467] = 467,
  [468] = 468,
  [469] = 469,
  [470] = 131,
  [471] = 471,
  [472] = 472,
  [473] = 103,
  [474] = 474,
  [475] = 474,
  [476] = 476,
  [477] = 131,
  [478] = 478,
  [479] = 476,
  [480] = 469,
  [481] = 481,
  [482] = 481,
  [483] = 478,
  [484] = 484,
  [485] = 485,
  [486] = 485,
  [487] = 468,
  [488] = 103,
  [489] = 489,
  [490] = 490,
  [491] = 491,
  [492] = 492,
  [493] = 493,
  [494] = 494,
  [495] = 489,
  [496] = 496,
  [497] = 497,
  [498] = 498,
  [499] = 490,
  [500] = 500,
  [501] = 501,
  [502] = 491,
  [503] = 503,
  [504] = 492,
  [505] = 505,
  [506] = 506,
  [507] = 507,
  [508] = 508,
  [509] = 509,
  [510] = 510,
  [511] = 511,
  [512] = 510,
  [513] = 505,
  [514] = 509,
  [515] = 515,
  [516] = 515,
  [517] = 517,
  [518] = 518,
  [519] = 519,
  [520] = 520,
  [521] = 521,
  [522] = 522,
  [523] = 523,
  [524] = 524,
  [525] = 242,
  [526] = 526,
  [527] = 527,
  [528] = 528,
  [529] = 529,
  [530] = 530,
  [531] = 531,
  [532] = 532,
  [533] = 531,
  [534] = 534,
  [535] = 535,
  [536] = 536,
  [537] = 537,
  [538] = 531,
  [539] = 539,
  [540] = 540,
  [541] = 541,
  [542] = 531,
  [543] = 543,
  [544] = 544,
  [545] = 545,
  [546] = 545,
  [547] = 547,
  [548] = 547,
  [549] = 549,
  [550] = 550,
  [551] = 551,
  [552] = 551,
  [553] = 553,
  [554] = 554,
  [555] = 555,
  [556] = 556,
  [557] = 557,
  [558] = 558,
  [559] = 559,
  [560] = 543,
  [561] = 561,
  [562] = 562,
  [563] = 531,
  [564] = 564,
  [565] = 565,
  [566] = 566,
  [567] = 556,
  [568] = 568,
  [569] = 569,
  [570] = 531,
  [571] = 571,
  [572] = 572,
  [573] = 573,
  [574] = 531,
  [575] = 524,
  [576] = 524,
  [577] = 541,
  [578] = 572,
  [579] = 579,
  [580] = 580,
  [581] = 565,
  [582] = 566,
  [583] = 583,
  [584] = 562,
  [585] = 102,
  [586] = 526,
  [587] = 221,
  [588] = 531,
  [589] = 589,
  [590] = 590,
  [591] = 591,
  [592] = 544,
  [593] = 593,
  [594] = 594,
  [595] = 595,
  [596] = 596,
  [597] = 102,
  [598] = 553,
  [599] = 554,
  [600] = 600,
  [601] = 601,
  [602] = 602,
  [603] = 603,
  [604] = 604,
  [605] = 605,
  [606] = 606,
  [607] = 607,
  [608] = 608,
  [609] = 601,
  [610] = 610,
  [611] = 611,
  [612] = 612,
  [613] = 613,
  [614] = 614,
  [615] = 615,
  [616] = 616,
  [617] = 617,
  [618] = 618,
  [619] = 619,
  [620] = 620,
  [621] = 621,
  [622] = 622,
  [623] = 622,
  [624] = 624,
  [625] = 625,
  [626] = 626,
  [627] = 627,
  [628] = 627,
  [629] = 629,
  [630] = 600,
  [631] = 616,
  [632] = 615,
  [633] = 625,
  [634] = 614,
  [635] = 613,
  [636] = 612,
  [637] = 611,
  [638] = 627,
  [639] = 621,
  [640] = 640,
  [641] = 641,
  [642] = 642,
  [643] = 643,
  [644] = 621,
  [645] = 627,
  [646] = 646,
  [647] = 610,
  [648] = 627,
  [649] = 649,
  [650] = 650,
  [651] = 651,
  [652] = 652,
  [653] = 653,
  [654] = 654,
  [655] = 640,
  [656] = 656,
  [657] = 652,
  [658] = 650,
  [659] = 656,
  [660] = 660,
  [661] = 661,
  [662] = 661,
  [663] = 653,
  [664] = 664,
  [665] = 665,
  [666] = 666,
  [667] = 627,
  [668] = 605,
  [669] = 602,
  [670] = 670,
  [671] = 671,
  [672] = 664,
  [673] = 641,
  [674] = 607,
  [675] = 675,
  [676] = 617,
  [677] = 627,
  [678] = 606,
  [679] = 679,
  [680] = 680,
  [681] = 670,
  [682] = 654,
  [683] = 627,
  [684] = 684,
  [685] = 685,
  [686] = 686,
  [687] = 687,
  [688] = 688,
  [689] = 689,
  [690] = 690,
  [691] = 691,
  [692] = 692,
  [693] = 693,
  [694] = 694,
  [695] = 695,
  [696] = 696,
  [697] = 697,
  [698] = 698,
  [699] = 699,
  [700] = 699,
  [701] = 697,
  [702] = 688,
  [703] = 687,
  [704] = 704,
  [705] = 705,
  [706] = 706,
  [707] = 686,
  [708] = 685,
  [709] = 684,
  [710] = 710,
  [711] = 711,
  [712] = 712,
  [713] = 713,
  [714] = 714,
  [715] = 715,
  [716] = 716,
  [717] = 717,
  [718] = 718,
  [719] = 684,
  [720] = 720,
  [721] = 693,
  [722] = 722,
  [723] = 723,
  [724] = 724,
  [725] = 725,
  [726] = 726,
  [727] = 727,
  [728] = 728,
  [729] = 729,
  [730] = 689,
  [731] = 698,
  [732] = 728,
  [733] = 733,
  [734] = 727,
  [735] = 735,
  [736] = 710,
  [737] = 705,
  [738] = 738,
  [739] = 717,
  [740] = 740,
  [741] = 741,
  [742] = 715,
  [743] = 743,
  [744] = 744,
  [745] = 706,
  [746] = 720,
  [747] = 747,
  [748] = 748,
  [749] = 749,
  [750] = 723,
  [751] = 694,
  [752] = 752,
  [753] = 753,
  [754] = 754,
  [755] = 755,
  [756] = 713,
  [757] = 740,
  [758] = 744,
  [759] = 759,
  [760] = 755,
  [761] = 761,
  [762] = 762,
  [763] = 763,
  [764] = 762,
  [765] = 765,
  [766] = 766,
  [767] = 767,
  [768] = 768,
  [769] = 769,
  [770] = 712,
  [771] = 771,
  [772] = 711,
  [773] = 773,
  [774] = 749,
  [775] = 775,
  [776] = 776,
  [777] = 777,
  [778] = 778,
  [779] = 748,
  [780] = 747,
  [781] = 781,
};

static TSCharacterRange sym_attribute_name_character_set_1[] = {
  {0, 0x08}, {0x0e, 0x1f}, {'!', '!'}, {'#', '&'}, {'+', '-'}, {'/', ';'}, {'?', 'Z'}, {'\\', '\\'},
  {'^', 0x10ffff},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(91);
      ADVANCE_MAP(
        '!', 197,
        '"', 155,
        '%', 245,
        '&', 9,
        '\'', 152,
        '(', 162,
        ')', 163,
        '*', 181,
        '+', 241,
        ',', 173,
        '-', 242,
        '.', 238,
        '/', 244,
        ':', 182,
        ';', 161,
        '<', 99,
        '=', 176,
        '>', 96,
        '?', 198,
        '[', 190,
        '\\', 67,
        ']', 191,
        'a', 34,
        'c', 54,
        'e', 43,
        'l', 28,
        'm', 41,
        'o', 35,
        'p', 45,
        's', 237,
        't', 38,
        'w', 39,
        '{', 159,
        '|', 202,
        '}', 160,
        'D', 76,
        'd', 76,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(89);
      END_STATE();
    case 1:
      ADVANCE_MAP(
        '!', 197,
        '"', 155,
        '%', 245,
        '&', 11,
        '(', 162,
        ')', 163,
        '*', 181,
        '+', 241,
        ',', 173,
        '-', 242,
        '.', 238,
        '/', 243,
        ':', 182,
        ';', 161,
        '<', 100,
        '=', 176,
        '>', 96,
        '?', 198,
        '[', 189,
        ']', 191,
        'a', 58,
        'm', 59,
        's', 236,
        '|', 202,
        '}', 160,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(1);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        '!', 195,
        '"', 155,
        '\'', 152,
        '(', 162,
        ')', 163,
        ',', 173,
        '-', 83,
        ';', 161,
        '[', 189,
        ']', 191,
        '{', 159,
        '}', 160,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(2);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(233);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(217);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '!', 196,
        '"', 155,
        '\'', 152,
        '(', 162,
        ')', 17,
        '-', 83,
        '.', 238,
        '?', 16,
        '[', 189,
        'l', 203,
        '{', 159,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(3);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(233);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(217);
      END_STATE();
    case 4:
      if (lookahead == '"') ADVANCE(155);
      if (lookahead == '\'') ADVANCE(152);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(4);
      if (lookahead != 0 &&
          (lookahead < '<' || '>' < lookahead)) ADVANCE(111);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '"', 155,
        '(', 162,
        '*', 181,
        '/', 228,
        '>', 95,
        '[', 190,
        '\\', 227,
        '\'', 226,
        ')', 226,
        '.', 226,
        '<', 226,
        '=', 226,
        ']', 226,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(226);
      if (lookahead != 0) ADVANCE(230);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '"', 155,
        '(', 162,
        '*', 181,
        '>', 95,
        '[', 190,
        '\\', 227,
        '\'', 226,
        ')', 226,
        '.', 226,
        '<', 226,
        '=', 226,
        ']', 226,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(226);
      if (lookahead != 0) ADVANCE(230);
      END_STATE();
    case 7:
      if (lookahead == '"') ADVANCE(155);
      if (lookahead == '\\') ADVANCE(229);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(226);
      if (lookahead != 0) ADVANCE(226);
      END_STATE();
    case 8:
      if (lookahead == '"') ADVANCE(155);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(156);
      if (lookahead != 0) ADVANCE(157);
      END_STATE();
    case 9:
      if (lookahead == '#') ADVANCE(79);
      if (lookahead == '&') ADVANCE(201);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(151);
      END_STATE();
    case 10:
      if (lookahead == '#') ADVANCE(79);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(151);
      END_STATE();
    case 11:
      if (lookahead == '&') ADVANCE(201);
      END_STATE();
    case 12:
      if (lookahead == '\'') ADVANCE(152);
      if (lookahead == '\\') ADVANCE(232);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(231);
      if (lookahead != 0) ADVANCE(231);
      END_STATE();
    case 13:
      if (lookahead == '\'') ADVANCE(152);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(153);
      if (lookahead != 0) ADVANCE(154);
      END_STATE();
    case 14:
      if (lookahead == '(') ADVANCE(162);
      if (lookahead == '*') ADVANCE(181);
      if (lookahead == '/') ADVANCE(103);
      if (lookahead == '=') ADVANCE(175);
      if (lookahead == '>') ADVANCE(95);
      if (lookahead == '[') ADVANCE(190);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(14);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || '*' < lookahead) &&
          lookahead != '.' &&
          lookahead != '/' &&
          (lookahead < '<' || '>' < lookahead) &&
          lookahead != ']') ADVANCE(110);
      END_STATE();
    case 15:
      if (lookahead == '(') ADVANCE(162);
      if (lookahead == '*') ADVANCE(181);
      if (lookahead == '=') ADVANCE(175);
      if (lookahead == '>') ADVANCE(95);
      if (lookahead == '[') ADVANCE(190);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(15);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || '*' < lookahead) &&
          lookahead != '.' &&
          (lookahead < '<' || '>' < lookahead) &&
          lookahead != ']') ADVANCE(110);
      END_STATE();
    case 16:
      if (lookahead == '.') ADVANCE(239);
      END_STATE();
    case 17:
      if (lookahead == ']') ADVANCE(193);
      END_STATE();
    case 18:
      if (lookahead == 'a') ADVANCE(20);
      END_STATE();
    case 19:
      if (lookahead == 'a') ADVANCE(46);
      END_STATE();
    case 20:
      if (lookahead == 'c') ADVANCE(42);
      END_STATE();
    case 21:
      if (lookahead == 'c') ADVANCE(211);
      if (lookahead == 'e') ADVANCE(208);
      if (lookahead == 'l') ADVANCE(203);
      if (lookahead == 't') ADVANCE(207);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(21);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(217);
      END_STATE();
    case 22:
      if (lookahead == 'c') ADVANCE(37);
      END_STATE();
    case 23:
      if (lookahead == 'c') ADVANCE(62);
      END_STATE();
    case 24:
      if (lookahead == 'e') ADVANCE(36);
      END_STATE();
    case 25:
      if (lookahead == 'e') ADVANCE(185);
      END_STATE();
    case 26:
      if (lookahead == 'e') ADVANCE(70);
      END_STATE();
    case 27:
      if (lookahead == 'e') ADVANCE(47);
      END_STATE();
    case 28:
      if (lookahead == 'e') ADVANCE(61);
      END_STATE();
    case 29:
      if (lookahead == 'e') ADVANCE(56);
      END_STATE();
    case 30:
      if (lookahead == 'e') ADVANCE(23);
      END_STATE();
    case 31:
      if (lookahead == 'e') ADVANCE(64);
      END_STATE();
    case 32:
      if (lookahead == 'e') ADVANCE(51);
      END_STATE();
    case 33:
      if (lookahead == 'e') ADVANCE(52);
      END_STATE();
    case 34:
      if (lookahead == 'f') ADVANCE(65);
      if (lookahead == 's') ADVANCE(174);
      END_STATE();
    case 35:
      if (lookahead == 'f') ADVANCE(169);
      if (lookahead == 'n') ADVANCE(166);
      END_STATE();
    case 36:
      if (lookahead == 'f') ADVANCE(31);
      END_STATE();
    case 37:
      if (lookahead == 'h') ADVANCE(164);
      END_STATE();
    case 38:
      if (lookahead == 'h') ADVANCE(32);
      if (lookahead == 'r') ADVANCE(18);
      END_STATE();
    case 39:
      if (lookahead == 'h') ADVANCE(33);
      END_STATE();
    case 40:
      if (lookahead == 'i') ADVANCE(49);
      END_STATE();
    case 41:
      if (lookahead == 'i') ADVANCE(50);
      if (lookahead == 's') ADVANCE(235);
      END_STATE();
    case 42:
      if (lookahead == 'k') ADVANCE(170);
      END_STATE();
    case 43:
      if (lookahead == 'l') ADVANCE(60);
      END_STATE();
    case 44:
      if (lookahead == 'l') ADVANCE(68);
      END_STATE();
    case 45:
      if (lookahead == 'l') ADVANCE(68);
      if (lookahead == 'r') ADVANCE(24);
      END_STATE();
    case 46:
      if (lookahead == 'l') ADVANCE(177);
      END_STATE();
    case 47:
      if (lookahead == 'l') ADVANCE(30);
      END_STATE();
    case 48:
      if (lookahead == 'm') ADVANCE(168);
      END_STATE();
    case 49:
      if (lookahead == 'm') ADVANCE(69);
      END_STATE();
    case 50:
      if (lookahead == 'n') ADVANCE(40);
      END_STATE();
    case 51:
      if (lookahead == 'n') ADVANCE(183);
      END_STATE();
    case 52:
      if (lookahead == 'n') ADVANCE(165);
      END_STATE();
    case 53:
      if (lookahead == 'n') ADVANCE(66);
      END_STATE();
    case 54:
      if (lookahead == 'o') ADVANCE(53);
      END_STATE();
    case 55:
      if (lookahead == 'p') ADVANCE(44);
      if (lookahead == 's') ADVANCE(27);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(55);
      END_STATE();
    case 56:
      if (lookahead == 'r') ADVANCE(167);
      END_STATE();
    case 57:
      if (lookahead == 'r') ADVANCE(19);
      END_STATE();
    case 58:
      if (lookahead == 's') ADVANCE(174);
      END_STATE();
    case 59:
      if (lookahead == 's') ADVANCE(235);
      END_STATE();
    case 60:
      if (lookahead == 's') ADVANCE(25);
      END_STATE();
    case 61:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 62:
      if (lookahead == 't') ADVANCE(178);
      END_STATE();
    case 63:
      if (lookahead == 't') ADVANCE(187);
      END_STATE();
    case 64:
      if (lookahead == 't') ADVANCE(22);
      END_STATE();
    case 65:
      if (lookahead == 't') ADVANCE(29);
      END_STATE();
    case 66:
      if (lookahead == 't') ADVANCE(26);
      END_STATE();
    case 67:
      if (lookahead == 'u') ADVANCE(71);
      if (lookahead == 'x') ADVANCE(88);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(220);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(223);
      if (lookahead != 0) ADVANCE(218);
      END_STATE();
    case 68:
      if (lookahead == 'u') ADVANCE(57);
      END_STATE();
    case 69:
      if (lookahead == 'u') ADVANCE(48);
      END_STATE();
    case 70:
      if (lookahead == 'x') ADVANCE(63);
      END_STATE();
    case 71:
      if (lookahead == '{') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(84);
      END_STATE();
    case 72:
      if (lookahead == '}') ADVANCE(160);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(179);
      if (lookahead != 0 &&
          lookahead != '{') ADVANCE(180);
      END_STATE();
    case 73:
      if (lookahead == '}') ADVANCE(218);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(73);
      END_STATE();
    case 74:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(78);
      END_STATE();
    case 75:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(97);
      END_STATE();
    case 76:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(74);
      END_STATE();
    case 77:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(75);
      END_STATE();
    case 78:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(80);
      END_STATE();
    case 79:
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(86);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(117);
      END_STATE();
    case 80:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(77);
      END_STATE();
    case 81:
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(81);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '@' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(158);
      END_STATE();
    case 82:
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(93);
      if (lookahead != 0 &&
          lookahead != '>') ADVANCE(94);
      END_STATE();
    case 83:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(233);
      END_STATE();
    case 84:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(88);
      END_STATE();
    case 85:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(218);
      END_STATE();
    case 86:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(122);
      END_STATE();
    case 87:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(73);
      END_STATE();
    case 88:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(85);
      END_STATE();
    case 89:
      if (eof) ADVANCE(91);
      ADVANCE_MAP(
        '!', 197,
        '"', 155,
        '%', 245,
        '&', 9,
        '\'', 152,
        '(', 162,
        ')', 163,
        '*', 181,
        '+', 241,
        ',', 173,
        '-', 242,
        '.', 238,
        '/', 244,
        ':', 182,
        ';', 161,
        '<', 99,
        '=', 176,
        '>', 96,
        '?', 198,
        '[', 190,
        ']', 191,
        'a', 34,
        'c', 54,
        'e', 43,
        'l', 28,
        'm', 41,
        'o', 35,
        'p', 45,
        's', 237,
        't', 38,
        'w', 39,
        '{', 159,
        '|', 202,
        '}', 160,
        'D', 76,
        'd', 76,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(89);
      END_STATE();
    case 90:
      if (eof) ADVANCE(91);
      if (lookahead == '&') ADVANCE(10);
      if (lookahead == '<') ADVANCE(98);
      if (lookahead == '>') ADVANCE(95);
      if (lookahead == '{') ADVANCE(159);
      if (lookahead == '}') ADVANCE(160);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(90);
      if (lookahead != 0 &&
          lookahead != '@') ADVANCE(158);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_LT_BANG);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(aux_sym_doctype_token1);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(93);
      if (lookahead != 0 &&
          lookahead != '>') ADVANCE(94);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(aux_sym_doctype_token1);
      if (lookahead != 0 &&
          lookahead != '>') ADVANCE(94);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(251);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(sym__doctype);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '!') ADVANCE(92);
      if (lookahead == '/') ADVANCE(102);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '!') ADVANCE(92);
      if (lookahead == '/') ADVANCE(102);
      if (lookahead == '=') ADVANCE(250);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '=') ADVANCE(250);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_SLASH_GT);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_LT_SLASH);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(sym_attribute_name);
      if (lookahead == '>') ADVANCE(101);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(110);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(sym_attribute_name);
      if (lookahead == '{') ADVANCE(108);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(106);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(110);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(sym_attribute_name);
      if (lookahead == '}') ADVANCE(225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(105);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(110);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(sym_attribute_name);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(109);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(110);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(sym_attribute_name);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(225);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(110);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(sym_attribute_name);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(105);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(110);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(sym_attribute_name);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(107);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(110);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(sym_attribute_name);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(110);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(sym_attribute_value);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '"' &&
          lookahead != '\'' &&
          (lookahead < '<' || '>' < lookahead)) ADVANCE(111);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(sym_entity);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(112);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(112);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(113);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(112);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(114);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(112);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(115);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(112);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(116);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(112);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(113);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(112);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(118);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(112);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(119);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(112);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(120);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(112);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(121);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(112);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(113);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(112);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(123);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(112);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(124);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(112);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(125);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(112);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(126);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(112);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(127);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(112);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(128);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(112);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(112);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(130);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(112);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(131);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(112);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(132);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(112);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(133);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(112);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(134);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(112);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(135);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(112);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(136);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(112);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(137);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(112);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(138);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(112);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(139);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(112);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(140);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(112);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(141);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(112);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(142);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(112);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(143);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(112);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(144);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(112);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(145);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(112);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(146);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(112);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(147);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(112);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(148);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(112);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(149);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(112);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(150);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(aux_sym_quoted_attribute_value_token1);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(153);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(154);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(aux_sym_quoted_attribute_value_token1);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(154);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(aux_sym_quoted_attribute_value_token2);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(156);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(157);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(aux_sym_quoted_attribute_value_token2);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(157);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(sym_text);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(81);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '@' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(158);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_prefetch);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_when);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_on);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_after);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_minimum);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_track);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_let);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(217);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_as);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(246);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_plural);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_select);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(sym_icu_category);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(179);
      if (lookahead != 0 &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(180);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(sym_icu_category);
      if (lookahead != 0 &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(180);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_then);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_then);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(217);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_else);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(217);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_context);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_context);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(217);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '(') ADVANCE(192);
      if (lookahead == '@') ADVANCE(194);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_LBRACK_LPAREN);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_RPAREN_RBRACK);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_LBRACK_AT);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '.') ADVANCE(240);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '.') ADVANCE(240);
      if (lookahead == '=') ADVANCE(248);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(239);
      if (lookahead == '?') ADVANCE(199);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(200);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(213);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(217);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(186);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(217);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(216);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(217);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(209);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(217);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'h') ADVANCE(206);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(217);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l') ADVANCE(212);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(217);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(184);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(217);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(215);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(217);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(210);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(217);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's') ADVANCE(204);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(217);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(172);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(217);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(188);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(217);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(205);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(217);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'x') ADVANCE(214);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(217);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(217);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(sym__escape_sequence);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(sym__escape_sequence);
      if (lookahead == '\n') ADVANCE(218);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(225);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(110);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(sym__escape_sequence);
      if (lookahead == '\n' ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(218);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(sym__escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(218);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(sym__escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(225);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(110);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(sym__escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(221);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(sym__escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(222);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(110);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(sym__escape_sequence);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(110);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(aux_sym_string_token1);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == '\r') ADVANCE(220);
      if (lookahead == '?') ADVANCE(219);
      if (lookahead == 'u') ADVANCE(104);
      if (lookahead == 'x') ADVANCE(109);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(224);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == '"' ||
          ('\'' <= lookahead && lookahead <= '*') ||
          lookahead == '.' ||
          ('<' <= lookahead && lookahead <= '>') ||
          lookahead == '[' ||
          lookahead == ']') ADVANCE(218);
      if (lookahead != 0) ADVANCE(225);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == '>') ADVANCE(101);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(110);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == 'u') ADVANCE(71);
      if (lookahead == 'x') ADVANCE(88);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(220);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(223);
      if (lookahead != 0) ADVANCE(218);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(110);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(aux_sym_string_token2);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(aux_sym_string_token2);
      if (lookahead == 'u') ADVANCE(71);
      if (lookahead == 'x') ADVANCE(88);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(220);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(223);
      if (lookahead != 0) ADVANCE(218);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(sym_number_fragment);
      if (lookahead == '.') ADVANCE(234);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(233);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(sym_number_fragment);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(234);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(anon_sym_ms);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(anon_sym_s);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(anon_sym_s);
      if (lookahead == 'e') ADVANCE(47);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(anon_sym_QMARK_DOT);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(anon_sym_BANG_DOT);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '>') ADVANCE(101);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(247);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(249);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 90, .external_lex_state = 2},
  [2] = {.lex_state = 90, .external_lex_state = 2},
  [3] = {.lex_state = 90, .external_lex_state = 3},
  [4] = {.lex_state = 90, .external_lex_state = 3},
  [5] = {.lex_state = 90, .external_lex_state = 3},
  [6] = {.lex_state = 90, .external_lex_state = 3},
  [7] = {.lex_state = 90, .external_lex_state = 2},
  [8] = {.lex_state = 90, .external_lex_state = 2},
  [9] = {.lex_state = 90, .external_lex_state = 2},
  [10] = {.lex_state = 90, .external_lex_state = 3},
  [11] = {.lex_state = 90, .external_lex_state = 2},
  [12] = {.lex_state = 90, .external_lex_state = 2},
  [13] = {.lex_state = 90, .external_lex_state = 2},
  [14] = {.lex_state = 90, .external_lex_state = 2},
  [15] = {.lex_state = 90, .external_lex_state = 2},
  [16] = {.lex_state = 90, .external_lex_state = 2},
  [17] = {.lex_state = 1, .external_lex_state = 4},
  [18] = {.lex_state = 1, .external_lex_state = 4},
  [19] = {.lex_state = 1, .external_lex_state = 4},
  [20] = {.lex_state = 1, .external_lex_state = 4},
  [21] = {.lex_state = 1, .external_lex_state = 4},
  [22] = {.lex_state = 1, .external_lex_state = 4},
  [23] = {.lex_state = 1, .external_lex_state = 4},
  [24] = {.lex_state = 1, .external_lex_state = 4},
  [25] = {.lex_state = 1, .external_lex_state = 4},
  [26] = {.lex_state = 1, .external_lex_state = 4},
  [27] = {.lex_state = 1, .external_lex_state = 4},
  [28] = {.lex_state = 1, .external_lex_state = 4},
  [29] = {.lex_state = 1, .external_lex_state = 4},
  [30] = {.lex_state = 1, .external_lex_state = 4},
  [31] = {.lex_state = 1, .external_lex_state = 4},
  [32] = {.lex_state = 1, .external_lex_state = 4},
  [33] = {.lex_state = 1, .external_lex_state = 4},
  [34] = {.lex_state = 1, .external_lex_state = 4},
  [35] = {.lex_state = 1, .external_lex_state = 4},
  [36] = {.lex_state = 1, .external_lex_state = 4},
  [37] = {.lex_state = 1, .external_lex_state = 4},
  [38] = {.lex_state = 1, .external_lex_state = 4},
  [39] = {.lex_state = 1, .external_lex_state = 4},
  [40] = {.lex_state = 1, .external_lex_state = 4},
  [41] = {.lex_state = 1, .external_lex_state = 4},
  [42] = {.lex_state = 1, .external_lex_state = 4},
  [43] = {.lex_state = 1, .external_lex_state = 4},
  [44] = {.lex_state = 1, .external_lex_state = 4},
  [45] = {.lex_state = 90, .external_lex_state = 2},
  [46] = {.lex_state = 1, .external_lex_state = 4},
  [47] = {.lex_state = 90, .external_lex_state = 2},
  [48] = {.lex_state = 2, .external_lex_state = 4},
  [49] = {.lex_state = 3, .external_lex_state = 4},
  [50] = {.lex_state = 3, .external_lex_state = 4},
  [51] = {.lex_state = 90, .external_lex_state = 2},
  [52] = {.lex_state = 90, .external_lex_state = 2},
  [53] = {.lex_state = 90, .external_lex_state = 2},
  [54] = {.lex_state = 2, .external_lex_state = 4},
  [55] = {.lex_state = 90, .external_lex_state = 3},
  [56] = {.lex_state = 90, .external_lex_state = 3},
  [57] = {.lex_state = 2, .external_lex_state = 4},
  [58] = {.lex_state = 90, .external_lex_state = 3},
  [59] = {.lex_state = 90, .external_lex_state = 3},
  [60] = {.lex_state = 2, .external_lex_state = 4},
  [61] = {.lex_state = 2, .external_lex_state = 4},
  [62] = {.lex_state = 90, .external_lex_state = 3},
  [63] = {.lex_state = 2, .external_lex_state = 4},
  [64] = {.lex_state = 2, .external_lex_state = 4},
  [65] = {.lex_state = 1, .external_lex_state = 4},
  [66] = {.lex_state = 2, .external_lex_state = 4},
  [67] = {.lex_state = 2, .external_lex_state = 4},
  [68] = {.lex_state = 1, .external_lex_state = 4},
  [69] = {.lex_state = 2, .external_lex_state = 4},
  [70] = {.lex_state = 2, .external_lex_state = 4},
  [71] = {.lex_state = 1, .external_lex_state = 4},
  [72] = {.lex_state = 2, .external_lex_state = 4},
  [73] = {.lex_state = 2, .external_lex_state = 4},
  [74] = {.lex_state = 1, .external_lex_state = 4},
  [75] = {.lex_state = 1, .external_lex_state = 4},
  [76] = {.lex_state = 1, .external_lex_state = 4},
  [77] = {.lex_state = 1, .external_lex_state = 4},
  [78] = {.lex_state = 1, .external_lex_state = 5},
  [79] = {.lex_state = 1, .external_lex_state = 4},
  [80] = {.lex_state = 1, .external_lex_state = 5},
  [81] = {.lex_state = 1, .external_lex_state = 5},
  [82] = {.lex_state = 2, .external_lex_state = 4},
  [83] = {.lex_state = 1, .external_lex_state = 4},
  [84] = {.lex_state = 1, .external_lex_state = 4},
  [85] = {.lex_state = 2, .external_lex_state = 4},
  [86] = {.lex_state = 1, .external_lex_state = 4},
  [87] = {.lex_state = 1, .external_lex_state = 4},
  [88] = {.lex_state = 2, .external_lex_state = 4},
  [89] = {.lex_state = 1, .external_lex_state = 4},
  [90] = {.lex_state = 2, .external_lex_state = 4},
  [91] = {.lex_state = 1, .external_lex_state = 4},
  [92] = {.lex_state = 2, .external_lex_state = 4},
  [93] = {.lex_state = 1, .external_lex_state = 5},
  [94] = {.lex_state = 2, .external_lex_state = 4},
  [95] = {.lex_state = 1, .external_lex_state = 5},
  [96] = {.lex_state = 2, .external_lex_state = 4},
  [97] = {.lex_state = 2, .external_lex_state = 4},
  [98] = {.lex_state = 2, .external_lex_state = 4},
  [99] = {.lex_state = 2, .external_lex_state = 4},
  [100] = {.lex_state = 2, .external_lex_state = 4},
  [101] = {.lex_state = 2, .external_lex_state = 4},
  [102] = {.lex_state = 1, .external_lex_state = 4},
  [103] = {.lex_state = 1, .external_lex_state = 4},
  [104] = {.lex_state = 1, .external_lex_state = 5},
  [105] = {.lex_state = 1, .external_lex_state = 4},
  [106] = {.lex_state = 2, .external_lex_state = 4},
  [107] = {.lex_state = 1, .external_lex_state = 4},
  [108] = {.lex_state = 2, .external_lex_state = 4},
  [109] = {.lex_state = 1, .external_lex_state = 4},
  [110] = {.lex_state = 2, .external_lex_state = 4},
  [111] = {.lex_state = 1, .external_lex_state = 4},
  [112] = {.lex_state = 2, .external_lex_state = 4},
  [113] = {.lex_state = 2, .external_lex_state = 4},
  [114] = {.lex_state = 1, .external_lex_state = 4},
  [115] = {.lex_state = 2, .external_lex_state = 4},
  [116] = {.lex_state = 2, .external_lex_state = 4},
  [117] = {.lex_state = 2, .external_lex_state = 4},
  [118] = {.lex_state = 2, .external_lex_state = 4},
  [119] = {.lex_state = 1, .external_lex_state = 4},
  [120] = {.lex_state = 2, .external_lex_state = 4},
  [121] = {.lex_state = 2, .external_lex_state = 4},
  [122] = {.lex_state = 2, .external_lex_state = 4},
  [123] = {.lex_state = 1, .external_lex_state = 4},
  [124] = {.lex_state = 2, .external_lex_state = 4},
  [125] = {.lex_state = 1, .external_lex_state = 4},
  [126] = {.lex_state = 2, .external_lex_state = 4},
  [127] = {.lex_state = 2, .external_lex_state = 4},
  [128] = {.lex_state = 2, .external_lex_state = 4},
  [129] = {.lex_state = 2, .external_lex_state = 4},
  [130] = {.lex_state = 1, .external_lex_state = 4},
  [131] = {.lex_state = 1, .external_lex_state = 4},
  [132] = {.lex_state = 1, .external_lex_state = 5},
  [133] = {.lex_state = 2, .external_lex_state = 4},
  [134] = {.lex_state = 2, .external_lex_state = 4},
  [135] = {.lex_state = 1, .external_lex_state = 4},
  [136] = {.lex_state = 2, .external_lex_state = 4},
  [137] = {.lex_state = 2, .external_lex_state = 4},
  [138] = {.lex_state = 2, .external_lex_state = 4},
  [139] = {.lex_state = 2, .external_lex_state = 4},
  [140] = {.lex_state = 2, .external_lex_state = 4},
  [141] = {.lex_state = 2, .external_lex_state = 4},
  [142] = {.lex_state = 2, .external_lex_state = 4},
  [143] = {.lex_state = 2, .external_lex_state = 4},
  [144] = {.lex_state = 2, .external_lex_state = 4},
  [145] = {.lex_state = 1, .external_lex_state = 4},
  [146] = {.lex_state = 2, .external_lex_state = 4},
  [147] = {.lex_state = 2, .external_lex_state = 4},
  [148] = {.lex_state = 2, .external_lex_state = 4},
  [149] = {.lex_state = 2, .external_lex_state = 4},
  [150] = {.lex_state = 2, .external_lex_state = 4},
  [151] = {.lex_state = 2, .external_lex_state = 4},
  [152] = {.lex_state = 1, .external_lex_state = 5},
  [153] = {.lex_state = 1, .external_lex_state = 5},
  [154] = {.lex_state = 1, .external_lex_state = 5},
  [155] = {.lex_state = 1, .external_lex_state = 5},
  [156] = {.lex_state = 1, .external_lex_state = 5},
  [157] = {.lex_state = 1, .external_lex_state = 5},
  [158] = {.lex_state = 1, .external_lex_state = 5},
  [159] = {.lex_state = 1, .external_lex_state = 5},
  [160] = {.lex_state = 1, .external_lex_state = 5},
  [161] = {.lex_state = 1, .external_lex_state = 5},
  [162] = {.lex_state = 1, .external_lex_state = 4},
  [163] = {.lex_state = 1, .external_lex_state = 5},
  [164] = {.lex_state = 1, .external_lex_state = 4},
  [165] = {.lex_state = 1, .external_lex_state = 5},
  [166] = {.lex_state = 1, .external_lex_state = 4},
  [167] = {.lex_state = 1, .external_lex_state = 4},
  [168] = {.lex_state = 1, .external_lex_state = 4},
  [169] = {.lex_state = 1, .external_lex_state = 5},
  [170] = {.lex_state = 1, .external_lex_state = 4},
  [171] = {.lex_state = 1, .external_lex_state = 4},
  [172] = {.lex_state = 1, .external_lex_state = 4},
  [173] = {.lex_state = 1, .external_lex_state = 5},
  [174] = {.lex_state = 1, .external_lex_state = 5},
  [175] = {.lex_state = 1, .external_lex_state = 4},
  [176] = {.lex_state = 1, .external_lex_state = 5},
  [177] = {.lex_state = 1, .external_lex_state = 5},
  [178] = {.lex_state = 1, .external_lex_state = 5},
  [179] = {.lex_state = 1, .external_lex_state = 5},
  [180] = {.lex_state = 1, .external_lex_state = 5},
  [181] = {.lex_state = 2, .external_lex_state = 4},
  [182] = {.lex_state = 1, .external_lex_state = 4},
  [183] = {.lex_state = 1, .external_lex_state = 5},
  [184] = {.lex_state = 1, .external_lex_state = 4},
  [185] = {.lex_state = 1, .external_lex_state = 4},
  [186] = {.lex_state = 1, .external_lex_state = 4},
  [187] = {.lex_state = 1, .external_lex_state = 4},
  [188] = {.lex_state = 1, .external_lex_state = 4},
  [189] = {.lex_state = 1, .external_lex_state = 4},
  [190] = {.lex_state = 1, .external_lex_state = 4},
  [191] = {.lex_state = 1, .external_lex_state = 4},
  [192] = {.lex_state = 2, .external_lex_state = 4},
  [193] = {.lex_state = 1, .external_lex_state = 4},
  [194] = {.lex_state = 1, .external_lex_state = 4},
  [195] = {.lex_state = 2, .external_lex_state = 4},
  [196] = {.lex_state = 1, .external_lex_state = 4},
  [197] = {.lex_state = 2, .external_lex_state = 4},
  [198] = {.lex_state = 2, .external_lex_state = 4},
  [199] = {.lex_state = 2, .external_lex_state = 4},
  [200] = {.lex_state = 2, .external_lex_state = 4},
  [201] = {.lex_state = 2, .external_lex_state = 4},
  [202] = {.lex_state = 2, .external_lex_state = 4},
  [203] = {.lex_state = 2, .external_lex_state = 4},
  [204] = {.lex_state = 2, .external_lex_state = 4},
  [205] = {.lex_state = 2, .external_lex_state = 4},
  [206] = {.lex_state = 2, .external_lex_state = 4},
  [207] = {.lex_state = 2, .external_lex_state = 4},
  [208] = {.lex_state = 1, .external_lex_state = 4},
  [209] = {.lex_state = 90, .external_lex_state = 2},
  [210] = {.lex_state = 90, .external_lex_state = 2},
  [211] = {.lex_state = 90, .external_lex_state = 2},
  [212] = {.lex_state = 2, .external_lex_state = 4},
  [213] = {.lex_state = 90, .external_lex_state = 2},
  [214] = {.lex_state = 90, .external_lex_state = 2},
  [215] = {.lex_state = 1, .external_lex_state = 5},
  [216] = {.lex_state = 90, .external_lex_state = 2},
  [217] = {.lex_state = 90, .external_lex_state = 2},
  [218] = {.lex_state = 90, .external_lex_state = 2},
  [219] = {.lex_state = 90, .external_lex_state = 2},
  [220] = {.lex_state = 2, .external_lex_state = 4},
  [221] = {.lex_state = 90, .external_lex_state = 2},
  [222] = {.lex_state = 90, .external_lex_state = 2},
  [223] = {.lex_state = 90, .external_lex_state = 2},
  [224] = {.lex_state = 90, .external_lex_state = 2},
  [225] = {.lex_state = 1, .external_lex_state = 5},
  [226] = {.lex_state = 1, .external_lex_state = 5},
  [227] = {.lex_state = 90, .external_lex_state = 2},
  [228] = {.lex_state = 1, .external_lex_state = 5},
  [229] = {.lex_state = 90, .external_lex_state = 2},
  [230] = {.lex_state = 90, .external_lex_state = 2},
  [231] = {.lex_state = 2, .external_lex_state = 4},
  [232] = {.lex_state = 2, .external_lex_state = 4},
  [233] = {.lex_state = 1, .external_lex_state = 5},
  [234] = {.lex_state = 90, .external_lex_state = 2},
  [235] = {.lex_state = 1, .external_lex_state = 5},
  [236] = {.lex_state = 90, .external_lex_state = 2},
  [237] = {.lex_state = 1, .external_lex_state = 5},
  [238] = {.lex_state = 90, .external_lex_state = 2},
  [239] = {.lex_state = 90, .external_lex_state = 2},
  [240] = {.lex_state = 90, .external_lex_state = 2},
  [241] = {.lex_state = 1, .external_lex_state = 5},
  [242] = {.lex_state = 90, .external_lex_state = 2},
  [243] = {.lex_state = 1, .external_lex_state = 5},
  [244] = {.lex_state = 90, .external_lex_state = 2},
  [245] = {.lex_state = 90, .external_lex_state = 2},
  [246] = {.lex_state = 90, .external_lex_state = 2},
  [247] = {.lex_state = 1, .external_lex_state = 5},
  [248] = {.lex_state = 90, .external_lex_state = 2},
  [249] = {.lex_state = 1, .external_lex_state = 5},
  [250] = {.lex_state = 90, .external_lex_state = 2},
  [251] = {.lex_state = 90, .external_lex_state = 2},
  [252] = {.lex_state = 2, .external_lex_state = 4},
  [253] = {.lex_state = 90, .external_lex_state = 2},
  [254] = {.lex_state = 90, .external_lex_state = 2},
  [255] = {.lex_state = 90, .external_lex_state = 2},
  [256] = {.lex_state = 1, .external_lex_state = 5},
  [257] = {.lex_state = 90, .external_lex_state = 2},
  [258] = {.lex_state = 90, .external_lex_state = 2},
  [259] = {.lex_state = 90, .external_lex_state = 2},
  [260] = {.lex_state = 90, .external_lex_state = 2},
  [261] = {.lex_state = 90, .external_lex_state = 2},
  [262] = {.lex_state = 90, .external_lex_state = 2},
  [263] = {.lex_state = 2, .external_lex_state = 4},
  [264] = {.lex_state = 90, .external_lex_state = 2},
  [265] = {.lex_state = 90, .external_lex_state = 2},
  [266] = {.lex_state = 90, .external_lex_state = 2},
  [267] = {.lex_state = 1, .external_lex_state = 5},
  [268] = {.lex_state = 90, .external_lex_state = 2},
  [269] = {.lex_state = 90, .external_lex_state = 2},
  [270] = {.lex_state = 90, .external_lex_state = 2},
  [271] = {.lex_state = 90, .external_lex_state = 3},
  [272] = {.lex_state = 1, .external_lex_state = 5},
  [273] = {.lex_state = 90, .external_lex_state = 3},
  [274] = {.lex_state = 90, .external_lex_state = 3},
  [275] = {.lex_state = 90, .external_lex_state = 3},
  [276] = {.lex_state = 90, .external_lex_state = 3},
  [277] = {.lex_state = 90, .external_lex_state = 3},
  [278] = {.lex_state = 90, .external_lex_state = 3},
  [279] = {.lex_state = 90, .external_lex_state = 3},
  [280] = {.lex_state = 90, .external_lex_state = 3},
  [281] = {.lex_state = 90, .external_lex_state = 3},
  [282] = {.lex_state = 90, .external_lex_state = 3},
  [283] = {.lex_state = 1, .external_lex_state = 5},
  [284] = {.lex_state = 90, .external_lex_state = 3},
  [285] = {.lex_state = 90, .external_lex_state = 3},
  [286] = {.lex_state = 90, .external_lex_state = 3},
  [287] = {.lex_state = 90, .external_lex_state = 3},
  [288] = {.lex_state = 90, .external_lex_state = 3},
  [289] = {.lex_state = 1, .external_lex_state = 4},
  [290] = {.lex_state = 1, .external_lex_state = 5},
  [291] = {.lex_state = 90, .external_lex_state = 3},
  [292] = {.lex_state = 90, .external_lex_state = 3},
  [293] = {.lex_state = 90, .external_lex_state = 3},
  [294] = {.lex_state = 90, .external_lex_state = 3},
  [295] = {.lex_state = 90, .external_lex_state = 3},
  [296] = {.lex_state = 90, .external_lex_state = 3},
  [297] = {.lex_state = 90, .external_lex_state = 3},
  [298] = {.lex_state = 90, .external_lex_state = 3},
  [299] = {.lex_state = 90, .external_lex_state = 3},
  [300] = {.lex_state = 1, .external_lex_state = 4},
  [301] = {.lex_state = 90, .external_lex_state = 3},
  [302] = {.lex_state = 90, .external_lex_state = 3},
  [303] = {.lex_state = 90, .external_lex_state = 3},
  [304] = {.lex_state = 90, .external_lex_state = 3},
  [305] = {.lex_state = 90, .external_lex_state = 3},
  [306] = {.lex_state = 90, .external_lex_state = 3},
  [307] = {.lex_state = 1, .external_lex_state = 5},
  [308] = {.lex_state = 1, .external_lex_state = 5},
  [309] = {.lex_state = 90, .external_lex_state = 3},
  [310] = {.lex_state = 90, .external_lex_state = 3},
  [311] = {.lex_state = 90, .external_lex_state = 3},
  [312] = {.lex_state = 1, .external_lex_state = 5},
  [313] = {.lex_state = 90, .external_lex_state = 3},
  [314] = {.lex_state = 90, .external_lex_state = 3},
  [315] = {.lex_state = 1, .external_lex_state = 5},
  [316] = {.lex_state = 90, .external_lex_state = 3},
  [317] = {.lex_state = 90, .external_lex_state = 3},
  [318] = {.lex_state = 1, .external_lex_state = 5},
  [319] = {.lex_state = 90, .external_lex_state = 3},
  [320] = {.lex_state = 90, .external_lex_state = 3},
  [321] = {.lex_state = 90, .external_lex_state = 3},
  [322] = {.lex_state = 90, .external_lex_state = 3},
  [323] = {.lex_state = 1, .external_lex_state = 5},
  [324] = {.lex_state = 1, .external_lex_state = 5},
  [325] = {.lex_state = 90, .external_lex_state = 3},
  [326] = {.lex_state = 90, .external_lex_state = 3},
  [327] = {.lex_state = 90, .external_lex_state = 3},
  [328] = {.lex_state = 1, .external_lex_state = 5},
  [329] = {.lex_state = 1, .external_lex_state = 5},
  [330] = {.lex_state = 2, .external_lex_state = 4},
  [331] = {.lex_state = 2, .external_lex_state = 4},
  [332] = {.lex_state = 2, .external_lex_state = 4},
  [333] = {.lex_state = 1, .external_lex_state = 5},
  [334] = {.lex_state = 2, .external_lex_state = 4},
  [335] = {.lex_state = 2, .external_lex_state = 4},
  [336] = {.lex_state = 2, .external_lex_state = 4},
  [337] = {.lex_state = 1, .external_lex_state = 4},
  [338] = {.lex_state = 1, .external_lex_state = 4},
  [339] = {.lex_state = 1, .external_lex_state = 4},
  [340] = {.lex_state = 2, .external_lex_state = 4},
  [341] = {.lex_state = 1, .external_lex_state = 5},
  [342] = {.lex_state = 2, .external_lex_state = 4},
  [343] = {.lex_state = 2, .external_lex_state = 4},
  [344] = {.lex_state = 2, .external_lex_state = 4},
  [345] = {.lex_state = 1, .external_lex_state = 5},
  [346] = {.lex_state = 1, .external_lex_state = 4},
  [347] = {.lex_state = 2, .external_lex_state = 4},
  [348] = {.lex_state = 1, .external_lex_state = 5},
  [349] = {.lex_state = 2, .external_lex_state = 4},
  [350] = {.lex_state = 2, .external_lex_state = 4},
  [351] = {.lex_state = 1, .external_lex_state = 4},
  [352] = {.lex_state = 2, .external_lex_state = 4},
  [353] = {.lex_state = 1, .external_lex_state = 4},
  [354] = {.lex_state = 2, .external_lex_state = 4},
  [355] = {.lex_state = 2, .external_lex_state = 4},
  [356] = {.lex_state = 1, .external_lex_state = 4},
  [357] = {.lex_state = 2, .external_lex_state = 4},
  [358] = {.lex_state = 2, .external_lex_state = 4},
  [359] = {.lex_state = 2, .external_lex_state = 4},
  [360] = {.lex_state = 1, .external_lex_state = 4},
  [361] = {.lex_state = 1, .external_lex_state = 4},
  [362] = {.lex_state = 2, .external_lex_state = 4},
  [363] = {.lex_state = 2, .external_lex_state = 4},
  [364] = {.lex_state = 2, .external_lex_state = 4},
  [365] = {.lex_state = 2, .external_lex_state = 4},
  [366] = {.lex_state = 14, .external_lex_state = 6},
  [367] = {.lex_state = 14, .external_lex_state = 6},
  [368] = {.lex_state = 14, .external_lex_state = 6},
  [369] = {.lex_state = 14, .external_lex_state = 6},
  [370] = {.lex_state = 14, .external_lex_state = 6},
  [371] = {.lex_state = 15, .external_lex_state = 4},
  [372] = {.lex_state = 15, .external_lex_state = 4},
  [373] = {.lex_state = 15, .external_lex_state = 4},
  [374] = {.lex_state = 15, .external_lex_state = 4},
  [375] = {.lex_state = 15, .external_lex_state = 4},
  [376] = {.lex_state = 1, .external_lex_state = 4},
  [377] = {.lex_state = 1, .external_lex_state = 4},
  [378] = {.lex_state = 1, .external_lex_state = 4},
  [379] = {.lex_state = 1, .external_lex_state = 4},
  [380] = {.lex_state = 1, .external_lex_state = 4},
  [381] = {.lex_state = 1, .external_lex_state = 4},
  [382] = {.lex_state = 5, .external_lex_state = 6},
  [383] = {.lex_state = 1, .external_lex_state = 4},
  [384] = {.lex_state = 1, .external_lex_state = 5},
  [385] = {.lex_state = 1, .external_lex_state = 4},
  [386] = {.lex_state = 1, .external_lex_state = 4},
  [387] = {.lex_state = 1, .external_lex_state = 4},
  [388] = {.lex_state = 1, .external_lex_state = 4},
  [389] = {.lex_state = 6, .external_lex_state = 4},
  [390] = {.lex_state = 1, .external_lex_state = 4},
  [391] = {.lex_state = 1, .external_lex_state = 4},
  [392] = {.lex_state = 14, .external_lex_state = 6},
  [393] = {.lex_state = 0, .external_lex_state = 4},
  [394] = {.lex_state = 0, .external_lex_state = 4},
  [395] = {.lex_state = 0, .external_lex_state = 4},
  [396] = {.lex_state = 2, .external_lex_state = 4},
  [397] = {.lex_state = 0, .external_lex_state = 4},
  [398] = {.lex_state = 14, .external_lex_state = 6},
  [399] = {.lex_state = 1, .external_lex_state = 4},
  [400] = {.lex_state = 14, .external_lex_state = 6},
  [401] = {.lex_state = 15, .external_lex_state = 4},
  [402] = {.lex_state = 2, .external_lex_state = 4},
  [403] = {.lex_state = 0, .external_lex_state = 5},
  [404] = {.lex_state = 14, .external_lex_state = 6},
  [405] = {.lex_state = 14, .external_lex_state = 6},
  [406] = {.lex_state = 2, .external_lex_state = 4},
  [407] = {.lex_state = 14, .external_lex_state = 6},
  [408] = {.lex_state = 2, .external_lex_state = 4},
  [409] = {.lex_state = 14, .external_lex_state = 6},
  [410] = {.lex_state = 14, .external_lex_state = 6},
  [411] = {.lex_state = 0, .external_lex_state = 5},
  [412] = {.lex_state = 14, .external_lex_state = 6},
  [413] = {.lex_state = 2, .external_lex_state = 4},
  [414] = {.lex_state = 14, .external_lex_state = 6},
  [415] = {.lex_state = 14, .external_lex_state = 6},
  [416] = {.lex_state = 14, .external_lex_state = 6},
  [417] = {.lex_state = 14, .external_lex_state = 6},
  [418] = {.lex_state = 0, .external_lex_state = 4},
  [419] = {.lex_state = 2, .external_lex_state = 4},
  [420] = {.lex_state = 15, .external_lex_state = 4},
  [421] = {.lex_state = 0, .external_lex_state = 4},
  [422] = {.lex_state = 0, .external_lex_state = 5},
  [423] = {.lex_state = 14, .external_lex_state = 6},
  [424] = {.lex_state = 1, .external_lex_state = 4},
  [425] = {.lex_state = 0, .external_lex_state = 5},
  [426] = {.lex_state = 0, .external_lex_state = 4},
  [427] = {.lex_state = 15, .external_lex_state = 4},
  [428] = {.lex_state = 0, .external_lex_state = 5},
  [429] = {.lex_state = 0, .external_lex_state = 5},
  [430] = {.lex_state = 14, .external_lex_state = 6},
  [431] = {.lex_state = 0, .external_lex_state = 4},
  [432] = {.lex_state = 15, .external_lex_state = 4},
  [433] = {.lex_state = 15, .external_lex_state = 4},
  [434] = {.lex_state = 15, .external_lex_state = 4},
  [435] = {.lex_state = 15, .external_lex_state = 4},
  [436] = {.lex_state = 0, .external_lex_state = 5},
  [437] = {.lex_state = 15, .external_lex_state = 4},
  [438] = {.lex_state = 3, .external_lex_state = 4},
  [439] = {.lex_state = 1, .external_lex_state = 4},
  [440] = {.lex_state = 15, .external_lex_state = 4},
  [441] = {.lex_state = 15, .external_lex_state = 4},
  [442] = {.lex_state = 15, .external_lex_state = 4},
  [443] = {.lex_state = 15, .external_lex_state = 4},
  [444] = {.lex_state = 2, .external_lex_state = 4},
  [445] = {.lex_state = 0, .external_lex_state = 5},
  [446] = {.lex_state = 15, .external_lex_state = 4},
  [447] = {.lex_state = 0, .external_lex_state = 4},
  [448] = {.lex_state = 0, .external_lex_state = 4},
  [449] = {.lex_state = 15, .external_lex_state = 4},
  [450] = {.lex_state = 3, .external_lex_state = 4},
  [451] = {.lex_state = 0, .external_lex_state = 5},
  [452] = {.lex_state = 1, .external_lex_state = 4},
  [453] = {.lex_state = 1, .external_lex_state = 4},
  [454] = {.lex_state = 0, .external_lex_state = 5},
  [455] = {.lex_state = 15, .external_lex_state = 4},
  [456] = {.lex_state = 0, .external_lex_state = 4},
  [457] = {.lex_state = 3, .external_lex_state = 4},
  [458] = {.lex_state = 3, .external_lex_state = 4},
  [459] = {.lex_state = 0, .external_lex_state = 4},
  [460] = {.lex_state = 90, .external_lex_state = 7},
  [461] = {.lex_state = 90, .external_lex_state = 7},
  [462] = {.lex_state = 90, .external_lex_state = 7},
  [463] = {.lex_state = 0, .external_lex_state = 4},
  [464] = {.lex_state = 3, .external_lex_state = 4},
  [465] = {.lex_state = 0, .external_lex_state = 4},
  [466] = {.lex_state = 3, .external_lex_state = 4},
  [467] = {.lex_state = 0, .external_lex_state = 4},
  [468] = {.lex_state = 12, .external_lex_state = 4},
  [469] = {.lex_state = 0, .external_lex_state = 4},
  [470] = {.lex_state = 0, .external_lex_state = 4},
  [471] = {.lex_state = 0, .external_lex_state = 4},
  [472] = {.lex_state = 0, .external_lex_state = 4},
  [473] = {.lex_state = 0, .external_lex_state = 5},
  [474] = {.lex_state = 12, .external_lex_state = 4},
  [475] = {.lex_state = 12, .external_lex_state = 4},
  [476] = {.lex_state = 7, .external_lex_state = 4},
  [477] = {.lex_state = 0, .external_lex_state = 5},
  [478] = {.lex_state = 1, .external_lex_state = 4},
  [479] = {.lex_state = 7, .external_lex_state = 4},
  [480] = {.lex_state = 0, .external_lex_state = 4},
  [481] = {.lex_state = 0, .external_lex_state = 7},
  [482] = {.lex_state = 0, .external_lex_state = 7},
  [483] = {.lex_state = 1, .external_lex_state = 4},
  [484] = {.lex_state = 21, .external_lex_state = 4},
  [485] = {.lex_state = 7, .external_lex_state = 4},
  [486] = {.lex_state = 7, .external_lex_state = 4},
  [487] = {.lex_state = 12, .external_lex_state = 4},
  [488] = {.lex_state = 0, .external_lex_state = 4},
  [489] = {.lex_state = 72, .external_lex_state = 4},
  [490] = {.lex_state = 0, .external_lex_state = 4},
  [491] = {.lex_state = 0, .external_lex_state = 4},
  [492] = {.lex_state = 0, .external_lex_state = 4},
  [493] = {.lex_state = 12, .external_lex_state = 4},
  [494] = {.lex_state = 0, .external_lex_state = 4},
  [495] = {.lex_state = 72, .external_lex_state = 4},
  [496] = {.lex_state = 0, .external_lex_state = 4},
  [497] = {.lex_state = 72, .external_lex_state = 4},
  [498] = {.lex_state = 0, .external_lex_state = 4},
  [499] = {.lex_state = 0, .external_lex_state = 4},
  [500] = {.lex_state = 7, .external_lex_state = 4},
  [501] = {.lex_state = 0, .external_lex_state = 4},
  [502] = {.lex_state = 0, .external_lex_state = 4},
  [503] = {.lex_state = 0, .external_lex_state = 4},
  [504] = {.lex_state = 0, .external_lex_state = 4},
  [505] = {.lex_state = 0, .external_lex_state = 4},
  [506] = {.lex_state = 0, .external_lex_state = 4},
  [507] = {.lex_state = 1, .external_lex_state = 4},
  [508] = {.lex_state = 0, .external_lex_state = 4},
  [509] = {.lex_state = 0, .external_lex_state = 4},
  [510] = {.lex_state = 4, .external_lex_state = 4},
  [511] = {.lex_state = 0, .external_lex_state = 4},
  [512] = {.lex_state = 4, .external_lex_state = 4},
  [513] = {.lex_state = 0, .external_lex_state = 4},
  [514] = {.lex_state = 0, .external_lex_state = 4},
  [515] = {.lex_state = 0, .external_lex_state = 4},
  [516] = {.lex_state = 0, .external_lex_state = 4},
  [517] = {.lex_state = 0, .external_lex_state = 4},
  [518] = {.lex_state = 0, .external_lex_state = 4},
  [519] = {.lex_state = 0, .external_lex_state = 4},
  [520] = {.lex_state = 0, .external_lex_state = 4},
  [521] = {.lex_state = 0, .external_lex_state = 4},
  [522] = {.lex_state = 0, .external_lex_state = 4},
  [523] = {.lex_state = 0, .external_lex_state = 4},
  [524] = {.lex_state = 2, .external_lex_state = 4},
  [525] = {.lex_state = 90, .external_lex_state = 7},
  [526] = {.lex_state = 0, .external_lex_state = 4},
  [527] = {.lex_state = 0, .external_lex_state = 4},
  [528] = {.lex_state = 0, .external_lex_state = 4},
  [529] = {.lex_state = 0, .external_lex_state = 4},
  [530] = {.lex_state = 0, .external_lex_state = 4},
  [531] = {.lex_state = 0, .external_lex_state = 4},
  [532] = {.lex_state = 0, .external_lex_state = 4},
  [533] = {.lex_state = 0, .external_lex_state = 4},
  [534] = {.lex_state = 0, .external_lex_state = 4},
  [535] = {.lex_state = 0, .external_lex_state = 4},
  [536] = {.lex_state = 0, .external_lex_state = 4},
  [537] = {.lex_state = 90, .external_lex_state = 7},
  [538] = {.lex_state = 0, .external_lex_state = 4},
  [539] = {.lex_state = 0, .external_lex_state = 4},
  [540] = {.lex_state = 0, .external_lex_state = 4},
  [541] = {.lex_state = 72, .external_lex_state = 4},
  [542] = {.lex_state = 0, .external_lex_state = 4},
  [543] = {.lex_state = 0, .external_lex_state = 8},
  [544] = {.lex_state = 0, .external_lex_state = 4},
  [545] = {.lex_state = 0, .external_lex_state = 9},
  [546] = {.lex_state = 0, .external_lex_state = 9},
  [547] = {.lex_state = 0, .external_lex_state = 9},
  [548] = {.lex_state = 0, .external_lex_state = 9},
  [549] = {.lex_state = 0, .external_lex_state = 4},
  [550] = {.lex_state = 0, .external_lex_state = 4},
  [551] = {.lex_state = 0, .external_lex_state = 5},
  [552] = {.lex_state = 0, .external_lex_state = 5},
  [553] = {.lex_state = 0, .external_lex_state = 4},
  [554] = {.lex_state = 0, .external_lex_state = 4},
  [555] = {.lex_state = 1, .external_lex_state = 4},
  [556] = {.lex_state = 0, .external_lex_state = 4},
  [557] = {.lex_state = 0, .external_lex_state = 4},
  [558] = {.lex_state = 0, .external_lex_state = 4},
  [559] = {.lex_state = 0, .external_lex_state = 4},
  [560] = {.lex_state = 0, .external_lex_state = 8},
  [561] = {.lex_state = 0, .external_lex_state = 4},
  [562] = {.lex_state = 1, .external_lex_state = 4},
  [563] = {.lex_state = 0, .external_lex_state = 4},
  [564] = {.lex_state = 0, .external_lex_state = 4},
  [565] = {.lex_state = 1, .external_lex_state = 4},
  [566] = {.lex_state = 0, .external_lex_state = 4},
  [567] = {.lex_state = 0, .external_lex_state = 4},
  [568] = {.lex_state = 3, .external_lex_state = 4},
  [569] = {.lex_state = 0, .external_lex_state = 4},
  [570] = {.lex_state = 0, .external_lex_state = 4},
  [571] = {.lex_state = 0, .external_lex_state = 4},
  [572] = {.lex_state = 55, .external_lex_state = 4},
  [573] = {.lex_state = 0, .external_lex_state = 4},
  [574] = {.lex_state = 0, .external_lex_state = 4},
  [575] = {.lex_state = 2, .external_lex_state = 4},
  [576] = {.lex_state = 2, .external_lex_state = 4},
  [577] = {.lex_state = 72, .external_lex_state = 4},
  [578] = {.lex_state = 55, .external_lex_state = 4},
  [579] = {.lex_state = 0, .external_lex_state = 4},
  [580] = {.lex_state = 1, .external_lex_state = 4},
  [581] = {.lex_state = 1, .external_lex_state = 4},
  [582] = {.lex_state = 0, .external_lex_state = 4},
  [583] = {.lex_state = 0, .external_lex_state = 4},
  [584] = {.lex_state = 1, .external_lex_state = 4},
  [585] = {.lex_state = 0, .external_lex_state = 5},
  [586] = {.lex_state = 0, .external_lex_state = 4},
  [587] = {.lex_state = 90, .external_lex_state = 7},
  [588] = {.lex_state = 0, .external_lex_state = 4},
  [589] = {.lex_state = 0, .external_lex_state = 4},
  [590] = {.lex_state = 0, .external_lex_state = 4},
  [591] = {.lex_state = 0, .external_lex_state = 4},
  [592] = {.lex_state = 0, .external_lex_state = 4},
  [593] = {.lex_state = 3, .external_lex_state = 4},
  [594] = {.lex_state = 90, .external_lex_state = 7},
  [595] = {.lex_state = 0, .external_lex_state = 4},
  [596] = {.lex_state = 0, .external_lex_state = 4},
  [597] = {.lex_state = 0, .external_lex_state = 4},
  [598] = {.lex_state = 0, .external_lex_state = 4},
  [599] = {.lex_state = 0, .external_lex_state = 4},
  [600] = {.lex_state = 0, .external_lex_state = 4},
  [601] = {.lex_state = 0, .external_lex_state = 4},
  [602] = {.lex_state = 0, .external_lex_state = 4},
  [603] = {.lex_state = 0, .external_lex_state = 4},
  [604] = {.lex_state = 2, .external_lex_state = 4},
  [605] = {.lex_state = 0, .external_lex_state = 4},
  [606] = {.lex_state = 0, .external_lex_state = 4},
  [607] = {.lex_state = 0, .external_lex_state = 4},
  [608] = {.lex_state = 0, .external_lex_state = 4},
  [609] = {.lex_state = 0, .external_lex_state = 4},
  [610] = {.lex_state = 0, .external_lex_state = 4},
  [611] = {.lex_state = 0, .external_lex_state = 4},
  [612] = {.lex_state = 13, .external_lex_state = 4},
  [613] = {.lex_state = 8, .external_lex_state = 4},
  [614] = {.lex_state = 0, .external_lex_state = 4},
  [615] = {.lex_state = 0, .external_lex_state = 4},
  [616] = {.lex_state = 0, .external_lex_state = 4},
  [617] = {.lex_state = 0, .external_lex_state = 4},
  [618] = {.lex_state = 2, .external_lex_state = 4},
  [619] = {.lex_state = 0, .external_lex_state = 4},
  [620] = {.lex_state = 0, .external_lex_state = 4},
  [621] = {.lex_state = 2, .external_lex_state = 4},
  [622] = {.lex_state = 0, .external_lex_state = 4},
  [623] = {.lex_state = 0, .external_lex_state = 4},
  [624] = {.lex_state = 0, .external_lex_state = 4},
  [625] = {.lex_state = 0, .external_lex_state = 4},
  [626] = {.lex_state = 0, .external_lex_state = 9},
  [627] = {.lex_state = 2, .external_lex_state = 4},
  [628] = {.lex_state = 2, .external_lex_state = 4},
  [629] = {.lex_state = 0, .external_lex_state = 4},
  [630] = {.lex_state = 0, .external_lex_state = 4},
  [631] = {.lex_state = 0, .external_lex_state = 4},
  [632] = {.lex_state = 0, .external_lex_state = 4},
  [633] = {.lex_state = 0, .external_lex_state = 4},
  [634] = {.lex_state = 0, .external_lex_state = 4},
  [635] = {.lex_state = 8, .external_lex_state = 4},
  [636] = {.lex_state = 13, .external_lex_state = 4},
  [637] = {.lex_state = 0, .external_lex_state = 4},
  [638] = {.lex_state = 2, .external_lex_state = 4},
  [639] = {.lex_state = 2, .external_lex_state = 4},
  [640] = {.lex_state = 0, .external_lex_state = 4},
  [641] = {.lex_state = 0, .external_lex_state = 4},
  [642] = {.lex_state = 0, .external_lex_state = 9},
  [643] = {.lex_state = 0, .external_lex_state = 4},
  [644] = {.lex_state = 2, .external_lex_state = 4},
  [645] = {.lex_state = 2, .external_lex_state = 4},
  [646] = {.lex_state = 0, .external_lex_state = 4},
  [647] = {.lex_state = 0, .external_lex_state = 4},
  [648] = {.lex_state = 2, .external_lex_state = 4},
  [649] = {.lex_state = 0, .external_lex_state = 4},
  [650] = {.lex_state = 0, .external_lex_state = 10},
  [651] = {.lex_state = 2, .external_lex_state = 4},
  [652] = {.lex_state = 0, .external_lex_state = 4},
  [653] = {.lex_state = 2, .external_lex_state = 4},
  [654] = {.lex_state = 2, .external_lex_state = 4},
  [655] = {.lex_state = 0, .external_lex_state = 4},
  [656] = {.lex_state = 0, .external_lex_state = 4},
  [657] = {.lex_state = 0, .external_lex_state = 4},
  [658] = {.lex_state = 0, .external_lex_state = 10},
  [659] = {.lex_state = 0, .external_lex_state = 4},
  [660] = {.lex_state = 1, .external_lex_state = 4},
  [661] = {.lex_state = 0, .external_lex_state = 4},
  [662] = {.lex_state = 0, .external_lex_state = 4},
  [663] = {.lex_state = 2, .external_lex_state = 4},
  [664] = {.lex_state = 0, .external_lex_state = 4},
  [665] = {.lex_state = 0, .external_lex_state = 9},
  [666] = {.lex_state = 0, .external_lex_state = 9},
  [667] = {.lex_state = 2, .external_lex_state = 4},
  [668] = {.lex_state = 0, .external_lex_state = 4},
  [669] = {.lex_state = 0, .external_lex_state = 4},
  [670] = {.lex_state = 0, .external_lex_state = 4},
  [671] = {.lex_state = 0, .external_lex_state = 4},
  [672] = {.lex_state = 0, .external_lex_state = 4},
  [673] = {.lex_state = 0, .external_lex_state = 4},
  [674] = {.lex_state = 0, .external_lex_state = 4},
  [675] = {.lex_state = 0, .external_lex_state = 4},
  [676] = {.lex_state = 0, .external_lex_state = 4},
  [677] = {.lex_state = 2, .external_lex_state = 4},
  [678] = {.lex_state = 0, .external_lex_state = 4},
  [679] = {.lex_state = 72, .external_lex_state = 4},
  [680] = {.lex_state = 0, .external_lex_state = 4},
  [681] = {.lex_state = 0, .external_lex_state = 4},
  [682] = {.lex_state = 2, .external_lex_state = 4},
  [683] = {.lex_state = 2, .external_lex_state = 4},
  [684] = {.lex_state = 0, .external_lex_state = 4},
  [685] = {.lex_state = 3, .external_lex_state = 4},
  [686] = {.lex_state = 0, .external_lex_state = 4},
  [687] = {.lex_state = 0, .external_lex_state = 4},
  [688] = {.lex_state = 0, .external_lex_state = 4},
  [689] = {.lex_state = 0, .external_lex_state = 4},
  [690] = {.lex_state = 0, .external_lex_state = 4},
  [691] = {.lex_state = 2, .external_lex_state = 4},
  [692] = {.lex_state = 0, .external_lex_state = 4},
  [693] = {.lex_state = 0, .external_lex_state = 4},
  [694] = {.lex_state = 0, .external_lex_state = 11},
  [695] = {.lex_state = 0, .external_lex_state = 4},
  [696] = {.lex_state = 0, .external_lex_state = 4},
  [697] = {.lex_state = 0, .external_lex_state = 4},
  [698] = {.lex_state = 0, .external_lex_state = 4},
  [699] = {.lex_state = 0, .external_lex_state = 4},
  [700] = {.lex_state = 0, .external_lex_state = 4},
  [701] = {.lex_state = 0, .external_lex_state = 4},
  [702] = {.lex_state = 0, .external_lex_state = 4},
  [703] = {.lex_state = 0, .external_lex_state = 4},
  [704] = {.lex_state = 0, .external_lex_state = 4},
  [705] = {.lex_state = 0, .external_lex_state = 4},
  [706] = {.lex_state = 2, .external_lex_state = 4},
  [707] = {.lex_state = 0, .external_lex_state = 4},
  [708] = {.lex_state = 3, .external_lex_state = 4},
  [709] = {.lex_state = 0, .external_lex_state = 4},
  [710] = {.lex_state = 0, .external_lex_state = 4},
  [711] = {.lex_state = 0, .external_lex_state = 4},
  [712] = {.lex_state = 0, .external_lex_state = 12},
  [713] = {.lex_state = 82, .external_lex_state = 4},
  [714] = {.lex_state = 0, .external_lex_state = 4},
  [715] = {.lex_state = 90, .external_lex_state = 4},
  [716] = {.lex_state = 0, .external_lex_state = 4},
  [717] = {.lex_state = 1, .external_lex_state = 4},
  [718] = {.lex_state = 0, .external_lex_state = 4},
  [719] = {.lex_state = 0, .external_lex_state = 4},
  [720] = {.lex_state = 0, .external_lex_state = 4},
  [721] = {.lex_state = 0, .external_lex_state = 4},
  [722] = {.lex_state = 0, .external_lex_state = 4},
  [723] = {.lex_state = 90, .external_lex_state = 4},
  [724] = {.lex_state = 0, .external_lex_state = 4},
  [725] = {.lex_state = 0, .external_lex_state = 4},
  [726] = {.lex_state = 0, .external_lex_state = 4},
  [727] = {.lex_state = 0, .external_lex_state = 4},
  [728] = {.lex_state = 0, .external_lex_state = 4},
  [729] = {.lex_state = 0, .external_lex_state = 4},
  [730] = {.lex_state = 0, .external_lex_state = 4},
  [731] = {.lex_state = 0, .external_lex_state = 4},
  [732] = {.lex_state = 0, .external_lex_state = 4},
  [733] = {.lex_state = 0, .external_lex_state = 4},
  [734] = {.lex_state = 0, .external_lex_state = 4},
  [735] = {.lex_state = 0, .external_lex_state = 4},
  [736] = {.lex_state = 0, .external_lex_state = 4},
  [737] = {.lex_state = 0, .external_lex_state = 4},
  [738] = {.lex_state = 2, .external_lex_state = 4},
  [739] = {.lex_state = 1, .external_lex_state = 4},
  [740] = {.lex_state = 0, .external_lex_state = 4},
  [741] = {.lex_state = 2, .external_lex_state = 4},
  [742] = {.lex_state = 90, .external_lex_state = 4},
  [743] = {.lex_state = 0, .external_lex_state = 4},
  [744] = {.lex_state = 90, .external_lex_state = 4},
  [745] = {.lex_state = 2, .external_lex_state = 4},
  [746] = {.lex_state = 0, .external_lex_state = 4},
  [747] = {.lex_state = 0, .external_lex_state = 4},
  [748] = {.lex_state = 0, .external_lex_state = 4},
  [749] = {.lex_state = 0, .external_lex_state = 4},
  [750] = {.lex_state = 90, .external_lex_state = 4},
  [751] = {.lex_state = 0, .external_lex_state = 11},
  [752] = {.lex_state = 0, .external_lex_state = 4},
  [753] = {.lex_state = 0, .external_lex_state = 4},
  [754] = {.lex_state = 2, .external_lex_state = 4},
  [755] = {.lex_state = 90, .external_lex_state = 4},
  [756] = {.lex_state = 82, .external_lex_state = 4},
  [757] = {.lex_state = 0, .external_lex_state = 4},
  [758] = {.lex_state = 90, .external_lex_state = 4},
  [759] = {.lex_state = 2, .external_lex_state = 4},
  [760] = {.lex_state = 90, .external_lex_state = 4},
  [761] = {.lex_state = 2, .external_lex_state = 4},
  [762] = {.lex_state = 0, .external_lex_state = 4},
  [763] = {.lex_state = 0, .external_lex_state = 4},
  [764] = {.lex_state = 0, .external_lex_state = 4},
  [765] = {.lex_state = 2, .external_lex_state = 4},
  [766] = {.lex_state = 0, .external_lex_state = 4},
  [767] = {.lex_state = 0, .external_lex_state = 4},
  [768] = {.lex_state = 0, .external_lex_state = 4},
  [769] = {.lex_state = 0, .external_lex_state = 4},
  [770] = {.lex_state = 0, .external_lex_state = 12},
  [771] = {.lex_state = 0, .external_lex_state = 4},
  [772] = {.lex_state = 0, .external_lex_state = 4},
  [773] = {.lex_state = 0, .external_lex_state = 4},
  [774] = {.lex_state = 0, .external_lex_state = 4},
  [775] = {.lex_state = 0, .external_lex_state = 4},
  [776] = {.lex_state = 0, .external_lex_state = 4},
  [777] = {.lex_state = 0, .external_lex_state = 4},
  [778] = {.lex_state = 0, .external_lex_state = 4},
  [779] = {.lex_state = 0, .external_lex_state = 4},
  [780] = {.lex_state = 0, .external_lex_state = 4},
  [781] = {.lex_state = 0, .external_lex_state = 4},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [anon_sym_LT_BANG] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [sym__doctype] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_SLASH_GT] = ACTIONS(1),
    [anon_sym_LT_SLASH] = ACTIONS(1),
    [sym_entity] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_prefetch] = ACTIONS(1),
    [anon_sym_when] = ACTIONS(1),
    [anon_sym_on] = ACTIONS(1),
    [anon_sym_after] = ACTIONS(1),
    [anon_sym_minimum] = ACTIONS(1),
    [anon_sym_of] = ACTIONS(1),
    [anon_sym_track] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_plural] = ACTIONS(1),
    [anon_sym_select] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_then] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_context] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LBRACK_LPAREN] = ACTIONS(1),
    [anon_sym_LBRACK_AT] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [sym__escape_sequence] = ACTIONS(1),
    [anon_sym_ms] = ACTIONS(1),
    [anon_sym_s] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_QMARK_DOT] = ACTIONS(1),
    [anon_sym_BANG_DOT] = ACTIONS(1),
    [sym__closing_bracket] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [sym__start_tag_name] = ACTIONS(1),
    [sym__script_start_tag_name] = ACTIONS(1),
    [sym__style_start_tag_name] = ACTIONS(1),
    [sym__end_tag_name] = ACTIONS(1),
    [sym_erroneous_end_tag_name] = ACTIONS(1),
    [sym__implicit_end_tag] = ACTIONS(1),
    [sym_raw_text] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym__interpolation_start] = ACTIONS(1),
    [sym__interpolation_end] = ACTIONS(1),
    [sym_if_start] = ACTIONS(1),
    [sym_else_start] = ACTIONS(1),
    [sym_for_start] = ACTIONS(1),
    [sym_switch_start] = ACTIONS(1),
    [sym_case_start] = ACTIONS(1),
    [sym_default_start] = ACTIONS(1),
    [sym_defer_start] = ACTIONS(1),
    [sym_let_start] = ACTIONS(1),
    [sym_empty_start] = ACTIONS(1),
    [sym_placeholder_start] = ACTIONS(1),
    [sym_loading_start] = ACTIONS(1),
    [sym_error_start] = ACTIONS(1),
    [sym_else_if_start] = ACTIONS(1),
    [sym_at_sign] = ACTIONS(1),
  },
  [1] = {
    [sym_document] = STATE(769),
    [sym_doctype] = STATE(265),
    [sym__node] = STATE(265),
    [sym_element] = STATE(265),
    [sym_script_element] = STATE(265),
    [sym_style_element] = STATE(265),
    [sym_start_tag] = STATE(3),
    [sym_script_start_tag] = STATE(545),
    [sym_style_start_tag] = STATE(548),
    [sym_self_closing_tag] = STATE(259),
    [sym_erroneous_end_tag] = STATE(265),
    [sym__any_statement] = STATE(258),
    [sym__alternative_statement] = STATE(251),
    [sym_let_statement] = STATE(258),
    [sym_switch_statement] = STATE(258),
    [sym_defer_statement] = STATE(258),
    [sym_placeholder_statement] = STATE(250),
    [sym_loading_statement] = STATE(245),
    [sym_error_statement] = STATE(270),
    [sym_for_statement] = STATE(258),
    [sym_empty_statement] = STATE(261),
    [sym_if_statement] = STATE(258),
    [sym_else_if_statement] = STATE(240),
    [sym_else_statement] = STATE(211),
    [sym_icu_expression] = STATE(265),
    [sym_interpolation] = STATE(265),
    [aux_sym_document_repeat1] = STATE(15),
    [ts_builtin_sym_end] = ACTIONS(5),
    [anon_sym_LT_BANG] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(9),
    [anon_sym_LT_SLASH] = ACTIONS(11),
    [sym_entity] = ACTIONS(13),
    [sym_text] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [sym_comment] = ACTIONS(3),
    [sym__interpolation_start] = ACTIONS(17),
    [sym_if_start] = ACTIONS(19),
    [sym_else_start] = ACTIONS(21),
    [sym_for_start] = ACTIONS(23),
    [sym_switch_start] = ACTIONS(25),
    [sym_defer_start] = ACTIONS(27),
    [sym_let_start] = ACTIONS(29),
    [sym_empty_start] = ACTIONS(31),
    [sym_placeholder_start] = ACTIONS(33),
    [sym_loading_start] = ACTIONS(35),
    [sym_error_start] = ACTIONS(37),
    [sym_else_if_start] = ACTIONS(39),
    [sym_at_sign] = ACTIONS(13),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LT_BANG,
    ACTIONS(46), 1,
      anon_sym_LT,
    ACTIONS(49), 1,
      anon_sym_LT_SLASH,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(58), 1,
      sym__interpolation_start,
    ACTIONS(61), 1,
      sym_if_start,
    ACTIONS(64), 1,
      sym_else_start,
    ACTIONS(67), 1,
      sym_for_start,
    ACTIONS(70), 1,
      sym_switch_start,
    ACTIONS(73), 1,
      sym_defer_start,
    ACTIONS(76), 1,
      sym_let_start,
    ACTIONS(79), 1,
      sym_empty_start,
    ACTIONS(82), 1,
      sym_placeholder_start,
    ACTIONS(85), 1,
      sym_loading_start,
    ACTIONS(88), 1,
      sym_error_start,
    ACTIONS(91), 1,
      sym_else_if_start,
    STATE(2), 1,
      aux_sym_document_repeat1,
    STATE(3), 1,
      sym_start_tag,
    STATE(211), 1,
      sym_else_statement,
    STATE(240), 1,
      sym_else_if_statement,
    STATE(245), 1,
      sym_loading_statement,
    STATE(250), 1,
      sym_placeholder_statement,
    STATE(251), 1,
      sym__alternative_statement,
    STATE(259), 1,
      sym_self_closing_tag,
    STATE(261), 1,
      sym_empty_statement,
    STATE(270), 1,
      sym_error_statement,
    STATE(545), 1,
      sym_script_start_tag,
    STATE(548), 1,
      sym_style_start_tag,
    ACTIONS(41), 2,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
    ACTIONS(52), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(258), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(265), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [115] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(94), 1,
      anon_sym_LT_BANG,
    ACTIONS(96), 1,
      anon_sym_LT,
    ACTIONS(98), 1,
      anon_sym_LT_SLASH,
    ACTIONS(102), 1,
      anon_sym_LBRACE,
    ACTIONS(104), 1,
      sym__implicit_end_tag,
    ACTIONS(106), 1,
      sym__interpolation_start,
    ACTIONS(108), 1,
      sym_if_start,
    ACTIONS(110), 1,
      sym_else_start,
    ACTIONS(112), 1,
      sym_for_start,
    ACTIONS(114), 1,
      sym_switch_start,
    ACTIONS(116), 1,
      sym_defer_start,
    ACTIONS(118), 1,
      sym_let_start,
    ACTIONS(120), 1,
      sym_empty_start,
    ACTIONS(122), 1,
      sym_placeholder_start,
    ACTIONS(124), 1,
      sym_loading_start,
    ACTIONS(126), 1,
      sym_error_start,
    ACTIONS(128), 1,
      sym_else_if_start,
    STATE(5), 1,
      sym_start_tag,
    STATE(6), 1,
      aux_sym_document_repeat1,
    STATE(222), 1,
      sym_end_tag,
    STATE(273), 1,
      sym_error_statement,
    STATE(274), 1,
      sym_loading_statement,
    STATE(275), 1,
      sym_placeholder_statement,
    STATE(276), 1,
      sym__alternative_statement,
    STATE(279), 1,
      sym_self_closing_tag,
    STATE(281), 1,
      sym_else_if_statement,
    STATE(282), 1,
      sym_else_statement,
    STATE(321), 1,
      sym_empty_statement,
    STATE(546), 1,
      sym_script_start_tag,
    STATE(547), 1,
      sym_style_start_tag,
    ACTIONS(100), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(278), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(280), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [232] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(94), 1,
      anon_sym_LT_BANG,
    ACTIONS(96), 1,
      anon_sym_LT,
    ACTIONS(102), 1,
      anon_sym_LBRACE,
    ACTIONS(106), 1,
      sym__interpolation_start,
    ACTIONS(108), 1,
      sym_if_start,
    ACTIONS(110), 1,
      sym_else_start,
    ACTIONS(112), 1,
      sym_for_start,
    ACTIONS(114), 1,
      sym_switch_start,
    ACTIONS(116), 1,
      sym_defer_start,
    ACTIONS(118), 1,
      sym_let_start,
    ACTIONS(120), 1,
      sym_empty_start,
    ACTIONS(122), 1,
      sym_placeholder_start,
    ACTIONS(124), 1,
      sym_loading_start,
    ACTIONS(126), 1,
      sym_error_start,
    ACTIONS(128), 1,
      sym_else_if_start,
    ACTIONS(130), 1,
      anon_sym_LT_SLASH,
    ACTIONS(132), 1,
      sym__implicit_end_tag,
    STATE(5), 1,
      sym_start_tag,
    STATE(10), 1,
      aux_sym_document_repeat1,
    STATE(273), 1,
      sym_error_statement,
    STATE(274), 1,
      sym_loading_statement,
    STATE(275), 1,
      sym_placeholder_statement,
    STATE(276), 1,
      sym__alternative_statement,
    STATE(279), 1,
      sym_self_closing_tag,
    STATE(281), 1,
      sym_else_if_statement,
    STATE(282), 1,
      sym_else_statement,
    STATE(316), 1,
      sym_end_tag,
    STATE(321), 1,
      sym_empty_statement,
    STATE(546), 1,
      sym_script_start_tag,
    STATE(547), 1,
      sym_style_start_tag,
    ACTIONS(100), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(278), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(280), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [349] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(94), 1,
      anon_sym_LT_BANG,
    ACTIONS(96), 1,
      anon_sym_LT,
    ACTIONS(102), 1,
      anon_sym_LBRACE,
    ACTIONS(106), 1,
      sym__interpolation_start,
    ACTIONS(108), 1,
      sym_if_start,
    ACTIONS(110), 1,
      sym_else_start,
    ACTIONS(112), 1,
      sym_for_start,
    ACTIONS(114), 1,
      sym_switch_start,
    ACTIONS(116), 1,
      sym_defer_start,
    ACTIONS(118), 1,
      sym_let_start,
    ACTIONS(120), 1,
      sym_empty_start,
    ACTIONS(122), 1,
      sym_placeholder_start,
    ACTIONS(124), 1,
      sym_loading_start,
    ACTIONS(126), 1,
      sym_error_start,
    ACTIONS(128), 1,
      sym_else_if_start,
    ACTIONS(130), 1,
      anon_sym_LT_SLASH,
    ACTIONS(134), 1,
      sym__implicit_end_tag,
    STATE(4), 1,
      aux_sym_document_repeat1,
    STATE(5), 1,
      sym_start_tag,
    STATE(273), 1,
      sym_error_statement,
    STATE(274), 1,
      sym_loading_statement,
    STATE(275), 1,
      sym_placeholder_statement,
    STATE(276), 1,
      sym__alternative_statement,
    STATE(279), 1,
      sym_self_closing_tag,
    STATE(281), 1,
      sym_else_if_statement,
    STATE(282), 1,
      sym_else_statement,
    STATE(297), 1,
      sym_end_tag,
    STATE(321), 1,
      sym_empty_statement,
    STATE(546), 1,
      sym_script_start_tag,
    STATE(547), 1,
      sym_style_start_tag,
    ACTIONS(100), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(278), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(280), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [466] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(94), 1,
      anon_sym_LT_BANG,
    ACTIONS(96), 1,
      anon_sym_LT,
    ACTIONS(98), 1,
      anon_sym_LT_SLASH,
    ACTIONS(102), 1,
      anon_sym_LBRACE,
    ACTIONS(106), 1,
      sym__interpolation_start,
    ACTIONS(108), 1,
      sym_if_start,
    ACTIONS(110), 1,
      sym_else_start,
    ACTIONS(112), 1,
      sym_for_start,
    ACTIONS(114), 1,
      sym_switch_start,
    ACTIONS(116), 1,
      sym_defer_start,
    ACTIONS(118), 1,
      sym_let_start,
    ACTIONS(120), 1,
      sym_empty_start,
    ACTIONS(122), 1,
      sym_placeholder_start,
    ACTIONS(124), 1,
      sym_loading_start,
    ACTIONS(126), 1,
      sym_error_start,
    ACTIONS(128), 1,
      sym_else_if_start,
    ACTIONS(136), 1,
      sym__implicit_end_tag,
    STATE(5), 1,
      sym_start_tag,
    STATE(10), 1,
      aux_sym_document_repeat1,
    STATE(209), 1,
      sym_end_tag,
    STATE(273), 1,
      sym_error_statement,
    STATE(274), 1,
      sym_loading_statement,
    STATE(275), 1,
      sym_placeholder_statement,
    STATE(276), 1,
      sym__alternative_statement,
    STATE(279), 1,
      sym_self_closing_tag,
    STATE(281), 1,
      sym_else_if_statement,
    STATE(282), 1,
      sym_else_statement,
    STATE(321), 1,
      sym_empty_statement,
    STATE(546), 1,
      sym_script_start_tag,
    STATE(547), 1,
      sym_style_start_tag,
    ACTIONS(100), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(278), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(280), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [583] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_LT_BANG,
    ACTIONS(9), 1,
      anon_sym_LT,
    ACTIONS(11), 1,
      anon_sym_LT_SLASH,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      sym__interpolation_start,
    ACTIONS(19), 1,
      sym_if_start,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(23), 1,
      sym_for_start,
    ACTIONS(25), 1,
      sym_switch_start,
    ACTIONS(27), 1,
      sym_defer_start,
    ACTIONS(29), 1,
      sym_let_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(138), 1,
      anon_sym_RBRACE,
    STATE(2), 1,
      aux_sym_document_repeat1,
    STATE(3), 1,
      sym_start_tag,
    STATE(211), 1,
      sym_else_statement,
    STATE(240), 1,
      sym_else_if_statement,
    STATE(245), 1,
      sym_loading_statement,
    STATE(250), 1,
      sym_placeholder_statement,
    STATE(251), 1,
      sym__alternative_statement,
    STATE(259), 1,
      sym_self_closing_tag,
    STATE(261), 1,
      sym_empty_statement,
    STATE(270), 1,
      sym_error_statement,
    STATE(545), 1,
      sym_script_start_tag,
    STATE(548), 1,
      sym_style_start_tag,
    ACTIONS(13), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(258), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(265), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [697] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_LT_BANG,
    ACTIONS(9), 1,
      anon_sym_LT,
    ACTIONS(11), 1,
      anon_sym_LT_SLASH,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      sym__interpolation_start,
    ACTIONS(19), 1,
      sym_if_start,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(23), 1,
      sym_for_start,
    ACTIONS(25), 1,
      sym_switch_start,
    ACTIONS(27), 1,
      sym_defer_start,
    ACTIONS(29), 1,
      sym_let_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(140), 1,
      anon_sym_RBRACE,
    STATE(2), 1,
      aux_sym_document_repeat1,
    STATE(3), 1,
      sym_start_tag,
    STATE(211), 1,
      sym_else_statement,
    STATE(240), 1,
      sym_else_if_statement,
    STATE(245), 1,
      sym_loading_statement,
    STATE(250), 1,
      sym_placeholder_statement,
    STATE(251), 1,
      sym__alternative_statement,
    STATE(259), 1,
      sym_self_closing_tag,
    STATE(261), 1,
      sym_empty_statement,
    STATE(270), 1,
      sym_error_statement,
    STATE(545), 1,
      sym_script_start_tag,
    STATE(548), 1,
      sym_style_start_tag,
    ACTIONS(13), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(258), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(265), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [811] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_LT_BANG,
    ACTIONS(9), 1,
      anon_sym_LT,
    ACTIONS(11), 1,
      anon_sym_LT_SLASH,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      sym__interpolation_start,
    ACTIONS(19), 1,
      sym_if_start,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(23), 1,
      sym_for_start,
    ACTIONS(25), 1,
      sym_switch_start,
    ACTIONS(27), 1,
      sym_defer_start,
    ACTIONS(29), 1,
      sym_let_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(142), 1,
      anon_sym_RBRACE,
    STATE(3), 1,
      sym_start_tag,
    STATE(8), 1,
      aux_sym_document_repeat1,
    STATE(211), 1,
      sym_else_statement,
    STATE(240), 1,
      sym_else_if_statement,
    STATE(245), 1,
      sym_loading_statement,
    STATE(250), 1,
      sym_placeholder_statement,
    STATE(251), 1,
      sym__alternative_statement,
    STATE(259), 1,
      sym_self_closing_tag,
    STATE(261), 1,
      sym_empty_statement,
    STATE(270), 1,
      sym_error_statement,
    STATE(545), 1,
      sym_script_start_tag,
    STATE(548), 1,
      sym_style_start_tag,
    ACTIONS(13), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(258), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(265), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [925] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      sym__implicit_end_tag,
    ACTIONS(144), 1,
      anon_sym_LT_BANG,
    ACTIONS(147), 1,
      anon_sym_LT,
    ACTIONS(150), 1,
      anon_sym_LT_SLASH,
    ACTIONS(156), 1,
      anon_sym_LBRACE,
    ACTIONS(159), 1,
      sym__interpolation_start,
    ACTIONS(162), 1,
      sym_if_start,
    ACTIONS(165), 1,
      sym_else_start,
    ACTIONS(168), 1,
      sym_for_start,
    ACTIONS(171), 1,
      sym_switch_start,
    ACTIONS(174), 1,
      sym_defer_start,
    ACTIONS(177), 1,
      sym_let_start,
    ACTIONS(180), 1,
      sym_empty_start,
    ACTIONS(183), 1,
      sym_placeholder_start,
    ACTIONS(186), 1,
      sym_loading_start,
    ACTIONS(189), 1,
      sym_error_start,
    ACTIONS(192), 1,
      sym_else_if_start,
    STATE(5), 1,
      sym_start_tag,
    STATE(10), 1,
      aux_sym_document_repeat1,
    STATE(273), 1,
      sym_error_statement,
    STATE(274), 1,
      sym_loading_statement,
    STATE(275), 1,
      sym_placeholder_statement,
    STATE(276), 1,
      sym__alternative_statement,
    STATE(279), 1,
      sym_self_closing_tag,
    STATE(281), 1,
      sym_else_if_statement,
    STATE(282), 1,
      sym_else_statement,
    STATE(321), 1,
      sym_empty_statement,
    STATE(546), 1,
      sym_script_start_tag,
    STATE(547), 1,
      sym_style_start_tag,
    ACTIONS(153), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(278), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(280), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [1039] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_LT_BANG,
    ACTIONS(9), 1,
      anon_sym_LT,
    ACTIONS(11), 1,
      anon_sym_LT_SLASH,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      sym__interpolation_start,
    ACTIONS(19), 1,
      sym_if_start,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(23), 1,
      sym_for_start,
    ACTIONS(25), 1,
      sym_switch_start,
    ACTIONS(27), 1,
      sym_defer_start,
    ACTIONS(29), 1,
      sym_let_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(195), 1,
      anon_sym_RBRACE,
    STATE(2), 1,
      aux_sym_document_repeat1,
    STATE(3), 1,
      sym_start_tag,
    STATE(211), 1,
      sym_else_statement,
    STATE(240), 1,
      sym_else_if_statement,
    STATE(245), 1,
      sym_loading_statement,
    STATE(250), 1,
      sym_placeholder_statement,
    STATE(251), 1,
      sym__alternative_statement,
    STATE(259), 1,
      sym_self_closing_tag,
    STATE(261), 1,
      sym_empty_statement,
    STATE(270), 1,
      sym_error_statement,
    STATE(545), 1,
      sym_script_start_tag,
    STATE(548), 1,
      sym_style_start_tag,
    ACTIONS(13), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(258), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(265), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [1153] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_LT_BANG,
    ACTIONS(9), 1,
      anon_sym_LT,
    ACTIONS(11), 1,
      anon_sym_LT_SLASH,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      sym__interpolation_start,
    ACTIONS(19), 1,
      sym_if_start,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(23), 1,
      sym_for_start,
    ACTIONS(25), 1,
      sym_switch_start,
    ACTIONS(27), 1,
      sym_defer_start,
    ACTIONS(29), 1,
      sym_let_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(197), 1,
      anon_sym_RBRACE,
    STATE(2), 1,
      aux_sym_document_repeat1,
    STATE(3), 1,
      sym_start_tag,
    STATE(211), 1,
      sym_else_statement,
    STATE(240), 1,
      sym_else_if_statement,
    STATE(245), 1,
      sym_loading_statement,
    STATE(250), 1,
      sym_placeholder_statement,
    STATE(251), 1,
      sym__alternative_statement,
    STATE(259), 1,
      sym_self_closing_tag,
    STATE(261), 1,
      sym_empty_statement,
    STATE(270), 1,
      sym_error_statement,
    STATE(545), 1,
      sym_script_start_tag,
    STATE(548), 1,
      sym_style_start_tag,
    ACTIONS(13), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(258), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(265), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [1267] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_LT_BANG,
    ACTIONS(9), 1,
      anon_sym_LT,
    ACTIONS(11), 1,
      anon_sym_LT_SLASH,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      sym__interpolation_start,
    ACTIONS(19), 1,
      sym_if_start,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(23), 1,
      sym_for_start,
    ACTIONS(25), 1,
      sym_switch_start,
    ACTIONS(27), 1,
      sym_defer_start,
    ACTIONS(29), 1,
      sym_let_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(199), 1,
      anon_sym_RBRACE,
    STATE(3), 1,
      sym_start_tag,
    STATE(7), 1,
      aux_sym_document_repeat1,
    STATE(211), 1,
      sym_else_statement,
    STATE(240), 1,
      sym_else_if_statement,
    STATE(245), 1,
      sym_loading_statement,
    STATE(250), 1,
      sym_placeholder_statement,
    STATE(251), 1,
      sym__alternative_statement,
    STATE(259), 1,
      sym_self_closing_tag,
    STATE(261), 1,
      sym_empty_statement,
    STATE(270), 1,
      sym_error_statement,
    STATE(545), 1,
      sym_script_start_tag,
    STATE(548), 1,
      sym_style_start_tag,
    ACTIONS(13), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(258), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(265), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [1381] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_LT_BANG,
    ACTIONS(9), 1,
      anon_sym_LT,
    ACTIONS(11), 1,
      anon_sym_LT_SLASH,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      sym__interpolation_start,
    ACTIONS(19), 1,
      sym_if_start,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(23), 1,
      sym_for_start,
    ACTIONS(25), 1,
      sym_switch_start,
    ACTIONS(27), 1,
      sym_defer_start,
    ACTIONS(29), 1,
      sym_let_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(201), 1,
      anon_sym_RBRACE,
    STATE(3), 1,
      sym_start_tag,
    STATE(11), 1,
      aux_sym_document_repeat1,
    STATE(211), 1,
      sym_else_statement,
    STATE(240), 1,
      sym_else_if_statement,
    STATE(245), 1,
      sym_loading_statement,
    STATE(250), 1,
      sym_placeholder_statement,
    STATE(251), 1,
      sym__alternative_statement,
    STATE(259), 1,
      sym_self_closing_tag,
    STATE(261), 1,
      sym_empty_statement,
    STATE(270), 1,
      sym_error_statement,
    STATE(545), 1,
      sym_script_start_tag,
    STATE(548), 1,
      sym_style_start_tag,
    ACTIONS(13), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(258), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(265), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [1495] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_LT_BANG,
    ACTIONS(9), 1,
      anon_sym_LT,
    ACTIONS(11), 1,
      anon_sym_LT_SLASH,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      sym__interpolation_start,
    ACTIONS(19), 1,
      sym_if_start,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(23), 1,
      sym_for_start,
    ACTIONS(25), 1,
      sym_switch_start,
    ACTIONS(27), 1,
      sym_defer_start,
    ACTIONS(29), 1,
      sym_let_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(203), 1,
      ts_builtin_sym_end,
    STATE(2), 1,
      aux_sym_document_repeat1,
    STATE(3), 1,
      sym_start_tag,
    STATE(211), 1,
      sym_else_statement,
    STATE(240), 1,
      sym_else_if_statement,
    STATE(245), 1,
      sym_loading_statement,
    STATE(250), 1,
      sym_placeholder_statement,
    STATE(251), 1,
      sym__alternative_statement,
    STATE(259), 1,
      sym_self_closing_tag,
    STATE(261), 1,
      sym_empty_statement,
    STATE(270), 1,
      sym_error_statement,
    STATE(545), 1,
      sym_script_start_tag,
    STATE(548), 1,
      sym_style_start_tag,
    ACTIONS(13), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(258), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(265), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [1609] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_LT_BANG,
    ACTIONS(9), 1,
      anon_sym_LT,
    ACTIONS(11), 1,
      anon_sym_LT_SLASH,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      sym__interpolation_start,
    ACTIONS(19), 1,
      sym_if_start,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(23), 1,
      sym_for_start,
    ACTIONS(25), 1,
      sym_switch_start,
    ACTIONS(27), 1,
      sym_defer_start,
    ACTIONS(29), 1,
      sym_let_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    STATE(3), 1,
      sym_start_tag,
    STATE(12), 1,
      aux_sym_document_repeat1,
    STATE(211), 1,
      sym_else_statement,
    STATE(240), 1,
      sym_else_if_statement,
    STATE(245), 1,
      sym_loading_statement,
    STATE(250), 1,
      sym_placeholder_statement,
    STATE(251), 1,
      sym__alternative_statement,
    STATE(259), 1,
      sym_self_closing_tag,
    STATE(261), 1,
      sym_empty_statement,
    STATE(270), 1,
      sym_error_statement,
    STATE(545), 1,
      sym_script_start_tag,
    STATE(548), 1,
      sym_style_start_tag,
    ACTIONS(13), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(258), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(265), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [1720] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(211), 1,
      anon_sym_BANG,
    ACTIONS(217), 1,
      anon_sym_QMARK_DOT,
    STATE(84), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(111), 1,
      sym_pipe_sequence,
    ACTIONS(213), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(215), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 18,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [1775] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(223), 2,
      anon_sym_ms,
      anon_sym_s,
    ACTIONS(219), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(221), 24,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [1818] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(211), 1,
      anon_sym_BANG,
    ACTIONS(217), 1,
      anon_sym_QMARK_DOT,
    STATE(84), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(111), 1,
      sym_pipe_sequence,
    ACTIONS(215), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 20,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [1871] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(229), 1,
      anon_sym_LPAREN,
    ACTIONS(225), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(227), 24,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [1913] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(211), 1,
      anon_sym_BANG,
    ACTIONS(217), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(231), 1,
      anon_sym_PIPE,
    STATE(111), 1,
      sym_pipe_sequence,
    STATE(114), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(215), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 19,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [1967] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(211), 1,
      anon_sym_BANG,
    ACTIONS(217), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(231), 1,
      anon_sym_PIPE,
    STATE(111), 1,
      sym_pipe_sequence,
    STATE(114), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(215), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(233), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(205), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 17,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2023] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(229), 1,
      anon_sym_LPAREN,
    ACTIONS(235), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(237), 24,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2065] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(241), 1,
      anon_sym_QMARK,
    ACTIONS(225), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(239), 9,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
    ACTIONS(227), 15,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2108] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(243), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(245), 24,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2147] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(247), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(249), 24,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2186] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(251), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(253), 24,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(255), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(257), 24,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2264] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(241), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(225), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(239), 11,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(227), 13,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2307] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(225), 1,
      anon_sym_BANG,
    ACTIONS(227), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(241), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(239), 20,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2350] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(259), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(261), 24,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2389] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(263), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(265), 24,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2428] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(267), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(269), 24,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(271), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(273), 24,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(275), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(277), 24,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(279), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(281), 24,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2584] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(285), 24,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(289), 24,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(293), 24,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(295), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(297), 24,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(299), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(301), 24,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(305), 24,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2818] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(307), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(309), 24,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2857] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(211), 1,
      anon_sym_BANG,
    ACTIONS(217), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(215), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(311), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(313), 20,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2904] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(317), 1,
      anon_sym_LT,
    STATE(51), 1,
      aux_sym_if_statement_repeat1,
    STATE(211), 1,
      sym_else_statement,
    STATE(240), 1,
      sym_else_if_statement,
    STATE(245), 1,
      sym_loading_statement,
    STATE(250), 1,
      sym_placeholder_statement,
    STATE(261), 1,
      sym_empty_statement,
    STATE(269), 1,
      sym__alternative_statement,
    STATE(270), 1,
      sym_error_statement,
    ACTIONS(315), 14,
      sym__interpolation_start,
      sym_if_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [2969] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(241), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(225), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(239), 7,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(227), 15,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3010] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(321), 1,
      anon_sym_LT,
    STATE(53), 1,
      aux_sym_if_statement_repeat1,
    STATE(211), 1,
      sym_else_statement,
    STATE(240), 1,
      sym_else_if_statement,
    STATE(245), 1,
      sym_loading_statement,
    STATE(250), 1,
      sym_placeholder_statement,
    STATE(261), 1,
      sym_empty_statement,
    STATE(269), 1,
      sym__alternative_statement,
    STATE(270), 1,
      sym_error_statement,
    ACTIONS(319), 14,
      sym__interpolation_start,
      sym_if_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [3075] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(325), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_SEMI,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(337), 1,
      sym_identifier,
    ACTIONS(339), 1,
      sym_number_fragment,
    STATE(170), 1,
      sym_binary_expression,
    STATE(175), 1,
      sym_expression,
    STATE(389), 1,
      sym__double_quote,
    STATE(390), 1,
      sym_unary_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(502), 1,
      sym_assignment_expression,
    STATE(504), 1,
      aux_sym__binding_assignment_repeat1,
    STATE(465), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [3144] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(343), 1,
      anon_sym_let,
    ACTIONS(345), 1,
      sym_identifier,
    STATE(170), 1,
      sym_binary_expression,
    STATE(175), 1,
      sym_expression,
    STATE(390), 1,
      sym_unary_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(622), 2,
      sym_structural_expression,
      sym_structural_declaration,
    STATE(394), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [3211] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(343), 1,
      anon_sym_let,
    ACTIONS(345), 1,
      sym_identifier,
    STATE(170), 1,
      sym_binary_expression,
    STATE(175), 1,
      sym_expression,
    STATE(390), 1,
      sym_unary_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(623), 2,
      sym_structural_expression,
      sym_structural_declaration,
    STATE(394), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [3278] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(349), 1,
      anon_sym_LT,
    ACTIONS(351), 1,
      sym_else_start,
    ACTIONS(354), 1,
      sym_empty_start,
    ACTIONS(357), 1,
      sym_placeholder_start,
    ACTIONS(360), 1,
      sym_loading_start,
    ACTIONS(363), 1,
      sym_error_start,
    ACTIONS(366), 1,
      sym_else_if_start,
    STATE(51), 1,
      aux_sym_if_statement_repeat1,
    STATE(211), 1,
      sym_else_statement,
    STATE(240), 1,
      sym_else_if_statement,
    STATE(245), 1,
      sym_loading_statement,
    STATE(250), 1,
      sym_placeholder_statement,
    STATE(261), 1,
      sym_empty_statement,
    STATE(269), 1,
      sym__alternative_statement,
    STATE(270), 1,
      sym_error_statement,
    ACTIONS(347), 14,
      sym__interpolation_start,
      sym_if_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [3343] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(371), 1,
      anon_sym_LT,
    STATE(45), 1,
      aux_sym_if_statement_repeat1,
    STATE(211), 1,
      sym_else_statement,
    STATE(240), 1,
      sym_else_if_statement,
    STATE(245), 1,
      sym_loading_statement,
    STATE(250), 1,
      sym_placeholder_statement,
    STATE(261), 1,
      sym_empty_statement,
    STATE(269), 1,
      sym__alternative_statement,
    STATE(270), 1,
      sym_error_statement,
    ACTIONS(369), 14,
      sym__interpolation_start,
      sym_if_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [3408] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(375), 1,
      anon_sym_LT,
    STATE(51), 1,
      aux_sym_if_statement_repeat1,
    STATE(211), 1,
      sym_else_statement,
    STATE(240), 1,
      sym_else_if_statement,
    STATE(245), 1,
      sym_loading_statement,
    STATE(250), 1,
      sym_placeholder_statement,
    STATE(261), 1,
      sym_empty_statement,
    STATE(269), 1,
      sym__alternative_statement,
    STATE(270), 1,
      sym_error_statement,
    ACTIONS(373), 14,
      sym__interpolation_start,
      sym_if_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [3473] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_SEMI,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(337), 1,
      sym_identifier,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(377), 1,
      anon_sym_DQUOTE,
    STATE(170), 1,
      sym_binary_expression,
    STATE(175), 1,
      sym_expression,
    STATE(382), 1,
      sym__double_quote,
    STATE(390), 1,
      sym_unary_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(491), 1,
      sym_assignment_expression,
    STATE(492), 1,
      aux_sym__binding_assignment_repeat1,
    STATE(456), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [3542] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(110), 1,
      sym_else_start,
    ACTIONS(120), 1,
      sym_empty_start,
    ACTIONS(122), 1,
      sym_placeholder_start,
    ACTIONS(124), 1,
      sym_loading_start,
    ACTIONS(126), 1,
      sym_error_start,
    ACTIONS(128), 1,
      sym_else_if_start,
    ACTIONS(371), 1,
      anon_sym_LT,
    STATE(56), 1,
      aux_sym_if_statement_repeat1,
    STATE(273), 1,
      sym_error_statement,
    STATE(274), 1,
      sym_loading_statement,
    STATE(275), 1,
      sym_placeholder_statement,
    STATE(281), 1,
      sym_else_if_statement,
    STATE(282), 1,
      sym_else_statement,
    STATE(295), 1,
      sym__alternative_statement,
    STATE(321), 1,
      sym_empty_statement,
    ACTIONS(369), 13,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [3606] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(110), 1,
      sym_else_start,
    ACTIONS(120), 1,
      sym_empty_start,
    ACTIONS(122), 1,
      sym_placeholder_start,
    ACTIONS(124), 1,
      sym_loading_start,
    ACTIONS(126), 1,
      sym_error_start,
    ACTIONS(128), 1,
      sym_else_if_start,
    ACTIONS(317), 1,
      anon_sym_LT,
    STATE(59), 1,
      aux_sym_if_statement_repeat1,
    STATE(273), 1,
      sym_error_statement,
    STATE(274), 1,
      sym_loading_statement,
    STATE(275), 1,
      sym_placeholder_statement,
    STATE(281), 1,
      sym_else_if_statement,
    STATE(282), 1,
      sym_else_statement,
    STATE(295), 1,
      sym__alternative_statement,
    STATE(321), 1,
      sym_empty_statement,
    ACTIONS(315), 13,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [3670] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(379), 1,
      anon_sym_COMMA,
    ACTIONS(381), 1,
      anon_sym_RBRACK,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(170), 1,
      sym_binary_expression,
    STATE(175), 1,
      sym_expression,
    STATE(390), 1,
      sym_unary_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(480), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [3736] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(110), 1,
      sym_else_start,
    ACTIONS(120), 1,
      sym_empty_start,
    ACTIONS(122), 1,
      sym_placeholder_start,
    ACTIONS(124), 1,
      sym_loading_start,
    ACTIONS(126), 1,
      sym_error_start,
    ACTIONS(128), 1,
      sym_else_if_start,
    ACTIONS(375), 1,
      anon_sym_LT,
    STATE(59), 1,
      aux_sym_if_statement_repeat1,
    STATE(273), 1,
      sym_error_statement,
    STATE(274), 1,
      sym_loading_statement,
    STATE(275), 1,
      sym_placeholder_statement,
    STATE(281), 1,
      sym_else_if_statement,
    STATE(282), 1,
      sym_else_statement,
    STATE(295), 1,
      sym__alternative_statement,
    STATE(321), 1,
      sym_empty_statement,
    ACTIONS(373), 13,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [3800] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(349), 1,
      anon_sym_LT,
    ACTIONS(385), 1,
      sym_else_start,
    ACTIONS(388), 1,
      sym_empty_start,
    ACTIONS(391), 1,
      sym_placeholder_start,
    ACTIONS(394), 1,
      sym_loading_start,
    ACTIONS(397), 1,
      sym_error_start,
    ACTIONS(400), 1,
      sym_else_if_start,
    STATE(59), 1,
      aux_sym_if_statement_repeat1,
    STATE(273), 1,
      sym_error_statement,
    STATE(274), 1,
      sym_loading_statement,
    STATE(275), 1,
      sym_placeholder_statement,
    STATE(281), 1,
      sym_else_if_statement,
    STATE(282), 1,
      sym_else_statement,
    STATE(295), 1,
      sym__alternative_statement,
    STATE(321), 1,
      sym_empty_statement,
    ACTIONS(347), 13,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [3864] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(337), 1,
      sym_identifier,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(403), 1,
      anon_sym_DQUOTE,
    ACTIONS(406), 1,
      anon_sym_SEMI,
    STATE(170), 1,
      sym_binary_expression,
    STATE(175), 1,
      sym_expression,
    STATE(390), 1,
      sym_unary_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(649), 1,
      sym_assignment_expression,
    STATE(498), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [3930] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_COMMA,
    ACTIONS(410), 1,
      anon_sym_RBRACK,
    STATE(170), 1,
      sym_binary_expression,
    STATE(175), 1,
      sym_expression,
    STATE(390), 1,
      sym_unary_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(469), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [3996] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(110), 1,
      sym_else_start,
    ACTIONS(120), 1,
      sym_empty_start,
    ACTIONS(122), 1,
      sym_placeholder_start,
    ACTIONS(124), 1,
      sym_loading_start,
    ACTIONS(126), 1,
      sym_error_start,
    ACTIONS(128), 1,
      sym_else_if_start,
    ACTIONS(321), 1,
      anon_sym_LT,
    STATE(58), 1,
      aux_sym_if_statement_repeat1,
    STATE(273), 1,
      sym_error_statement,
    STATE(274), 1,
      sym_loading_statement,
    STATE(275), 1,
      sym_placeholder_statement,
    STATE(281), 1,
      sym_else_if_statement,
    STATE(282), 1,
      sym_else_statement,
    STATE(295), 1,
      sym__alternative_statement,
    STATE(321), 1,
      sym_empty_statement,
    ACTIONS(319), 13,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [4060] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(412), 1,
      anon_sym_RBRACK,
    STATE(170), 1,
      sym_binary_expression,
    STATE(175), 1,
      sym_expression,
    STATE(390), 1,
      sym_unary_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(521), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [4123] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(414), 1,
      sym_identifier,
    STATE(170), 1,
      sym_binary_expression,
    STATE(175), 1,
      sym_expression,
    STATE(390), 1,
      sym_unary_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(731), 1,
      sym_static_member_expression,
    STATE(184), 2,
      sym_member_expression,
      sym_bracket_expression,
    STATE(532), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
  [4188] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(343), 1,
      sym__binary_op,
    ACTIONS(422), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(416), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(418), 9,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
    ACTIONS(420), 11,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4229] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(170), 1,
      sym_binary_expression,
    STATE(175), 1,
      sym_expression,
    STATE(390), 1,
      sym_unary_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(592), 1,
      sym_if_condition,
    STATE(522), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [4292] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(170), 1,
      sym_binary_expression,
    STATE(175), 1,
      sym_expression,
    STATE(390), 1,
      sym_unary_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(544), 1,
      sym_if_condition,
    STATE(522), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [4355] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(428), 1,
      anon_sym_PIPE,
    STATE(68), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(424), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(426), 20,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4394] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(170), 1,
      sym_binary_expression,
    STATE(175), 1,
      sym_expression,
    STATE(390), 1,
      sym_unary_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(554), 1,
      sym_if_condition,
    STATE(522), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [4457] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(170), 1,
      sym_binary_expression,
    STATE(175), 1,
      sym_expression,
    STATE(390), 1,
      sym_unary_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(599), 1,
      sym_if_condition,
    STATE(522), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [4520] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(229), 1,
      anon_sym_LPAREN,
    ACTIONS(431), 1,
      anon_sym_EQ,
    ACTIONS(225), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(227), 18,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4559] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(433), 1,
      anon_sym_RBRACK,
    STATE(170), 1,
      sym_binary_expression,
    STATE(175), 1,
      sym_expression,
    STATE(390), 1,
      sym_unary_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(521), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [4622] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(435), 1,
      anon_sym_RBRACK,
    STATE(170), 1,
      sym_binary_expression,
    STATE(175), 1,
      sym_expression,
    STATE(390), 1,
      sym_unary_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(521), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [4685] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_COLON,
    STATE(79), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(437), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(439), 19,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4724] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_COLON,
    ACTIONS(447), 1,
      anon_sym_QMARK_QMARK,
    STATE(74), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(443), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(445), 18,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4765] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(343), 1,
      sym__binary_op,
    ACTIONS(451), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(453), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(416), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(420), 9,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(449), 9,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
  [4808] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(79), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(437), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(439), 20,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4845] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(455), 2,
      anon_sym_ms,
      anon_sym_s,
    ACTIONS(219), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(221), 18,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4882] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(461), 1,
      anon_sym_COLON,
    STATE(79), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(457), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(459), 19,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4921] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(464), 1,
      anon_sym_LBRACK,
    ACTIONS(466), 1,
      anon_sym_BANG,
    ACTIONS(472), 1,
      anon_sym_QMARK_DOT,
    STATE(233), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(308), 1,
      sym_pipe_sequence,
    ACTIONS(468), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(470), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 12,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4970] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(464), 1,
      anon_sym_LBRACK,
    ACTIONS(466), 1,
      anon_sym_BANG,
    ACTIONS(472), 1,
      anon_sym_QMARK_DOT,
    STATE(233), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(308), 1,
      sym_pipe_sequence,
    ACTIONS(470), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 14,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5017] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(474), 1,
      sym_identifier,
    STATE(170), 1,
      sym_binary_expression,
    STATE(175), 1,
      sym_expression,
    STATE(390), 1,
      sym_unary_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(737), 1,
      sym_static_member_expression,
    STATE(189), 2,
      sym_member_expression,
      sym_bracket_expression,
    STATE(532), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
  [5082] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(145), 1,
      sym_pipe_arguments,
    ACTIONS(476), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(478), 20,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5119] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(68), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(480), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(482), 20,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5156] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(484), 1,
      sym_identifier,
    STATE(170), 1,
      sym_binary_expression,
    STATE(175), 1,
      sym_expression,
    STATE(390), 1,
      sym_unary_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(705), 1,
      sym_static_member_expression,
    STATE(196), 2,
      sym_member_expression,
      sym_bracket_expression,
    STATE(532), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
  [5221] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(343), 1,
      sym__binary_op,
    ACTIONS(422), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(453), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(416), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(418), 9,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
    ACTIONS(420), 9,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5264] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(343), 1,
      sym__binary_op,
    ACTIONS(451), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(416), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(449), 9,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
    ACTIONS(420), 11,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5305] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(486), 1,
      sym_identifier,
    STATE(170), 1,
      sym_binary_expression,
    STATE(175), 1,
      sym_expression,
    STATE(390), 1,
      sym_unary_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(698), 1,
      sym_static_member_expression,
    STATE(188), 2,
      sym_member_expression,
      sym_bracket_expression,
    STATE(532), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
  [5370] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      anon_sym_QMARK_QMARK,
    STATE(77), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(443), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(445), 19,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5409] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(488), 1,
      anon_sym_RBRACK,
    STATE(170), 1,
      sym_binary_expression,
    STATE(175), 1,
      sym_expression,
    STATE(390), 1,
      sym_unary_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(521), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [5472] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(490), 1,
      anon_sym_COLON,
    STATE(145), 1,
      sym_pipe_arguments,
    ACTIONS(476), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(478), 19,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5511] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(492), 1,
      anon_sym_BANG,
    STATE(65), 1,
      sym_expression,
    STATE(86), 1,
      sym_binary_expression,
    STATE(103), 1,
      sym_unary_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(393), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(17), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [5571] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(494), 1,
      anon_sym_LPAREN,
    ACTIONS(225), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(227), 18,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5607] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(496), 1,
      anon_sym_SQUOTE,
    ACTIONS(498), 1,
      anon_sym_DQUOTE,
    ACTIONS(500), 1,
      anon_sym_LBRACE,
    ACTIONS(502), 1,
      anon_sym_LPAREN,
    ACTIONS(504), 1,
      anon_sym_LBRACK,
    ACTIONS(506), 1,
      anon_sym_BANG,
    ACTIONS(508), 1,
      sym_identifier,
    ACTIONS(510), 1,
      sym_number_fragment,
    STATE(243), 1,
      sym_binary_expression,
    STATE(247), 1,
      sym_expression,
    STATE(318), 1,
      sym_unary_expression,
    STATE(475), 1,
      sym__single_quote,
    STATE(479), 1,
      sym__double_quote,
    STATE(267), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(80), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [5667] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(494), 1,
      anon_sym_LPAREN,
    ACTIONS(235), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(237), 18,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5703] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(496), 1,
      anon_sym_SQUOTE,
    ACTIONS(498), 1,
      anon_sym_DQUOTE,
    ACTIONS(500), 1,
      anon_sym_LBRACE,
    ACTIONS(502), 1,
      anon_sym_LPAREN,
    ACTIONS(504), 1,
      anon_sym_LBRACK,
    ACTIONS(508), 1,
      sym_identifier,
    ACTIONS(510), 1,
      sym_number_fragment,
    ACTIONS(512), 1,
      anon_sym_BANG,
    STATE(333), 1,
      sym_binary_expression,
    STATE(341), 1,
      sym_expression,
    STATE(473), 1,
      sym_unary_expression,
    STATE(475), 1,
      sym__single_quote,
    STATE(479), 1,
      sym__double_quote,
    STATE(552), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(132), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [5763] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(170), 1,
      sym_binary_expression,
    STATE(175), 1,
      sym_expression,
    STATE(390), 1,
      sym_unary_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(529), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [5823] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(514), 1,
      anon_sym_BANG,
    STATE(191), 1,
      sym_group,
    STATE(346), 1,
      sym_expression,
    STATE(356), 1,
      sym_binary_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(488), 1,
      sym_unary_expression,
    STATE(588), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(105), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [5885] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(514), 1,
      anon_sym_BANG,
    STATE(182), 1,
      sym_group,
    STATE(346), 1,
      sym_expression,
    STATE(356), 1,
      sym_binary_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(488), 1,
      sym_unary_expression,
    STATE(533), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(105), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [5947] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(170), 1,
      sym_binary_expression,
    STATE(175), 1,
      sym_expression,
    STATE(390), 1,
      sym_unary_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(528), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6007] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(492), 1,
      anon_sym_BANG,
    STATE(65), 1,
      sym_expression,
    STATE(86), 1,
      sym_binary_expression,
    STATE(103), 1,
      sym_unary_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(208), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(17), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6067] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(516), 1,
      anon_sym_QMARK,
    ACTIONS(241), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(239), 19,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6105] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(213), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(422), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(418), 18,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6141] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(464), 1,
      anon_sym_LBRACK,
    ACTIONS(466), 1,
      anon_sym_BANG,
    ACTIONS(472), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(518), 1,
      anon_sym_PIPE,
    STATE(308), 1,
      sym_pipe_sequence,
    STATE(312), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(470), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 13,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6189] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(211), 1,
      anon_sym_BANG,
    ACTIONS(217), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(522), 1,
      anon_sym_PIPE,
    STATE(111), 1,
      sym_pipe_sequence,
    STATE(289), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(215), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(520), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(205), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 11,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6239] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(514), 1,
      anon_sym_BANG,
    STATE(194), 1,
      sym_group,
    STATE(346), 1,
      sym_expression,
    STATE(356), 1,
      sym_binary_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(488), 1,
      sym_unary_expression,
    STATE(538), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(105), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6301] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(211), 1,
      anon_sym_BANG,
    ACTIONS(217), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(522), 1,
      anon_sym_PIPE,
    STATE(111), 1,
      sym_pipe_sequence,
    STATE(289), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(215), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 13,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6349] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(492), 1,
      anon_sym_BANG,
    STATE(65), 1,
      sym_expression,
    STATE(86), 1,
      sym_binary_expression,
    STATE(103), 1,
      sym_unary_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(395), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(17), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6409] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(524), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(526), 20,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6443] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(170), 1,
      sym_binary_expression,
    STATE(175), 1,
      sym_expression,
    STATE(390), 1,
      sym_unary_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(566), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6503] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(528), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(530), 20,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6537] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(170), 1,
      sym_binary_expression,
    STATE(175), 1,
      sym_expression,
    STATE(390), 1,
      sym_unary_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(590), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6597] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(170), 1,
      sym_binary_expression,
    STATE(175), 1,
      sym_expression,
    STATE(390), 1,
      sym_unary_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(517), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6657] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(231), 1,
      anon_sym_PIPE,
    STATE(135), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(480), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(482), 19,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6695] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(492), 1,
      anon_sym_BANG,
    STATE(65), 1,
      sym_expression,
    STATE(86), 1,
      sym_binary_expression,
    STATE(103), 1,
      sym_unary_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(386), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(17), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6755] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(170), 1,
      sym_binary_expression,
    STATE(175), 1,
      sym_expression,
    STATE(390), 1,
      sym_unary_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(520), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6815] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(496), 1,
      anon_sym_SQUOTE,
    ACTIONS(498), 1,
      anon_sym_DQUOTE,
    ACTIONS(500), 1,
      anon_sym_LBRACE,
    ACTIONS(502), 1,
      anon_sym_LPAREN,
    ACTIONS(504), 1,
      anon_sym_LBRACK,
    ACTIONS(506), 1,
      anon_sym_BANG,
    ACTIONS(508), 1,
      sym_identifier,
    ACTIONS(510), 1,
      sym_number_fragment,
    STATE(243), 1,
      sym_binary_expression,
    STATE(247), 1,
      sym_expression,
    STATE(318), 1,
      sym_unary_expression,
    STATE(475), 1,
      sym__single_quote,
    STATE(479), 1,
      sym__double_quote,
    STATE(328), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(80), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6875] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(496), 1,
      anon_sym_SQUOTE,
    ACTIONS(498), 1,
      anon_sym_DQUOTE,
    ACTIONS(500), 1,
      anon_sym_LBRACE,
    ACTIONS(502), 1,
      anon_sym_LPAREN,
    ACTIONS(504), 1,
      anon_sym_LBRACK,
    ACTIONS(506), 1,
      anon_sym_BANG,
    ACTIONS(508), 1,
      sym_identifier,
    ACTIONS(510), 1,
      sym_number_fragment,
    STATE(243), 1,
      sym_binary_expression,
    STATE(247), 1,
      sym_expression,
    STATE(318), 1,
      sym_unary_expression,
    STATE(475), 1,
      sym__single_quote,
    STATE(479), 1,
      sym__double_quote,
    STATE(451), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(80), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(532), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(534), 20,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6969] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(170), 1,
      sym_binary_expression,
    STATE(175), 1,
      sym_expression,
    STATE(390), 1,
      sym_unary_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(459), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7029] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(496), 1,
      anon_sym_SQUOTE,
    ACTIONS(498), 1,
      anon_sym_DQUOTE,
    ACTIONS(500), 1,
      anon_sym_LBRACE,
    ACTIONS(502), 1,
      anon_sym_LPAREN,
    ACTIONS(504), 1,
      anon_sym_LBRACK,
    ACTIONS(506), 1,
      anon_sym_BANG,
    ACTIONS(508), 1,
      sym_identifier,
    ACTIONS(510), 1,
      sym_number_fragment,
    STATE(174), 1,
      sym_group,
    STATE(243), 1,
      sym_binary_expression,
    STATE(247), 1,
      sym_expression,
    STATE(318), 1,
      sym_unary_expression,
    STATE(475), 1,
      sym__single_quote,
    STATE(479), 1,
      sym__double_quote,
    STATE(290), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(80), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7091] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(492), 1,
      anon_sym_BANG,
    STATE(46), 1,
      sym_group,
    STATE(65), 1,
      sym_expression,
    STATE(86), 1,
      sym_binary_expression,
    STATE(103), 1,
      sym_unary_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(397), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(17), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7153] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(516), 1,
      anon_sym_QMARK,
    ACTIONS(536), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(538), 19,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [7191] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(514), 1,
      anon_sym_BANG,
    STATE(185), 1,
      sym_group,
    STATE(346), 1,
      sym_expression,
    STATE(356), 1,
      sym_binary_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(488), 1,
      sym_unary_expression,
    STATE(574), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(105), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7253] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(449), 20,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [7287] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(514), 1,
      anon_sym_BANG,
    STATE(186), 1,
      sym_group,
    STATE(346), 1,
      sym_expression,
    STATE(356), 1,
      sym_binary_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(488), 1,
      sym_unary_expression,
    STATE(570), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(105), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7349] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(170), 1,
      sym_binary_expression,
    STATE(175), 1,
      sym_expression,
    STATE(390), 1,
      sym_unary_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(521), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7409] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(496), 1,
      anon_sym_SQUOTE,
    ACTIONS(498), 1,
      anon_sym_DQUOTE,
    ACTIONS(500), 1,
      anon_sym_LBRACE,
    ACTIONS(502), 1,
      anon_sym_LPAREN,
    ACTIONS(504), 1,
      anon_sym_LBRACK,
    ACTIONS(506), 1,
      anon_sym_BANG,
    ACTIONS(508), 1,
      sym_identifier,
    ACTIONS(510), 1,
      sym_number_fragment,
    STATE(243), 1,
      sym_binary_expression,
    STATE(247), 1,
      sym_expression,
    STATE(318), 1,
      sym_unary_expression,
    STATE(475), 1,
      sym__single_quote,
    STATE(479), 1,
      sym__double_quote,
    STATE(429), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(80), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7469] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(514), 1,
      anon_sym_BANG,
    STATE(187), 1,
      sym_group,
    STATE(346), 1,
      sym_expression,
    STATE(356), 1,
      sym_binary_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(488), 1,
      sym_unary_expression,
    STATE(563), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(105), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7531] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(424), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(426), 20,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [7565] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(213), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(451), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(449), 18,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [7601] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(464), 1,
      anon_sym_LBRACK,
    ACTIONS(466), 1,
      anon_sym_BANG,
    ACTIONS(472), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(518), 1,
      anon_sym_PIPE,
    STATE(308), 1,
      sym_pipe_sequence,
    STATE(312), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(470), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(540), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(205), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 11,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [7651] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(492), 1,
      anon_sym_BANG,
    STATE(30), 1,
      sym_group,
    STATE(65), 1,
      sym_expression,
    STATE(86), 1,
      sym_binary_expression,
    STATE(103), 1,
      sym_unary_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(102), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(17), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7713] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(492), 1,
      anon_sym_BANG,
    STATE(65), 1,
      sym_expression,
    STATE(86), 1,
      sym_binary_expression,
    STATE(103), 1,
      sym_unary_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(380), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(17), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7773] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(542), 1,
      anon_sym_PIPE,
    STATE(135), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(424), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(426), 19,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [7811] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(496), 1,
      anon_sym_SQUOTE,
    ACTIONS(498), 1,
      anon_sym_DQUOTE,
    ACTIONS(500), 1,
      anon_sym_LBRACE,
    ACTIONS(502), 1,
      anon_sym_LPAREN,
    ACTIONS(504), 1,
      anon_sym_LBRACK,
    ACTIONS(506), 1,
      anon_sym_BANG,
    ACTIONS(508), 1,
      sym_identifier,
    ACTIONS(510), 1,
      sym_number_fragment,
    STATE(178), 1,
      sym_group,
    STATE(243), 1,
      sym_binary_expression,
    STATE(247), 1,
      sym_expression,
    STATE(318), 1,
      sym_unary_expression,
    STATE(475), 1,
      sym__single_quote,
    STATE(479), 1,
      sym__double_quote,
    STATE(445), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(80), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7873] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(514), 1,
      anon_sym_BANG,
    STATE(193), 1,
      sym_group,
    STATE(346), 1,
      sym_expression,
    STATE(356), 1,
      sym_binary_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(488), 1,
      sym_unary_expression,
    STATE(531), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(105), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7935] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(492), 1,
      anon_sym_BANG,
    STATE(65), 1,
      sym_expression,
    STATE(86), 1,
      sym_binary_expression,
    STATE(103), 1,
      sym_unary_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(123), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(17), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7995] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(514), 1,
      anon_sym_BANG,
    STATE(24), 1,
      sym_group,
    STATE(346), 1,
      sym_expression,
    STATE(356), 1,
      sym_binary_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(488), 1,
      sym_unary_expression,
    STATE(597), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(105), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8057] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(170), 1,
      sym_binary_expression,
    STATE(175), 1,
      sym_expression,
    STATE(390), 1,
      sym_unary_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(582), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8117] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(496), 1,
      anon_sym_SQUOTE,
    ACTIONS(498), 1,
      anon_sym_DQUOTE,
    ACTIONS(500), 1,
      anon_sym_LBRACE,
    ACTIONS(502), 1,
      anon_sym_LPAREN,
    ACTIONS(504), 1,
      anon_sym_LBRACK,
    ACTIONS(508), 1,
      sym_identifier,
    ACTIONS(510), 1,
      sym_number_fragment,
    ACTIONS(512), 1,
      anon_sym_BANG,
    STATE(333), 1,
      sym_binary_expression,
    STATE(341), 1,
      sym_expression,
    STATE(473), 1,
      sym_unary_expression,
    STATE(475), 1,
      sym__single_quote,
    STATE(479), 1,
      sym__double_quote,
    STATE(551), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(132), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8177] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(514), 1,
      anon_sym_BANG,
    STATE(190), 1,
      sym_group,
    STATE(346), 1,
      sym_expression,
    STATE(356), 1,
      sym_binary_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(488), 1,
      sym_unary_expression,
    STATE(542), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(105), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8239] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(24), 1,
      sym_group,
    STATE(170), 1,
      sym_binary_expression,
    STATE(175), 1,
      sym_expression,
    STATE(390), 1,
      sym_unary_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(399), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8301] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(492), 1,
      anon_sym_BANG,
    STATE(65), 1,
      sym_expression,
    STATE(86), 1,
      sym_binary_expression,
    STATE(103), 1,
      sym_unary_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(75), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(17), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(545), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(547), 20,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [8395] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(170), 1,
      sym_binary_expression,
    STATE(175), 1,
      sym_expression,
    STATE(390), 1,
      sym_unary_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(556), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8455] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(170), 1,
      sym_binary_expression,
    STATE(175), 1,
      sym_expression,
    STATE(390), 1,
      sym_unary_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(567), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8515] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(492), 1,
      anon_sym_BANG,
    STATE(29), 1,
      sym_group,
    STATE(65), 1,
      sym_expression,
    STATE(86), 1,
      sym_binary_expression,
    STATE(103), 1,
      sym_unary_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(385), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(17), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8577] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(170), 1,
      sym_binary_expression,
    STATE(175), 1,
      sym_expression,
    STATE(390), 1,
      sym_unary_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(501), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8637] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(496), 1,
      anon_sym_SQUOTE,
    ACTIONS(498), 1,
      anon_sym_DQUOTE,
    ACTIONS(500), 1,
      anon_sym_LBRACE,
    ACTIONS(502), 1,
      anon_sym_LPAREN,
    ACTIONS(504), 1,
      anon_sym_LBRACK,
    ACTIONS(508), 1,
      sym_identifier,
    ACTIONS(510), 1,
      sym_number_fragment,
    ACTIONS(512), 1,
      anon_sym_BANG,
    STATE(183), 1,
      sym_group,
    STATE(333), 1,
      sym_binary_expression,
    STATE(341), 1,
      sym_expression,
    STATE(473), 1,
      sym_unary_expression,
    STATE(475), 1,
      sym__single_quote,
    STATE(479), 1,
      sym__double_quote,
    STATE(585), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(132), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8699] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(170), 1,
      sym_binary_expression,
    STATE(175), 1,
      sym_expression,
    STATE(390), 1,
      sym_unary_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(507), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(22), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(287), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(289), 18,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [8792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(271), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(273), 18,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [8825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(285), 18,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [8858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(243), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(245), 18,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [8891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(299), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(301), 18,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [8924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(295), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(297), 18,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [8957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(255), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(257), 18,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [8990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(307), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(309), 18,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9023] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(251), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(253), 18,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(247), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(249), 18,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9089] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_QMARK,
    STATE(330), 1,
      sym__binary_op,
    ACTIONS(553), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(549), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(449), 8,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
    ACTIONS(551), 9,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9130] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(263), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(265), 18,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9163] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(229), 1,
      anon_sym_LPAREN,
    ACTIONS(555), 1,
      anon_sym_RBRACK,
    ACTIONS(225), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(227), 16,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9200] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(464), 1,
      anon_sym_LBRACK,
    ACTIONS(466), 1,
      anon_sym_BANG,
    ACTIONS(472), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(470), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(311), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(313), 14,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9241] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_QMARK,
    STATE(330), 1,
      sym__binary_op,
    ACTIONS(549), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(449), 8,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
    ACTIONS(551), 11,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9280] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(229), 1,
      anon_sym_LPAREN,
    ACTIONS(557), 1,
      anon_sym_RBRACK,
    ACTIONS(225), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(227), 16,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9317] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(229), 1,
      anon_sym_LPAREN,
    ACTIONS(559), 1,
      anon_sym_RBRACK,
    ACTIONS(225), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(227), 16,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(293), 18,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9387] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(422), 1,
      anon_sym_QMARK,
    STATE(330), 1,
      sym__binary_op,
    ACTIONS(553), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(549), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(418), 8,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
    ACTIONS(551), 9,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9428] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(229), 1,
      anon_sym_LPAREN,
    ACTIONS(561), 1,
      anon_sym_RBRACK,
    ACTIONS(225), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(227), 16,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9465] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(211), 1,
      anon_sym_BANG,
    ACTIONS(217), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(563), 1,
      anon_sym_PIPE,
    STATE(111), 1,
      sym_pipe_sequence,
    STATE(338), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(215), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 13,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(279), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(281), 18,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9545] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(225), 1,
      anon_sym_BANG,
    ACTIONS(227), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(241), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(239), 14,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9582] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(422), 1,
      anon_sym_QMARK,
    STATE(330), 1,
      sym__binary_op,
    ACTIONS(549), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(418), 8,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
    ACTIONS(551), 11,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9621] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(259), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(261), 18,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9654] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(267), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(269), 18,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9687] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(241), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(225), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(239), 5,
      sym__interpolation_end,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(227), 13,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9724] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(305), 18,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(275), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(277), 18,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9790] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(565), 1,
      anon_sym_RPAREN,
    ACTIONS(567), 1,
      anon_sym_BANG,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(530), 1,
      sym_unary_expression,
    STATE(719), 1,
      sym_arguments,
    STATE(353), 2,
      sym_expression,
      sym_binary_expression,
    STATE(172), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [9848] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(569), 1,
      anon_sym_COLON,
    ACTIONS(225), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(227), 16,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9882] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(241), 1,
      anon_sym_QMARK,
    ACTIONS(239), 2,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
    ACTIONS(225), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(227), 15,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9918] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(557), 1,
      anon_sym_RBRACK,
    ACTIONS(225), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(227), 16,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9952] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(571), 1,
      anon_sym_COLON,
    ACTIONS(225), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(227), 16,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9986] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_COLON,
    ACTIONS(225), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(227), 16,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10020] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(575), 1,
      anon_sym_COLON,
    ACTIONS(225), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(227), 16,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10054] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(555), 1,
      anon_sym_RBRACK,
    ACTIONS(225), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(227), 16,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10088] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(559), 1,
      anon_sym_RBRACK,
    ACTIONS(225), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(227), 16,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10122] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      anon_sym_COLON,
    ACTIONS(225), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(227), 16,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10156] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(579), 1,
      anon_sym_COLON,
    ACTIONS(225), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(227), 16,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10190] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(567), 1,
      anon_sym_BANG,
    ACTIONS(581), 1,
      anon_sym_RPAREN,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(530), 1,
      sym_unary_expression,
    STATE(684), 1,
      sym_arguments,
    STATE(353), 2,
      sym_expression,
      sym_binary_expression,
    STATE(172), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [10248] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(583), 1,
      anon_sym_COLON,
    ACTIONS(225), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(227), 16,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10282] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(585), 1,
      anon_sym_COLON,
    ACTIONS(225), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(227), 16,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10316] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(567), 1,
      anon_sym_BANG,
    ACTIONS(587), 1,
      anon_sym_RPAREN,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(530), 1,
      sym_unary_expression,
    STATE(709), 1,
      sym_arguments,
    STATE(353), 2,
      sym_expression,
      sym_binary_expression,
    STATE(172), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [10374] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_RBRACK,
    ACTIONS(225), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(227), 16,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10408] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(496), 1,
      anon_sym_SQUOTE,
    ACTIONS(498), 1,
      anon_sym_DQUOTE,
    ACTIONS(500), 1,
      anon_sym_LBRACE,
    ACTIONS(502), 1,
      anon_sym_LPAREN,
    ACTIONS(504), 1,
      anon_sym_LBRACK,
    ACTIONS(508), 1,
      sym_identifier,
    ACTIONS(510), 1,
      sym_number_fragment,
    ACTIONS(512), 1,
      anon_sym_BANG,
    STATE(329), 1,
      sym_conditional_expression,
    STATE(345), 1,
      sym_binary_expression,
    STATE(348), 1,
      sym_expression,
    STATE(475), 1,
      sym__single_quote,
    STATE(477), 1,
      sym_unary_expression,
    STATE(479), 1,
      sym__double_quote,
    STATE(132), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [10465] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(514), 1,
      anon_sym_BANG,
    STATE(125), 1,
      sym_conditional_expression,
    STATE(339), 1,
      sym_expression,
    STATE(360), 1,
      sym_binary_expression,
    STATE(470), 1,
      sym_unary_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(105), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [10522] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(492), 1,
      anon_sym_BANG,
    STATE(76), 1,
      sym_binary_expression,
    STATE(87), 1,
      sym_expression,
    STATE(125), 1,
      sym_conditional_expression,
    STATE(131), 1,
      sym_unary_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(17), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [10579] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(492), 1,
      anon_sym_BANG,
    STATE(76), 1,
      sym_binary_expression,
    STATE(87), 1,
      sym_expression,
    STATE(125), 1,
      sym_conditional_expression,
    STATE(131), 1,
      sym_unary_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(17), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [10636] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(496), 1,
      anon_sym_SQUOTE,
    ACTIONS(498), 1,
      anon_sym_DQUOTE,
    ACTIONS(500), 1,
      anon_sym_LBRACE,
    ACTIONS(502), 1,
      anon_sym_LPAREN,
    ACTIONS(504), 1,
      anon_sym_LBRACK,
    ACTIONS(508), 1,
      sym_identifier,
    ACTIONS(510), 1,
      sym_number_fragment,
    ACTIONS(512), 1,
      anon_sym_BANG,
    STATE(329), 1,
      sym_conditional_expression,
    STATE(345), 1,
      sym_binary_expression,
    STATE(348), 1,
      sym_expression,
    STATE(475), 1,
      sym__single_quote,
    STATE(477), 1,
      sym_unary_expression,
    STATE(479), 1,
      sym__double_quote,
    STATE(132), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [10693] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(514), 1,
      anon_sym_BANG,
    STATE(125), 1,
      sym_conditional_expression,
    STATE(339), 1,
      sym_expression,
    STATE(360), 1,
      sym_binary_expression,
    STATE(470), 1,
      sym_unary_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(105), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [10750] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(496), 1,
      anon_sym_SQUOTE,
    ACTIONS(498), 1,
      anon_sym_DQUOTE,
    ACTIONS(500), 1,
      anon_sym_LBRACE,
    ACTIONS(502), 1,
      anon_sym_LPAREN,
    ACTIONS(504), 1,
      anon_sym_LBRACK,
    ACTIONS(506), 1,
      anon_sym_BANG,
    ACTIONS(508), 1,
      sym_identifier,
    ACTIONS(510), 1,
      sym_number_fragment,
    STATE(235), 1,
      sym_expression,
    STATE(241), 1,
      sym_binary_expression,
    STATE(324), 1,
      sym_unary_expression,
    STATE(329), 1,
      sym_conditional_expression,
    STATE(475), 1,
      sym__single_quote,
    STATE(479), 1,
      sym__double_quote,
    STATE(80), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [10807] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(125), 1,
      sym_conditional_expression,
    STATE(162), 1,
      sym_binary_expression,
    STATE(166), 1,
      sym_expression,
    STATE(391), 1,
      sym_unary_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(22), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [10864] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(125), 1,
      sym_conditional_expression,
    STATE(162), 1,
      sym_binary_expression,
    STATE(166), 1,
      sym_expression,
    STATE(391), 1,
      sym_unary_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(22), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [10921] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(496), 1,
      anon_sym_SQUOTE,
    ACTIONS(498), 1,
      anon_sym_DQUOTE,
    ACTIONS(500), 1,
      anon_sym_LBRACE,
    ACTIONS(502), 1,
      anon_sym_LPAREN,
    ACTIONS(504), 1,
      anon_sym_LBRACK,
    ACTIONS(506), 1,
      anon_sym_BANG,
    ACTIONS(508), 1,
      sym_identifier,
    ACTIONS(510), 1,
      sym_number_fragment,
    STATE(235), 1,
      sym_expression,
    STATE(241), 1,
      sym_binary_expression,
    STATE(324), 1,
      sym_unary_expression,
    STATE(329), 1,
      sym_conditional_expression,
    STATE(475), 1,
      sym__single_quote,
    STATE(479), 1,
      sym__double_quote,
    STATE(80), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [10978] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(567), 1,
      anon_sym_BANG,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(629), 1,
      sym_unary_expression,
    STATE(361), 2,
      sym_expression,
      sym_binary_expression,
    STATE(172), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [11030] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      anon_sym_COLON,
    ACTIONS(447), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(516), 1,
      anon_sym_QMARK,
    STATE(74), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(443), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(445), 13,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11068] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(591), 1,
      anon_sym_LT,
    ACTIONS(589), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [11097] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(595), 1,
      anon_sym_LT,
    ACTIONS(593), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [11126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(599), 1,
      anon_sym_LT,
    ACTIONS(597), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [11155] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(496), 1,
      anon_sym_SQUOTE,
    ACTIONS(498), 1,
      anon_sym_DQUOTE,
    ACTIONS(500), 1,
      anon_sym_LBRACE,
    ACTIONS(502), 1,
      anon_sym_LPAREN,
    ACTIONS(504), 1,
      anon_sym_LBRACK,
    ACTIONS(508), 1,
      sym_identifier,
    ACTIONS(510), 1,
      sym_number_fragment,
    ACTIONS(512), 1,
      anon_sym_BANG,
    STATE(475), 1,
      sym__single_quote,
    STATE(479), 1,
      sym__double_quote,
    STATE(283), 2,
      sym_expression,
      sym_unary_expression,
    STATE(384), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [11204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(603), 1,
      anon_sym_LT,
    ACTIONS(601), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [11233] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(607), 1,
      anon_sym_LT,
    ACTIONS(605), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [11262] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(609), 1,
      anon_sym_COLON,
    STATE(315), 1,
      sym_pipe_arguments,
    ACTIONS(476), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(478), 13,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11295] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(613), 1,
      anon_sym_LT,
    ACTIONS(611), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [11324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(617), 1,
      anon_sym_LT,
    ACTIONS(615), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [11353] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(621), 1,
      anon_sym_LT,
    ACTIONS(619), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [11382] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(625), 1,
      anon_sym_LT,
    ACTIONS(623), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [11411] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(514), 1,
      anon_sym_BANG,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(109), 2,
      sym_expression,
      sym_unary_expression,
    STATE(107), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [11460] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(629), 1,
      anon_sym_LT,
    ACTIONS(627), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [11489] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LT,
    ACTIONS(631), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [11518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LT,
    ACTIONS(635), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [11547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(641), 1,
      anon_sym_LT,
    ACTIONS(639), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [11576] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(315), 1,
      sym_pipe_arguments,
    ACTIONS(476), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(478), 14,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11607] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(237), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(437), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(439), 14,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(645), 1,
      anon_sym_LT,
    ACTIONS(643), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [11667] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(647), 1,
      anon_sym_QMARK_QMARK,
    STATE(226), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(443), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(445), 13,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(651), 1,
      anon_sym_LT,
    ACTIONS(649), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [11729] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(655), 1,
      anon_sym_LT,
    ACTIONS(653), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [11758] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(335), 1,
      anon_sym_BANG,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(109), 2,
      sym_expression,
      sym_unary_expression,
    STATE(351), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [11807] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(567), 1,
      anon_sym_BANG,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(109), 2,
      sym_expression,
      sym_unary_expression,
    STATE(383), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [11856] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(249), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(480), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(482), 14,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(659), 1,
      anon_sym_LT,
    ACTIONS(657), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [11916] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(357), 1,
      sym__binary_op,
    ACTIONS(451), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(449), 3,
      sym__interpolation_end,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(661), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(663), 11,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 1,
      anon_sym_LT,
    ACTIONS(665), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [11980] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(669), 1,
      anon_sym_COLON,
    STATE(237), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(457), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(459), 13,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [12013] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(591), 1,
      anon_sym_LT,
    ACTIONS(589), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [12042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(674), 1,
      anon_sym_LT,
    ACTIONS(672), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [12071] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(678), 1,
      anon_sym_LT,
    ACTIONS(676), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [12100] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(357), 1,
      sym__binary_op,
    ACTIONS(451), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(680), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(449), 3,
      sym__interpolation_end,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(661), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(663), 9,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [12137] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(684), 1,
      anon_sym_LT,
    ACTIONS(682), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [12166] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(357), 1,
      sym__binary_op,
    ACTIONS(422), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(680), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(418), 3,
      sym__interpolation_end,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(661), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(663), 9,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [12203] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(688), 1,
      anon_sym_LT,
    ACTIONS(686), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [12232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(692), 1,
      anon_sym_LT,
    ACTIONS(690), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [12261] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(696), 1,
      anon_sym_LT,
    ACTIONS(694), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [12290] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(357), 1,
      sym__binary_op,
    ACTIONS(422), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(418), 3,
      sym__interpolation_end,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(661), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(663), 11,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [12325] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(700), 1,
      anon_sym_LT,
    ACTIONS(698), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [12354] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(702), 1,
      anon_sym_PIPE,
    STATE(249), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(424), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(426), 14,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [12387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LT,
    ACTIONS(705), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [12416] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(711), 1,
      anon_sym_LT,
    ACTIONS(709), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [12445] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(492), 1,
      anon_sym_BANG,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(109), 2,
      sym_expression,
      sym_unary_expression,
    STATE(19), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [12494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(715), 1,
      anon_sym_LT,
    ACTIONS(713), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [12523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(719), 1,
      anon_sym_LT,
    ACTIONS(717), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [12552] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(723), 1,
      anon_sym_LT,
    ACTIONS(721), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [12581] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(725), 1,
      anon_sym_COLON,
    STATE(237), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(437), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(439), 13,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [12614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(729), 1,
      anon_sym_LT,
    ACTIONS(727), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [12643] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(733), 1,
      anon_sym_LT,
    ACTIONS(731), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [12672] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(737), 1,
      anon_sym_LT,
    ACTIONS(735), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [12701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(741), 1,
      anon_sym_LT,
    ACTIONS(739), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [12730] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(745), 1,
      anon_sym_LT,
    ACTIONS(743), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [12759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(749), 1,
      anon_sym_LT,
    ACTIONS(747), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [12788] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(496), 1,
      anon_sym_SQUOTE,
    ACTIONS(498), 1,
      anon_sym_DQUOTE,
    ACTIONS(500), 1,
      anon_sym_LBRACE,
    ACTIONS(502), 1,
      anon_sym_LPAREN,
    ACTIONS(504), 1,
      anon_sym_LBRACK,
    ACTIONS(506), 1,
      anon_sym_BANG,
    ACTIONS(508), 1,
      sym_identifier,
    ACTIONS(510), 1,
      sym_number_fragment,
    STATE(475), 1,
      sym__single_quote,
    STATE(479), 1,
      sym__double_quote,
    STATE(283), 2,
      sym_expression,
      sym_unary_expression,
    STATE(81), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [12837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(753), 1,
      anon_sym_LT,
    ACTIONS(751), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [12866] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(757), 1,
      anon_sym_LT,
    ACTIONS(755), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [12895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(761), 1,
      anon_sym_LT,
    ACTIONS(759), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [12924] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(647), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(725), 1,
      anon_sym_COLON,
    STATE(256), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(443), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(445), 12,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [12959] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(765), 1,
      anon_sym_LT,
    ACTIONS(763), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [12988] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(769), 1,
      anon_sym_LT,
    ACTIONS(767), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [13017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(773), 1,
      anon_sym_LT,
    ACTIONS(771), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [13046] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(765), 1,
      anon_sym_LT,
    ACTIONS(763), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [13074] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(775), 1,
      anon_sym_PIPE,
    STATE(272), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(424), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(426), 13,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [13106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(773), 1,
      anon_sym_LT,
    ACTIONS(771), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [13134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(692), 1,
      anon_sym_LT,
    ACTIONS(690), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [13162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LT,
    ACTIONS(705), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [13190] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(711), 1,
      anon_sym_LT,
    ACTIONS(709), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [13218] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(674), 1,
      anon_sym_LT,
    ACTIONS(672), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [13246] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(733), 1,
      anon_sym_LT,
    ACTIONS(731), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [13274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(737), 1,
      anon_sym_LT,
    ACTIONS(735), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [13302] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(757), 1,
      anon_sym_LT,
    ACTIONS(755), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [13330] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(678), 1,
      anon_sym_LT,
    ACTIONS(676), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [13358] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(599), 1,
      anon_sym_LT,
    ACTIONS(597), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [13386] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(524), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(526), 14,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [13414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(688), 1,
      anon_sym_LT,
    ACTIONS(686), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [13442] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(780), 1,
      anon_sym_LT,
    ACTIONS(778), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [13470] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(603), 1,
      anon_sym_LT,
    ACTIONS(601), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [13498] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(607), 1,
      anon_sym_LT,
    ACTIONS(605), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [13526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(613), 1,
      anon_sym_LT,
    ACTIONS(611), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [13554] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(522), 1,
      anon_sym_PIPE,
    STATE(68), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(480), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(482), 13,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [13586] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(647), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(782), 1,
      anon_sym_QMARK,
    ACTIONS(241), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(239), 13,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [13618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(617), 1,
      anon_sym_LT,
    ACTIONS(615), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [13646] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(621), 1,
      anon_sym_LT,
    ACTIONS(619), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [13674] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(749), 1,
      anon_sym_LT,
    ACTIONS(747), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [13702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(761), 1,
      anon_sym_LT,
    ACTIONS(759), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [13730] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(769), 1,
      anon_sym_LT,
    ACTIONS(767), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [13758] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(625), 1,
      anon_sym_LT,
    ACTIONS(623), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [13786] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LT,
    ACTIONS(631), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [13814] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym_LT,
    ACTIONS(635), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [13842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(641), 1,
      anon_sym_LT,
    ACTIONS(639), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [13870] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(784), 1,
      anon_sym_COLON,
    STATE(145), 1,
      sym_pipe_arguments,
    ACTIONS(476), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(478), 13,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [13902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(645), 1,
      anon_sym_LT,
    ACTIONS(643), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [13930] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(684), 1,
      anon_sym_LT,
    ACTIONS(682), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [13958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(741), 1,
      anon_sym_LT,
    ACTIONS(739), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [13986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(723), 1,
      anon_sym_LT,
    ACTIONS(721), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [14014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(715), 1,
      anon_sym_LT,
    ACTIONS(713), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [14042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(729), 1,
      anon_sym_LT,
    ACTIONS(727), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [14070] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(532), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(534), 14,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [14098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(528), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(530), 14,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [14126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(753), 1,
      anon_sym_LT,
    ACTIONS(751), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [14154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(719), 1,
      anon_sym_LT,
    ACTIONS(717), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [14182] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(651), 1,
      anon_sym_LT,
    ACTIONS(649), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [14210] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(518), 1,
      anon_sym_PIPE,
    STATE(272), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(480), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(482), 13,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [14242] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(700), 1,
      anon_sym_LT,
    ACTIONS(698), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [14270] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(591), 1,
      anon_sym_LT,
    ACTIONS(589), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [14298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(545), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(547), 14,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [14326] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(591), 1,
      anon_sym_LT,
    ACTIONS(589), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [14354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(659), 1,
      anon_sym_LT,
    ACTIONS(657), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [14382] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(468), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(422), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(418), 12,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [14412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(696), 1,
      anon_sym_LT,
    ACTIONS(694), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [14440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(595), 1,
      anon_sym_LT,
    ACTIONS(593), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [14468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(745), 1,
      anon_sym_LT,
    ACTIONS(743), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [14496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 1,
      anon_sym_LT,
    ACTIONS(665), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [14524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(424), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(426), 14,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [14552] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(468), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(451), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(449), 12,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [14582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(655), 1,
      anon_sym_LT,
    ACTIONS(653), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [14610] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(629), 1,
      anon_sym_LT,
    ACTIONS(627), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [14638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(788), 1,
      anon_sym_LT,
    ACTIONS(786), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [14666] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(647), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(782), 1,
      anon_sym_QMARK,
    ACTIONS(536), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(538), 13,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [14698] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(449), 14,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [14726] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(119), 1,
      sym_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(21), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [14771] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(790), 1,
      sym_identifier,
    STATE(439), 1,
      sym_member_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(686), 1,
      sym_binding_name,
    STATE(478), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_bracket_expression,
  [14818] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(730), 1,
      sym_expression,
    STATE(383), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [14863] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(422), 1,
      anon_sym_QMARK,
    STATE(350), 1,
      sym__binary_op,
    ACTIONS(418), 2,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
    ACTIONS(796), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(792), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(794), 9,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [14898] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(798), 1,
      sym_identifier,
    STATE(466), 1,
      sym_member_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(685), 1,
      sym_binding_name,
    STATE(483), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_bracket_expression,
  [14945] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(790), 1,
      sym_identifier,
    STATE(439), 1,
      sym_member_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(687), 1,
      sym_binding_name,
    STATE(478), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_bracket_expression,
  [14992] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(790), 1,
      sym_identifier,
    STATE(439), 1,
      sym_member_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(707), 1,
      sym_binding_name,
    STATE(478), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_bracket_expression,
  [15039] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(800), 1,
      anon_sym_PIPE,
    STATE(337), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(424), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(426), 13,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [15070] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(563), 1,
      anon_sym_PIPE,
    STATE(337), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(480), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(482), 13,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [15101] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_QMARK,
    STATE(354), 1,
      sym__binary_op,
    ACTIONS(449), 2,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(803), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(805), 11,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [15134] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(798), 1,
      sym_identifier,
    STATE(466), 1,
      sym_member_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(708), 1,
      sym_binding_name,
    STATE(483), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_bracket_expression,
  [15181] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(422), 1,
      anon_sym_QMARK,
    STATE(350), 1,
      sym__binary_op,
    ACTIONS(418), 2,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
    ACTIONS(792), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(794), 11,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [15214] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(790), 1,
      sym_identifier,
    STATE(439), 1,
      sym_member_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(736), 1,
      sym_binding_name,
    STATE(478), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_bracket_expression,
  [15261] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(119), 1,
      sym_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(19), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [15306] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(471), 1,
      sym_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(383), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [15351] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_QMARK,
    STATE(350), 1,
      sym__binary_op,
    ACTIONS(449), 2,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
    ACTIONS(796), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(792), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(794), 9,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [15386] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(422), 1,
      anon_sym_QMARK,
    STATE(354), 1,
      sym__binary_op,
    ACTIONS(418), 2,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(803), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(805), 11,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [15419] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(790), 1,
      sym_identifier,
    STATE(439), 1,
      sym_member_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(703), 1,
      sym_binding_name,
    STATE(478), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_bracket_expression,
  [15466] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_QMARK,
    STATE(350), 1,
      sym__binary_op,
    ACTIONS(449), 2,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
    ACTIONS(792), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(794), 11,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [15499] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(119), 1,
      sym_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(172), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [15544] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(496), 1,
      anon_sym_SQUOTE,
    ACTIONS(498), 1,
      anon_sym_DQUOTE,
    ACTIONS(500), 1,
      anon_sym_LBRACE,
    ACTIONS(502), 1,
      anon_sym_LPAREN,
    ACTIONS(504), 1,
      anon_sym_LBRACK,
    ACTIONS(508), 1,
      sym_identifier,
    ACTIONS(510), 1,
      sym_number_fragment,
    STATE(307), 1,
      sym_expression,
    STATE(475), 1,
      sym__single_quote,
    STATE(479), 1,
      sym__double_quote,
    STATE(104), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [15589] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(205), 1,
      anon_sym_QMARK,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(211), 1,
      anon_sym_BANG,
    ACTIONS(217), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(807), 1,
      anon_sym_PIPE,
    STATE(111), 1,
      sym_pipe_sequence,
    STATE(387), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(215), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(207), 10,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [15630] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(790), 1,
      sym_identifier,
    STATE(439), 1,
      sym_member_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(710), 1,
      sym_binding_name,
    STATE(478), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_bracket_expression,
  [15677] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(811), 1,
      anon_sym_RPAREN,
    ACTIONS(813), 1,
      anon_sym_COMMA,
    STATE(349), 1,
      sym__binary_op,
    STATE(558), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(809), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(815), 11,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [15712] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(119), 1,
      sym_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(107), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [15757] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(689), 1,
      sym_expression,
    STATE(383), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [15802] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(422), 1,
      anon_sym_QMARK,
    STATE(354), 1,
      sym__binary_op,
    ACTIONS(418), 2,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(817), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(803), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(805), 9,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [15837] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(496), 1,
      anon_sym_SQUOTE,
    ACTIONS(498), 1,
      anon_sym_DQUOTE,
    ACTIONS(500), 1,
      anon_sym_LBRACE,
    ACTIONS(502), 1,
      anon_sym_LPAREN,
    ACTIONS(504), 1,
      anon_sym_LBRACK,
    ACTIONS(508), 1,
      sym_identifier,
    ACTIONS(510), 1,
      sym_number_fragment,
    STATE(307), 1,
      sym_expression,
    STATE(475), 1,
      sym__single_quote,
    STATE(479), 1,
      sym__double_quote,
    STATE(81), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [15882] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(716), 1,
      sym_expression,
    STATE(383), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [15927] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(472), 1,
      sym_expression,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(383), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [15972] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_QMARK,
    STATE(354), 1,
      sym__binary_op,
    ACTIONS(449), 2,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(817), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(803), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(805), 9,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [16007] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(349), 1,
      sym__binary_op,
    ACTIONS(819), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(809), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(815), 11,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [16037] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(452), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [16079] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(44), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [16121] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(496), 1,
      anon_sym_SQUOTE,
    ACTIONS(498), 1,
      anon_sym_DQUOTE,
    ACTIONS(500), 1,
      anon_sym_LBRACE,
    ACTIONS(502), 1,
      anon_sym_LPAREN,
    ACTIONS(504), 1,
      anon_sym_LBRACK,
    ACTIONS(508), 1,
      sym_identifier,
    ACTIONS(510), 1,
      sym_number_fragment,
    STATE(475), 1,
      sym__single_quote,
    STATE(479), 1,
      sym__double_quote,
    STATE(165), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [16163] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(327), 1,
      anon_sym_LBRACE,
    ACTIONS(331), 1,
      anon_sym_LPAREN,
    ACTIONS(333), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      sym_number_fragment,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(453), 9,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_number,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [16205] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(821), 1,
      anon_sym_GT,
    ACTIONS(823), 1,
      anon_sym_SLASH_GT,
    ACTIONS(825), 1,
      sym_attribute_name,
    ACTIONS(827), 1,
      anon_sym_LPAREN,
    ACTIONS(829), 1,
      anon_sym_STAR,
    ACTIONS(831), 1,
      anon_sym_LBRACK,
    ACTIONS(833), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(835), 1,
      anon_sym_LBRACK_AT,
    STATE(415), 1,
      sym__normal_attribute,
    STATE(369), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(405), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [16247] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(839), 1,
      sym_attribute_name,
    ACTIONS(842), 1,
      anon_sym_LPAREN,
    ACTIONS(845), 1,
      anon_sym_STAR,
    ACTIONS(848), 1,
      anon_sym_LBRACK,
    ACTIONS(851), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(854), 1,
      anon_sym_LBRACK_AT,
    STATE(415), 1,
      sym__normal_attribute,
    ACTIONS(837), 2,
      anon_sym_GT,
      anon_sym_SLASH_GT,
    STATE(367), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(405), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [16287] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(821), 1,
      anon_sym_GT,
    ACTIONS(825), 1,
      sym_attribute_name,
    ACTIONS(827), 1,
      anon_sym_LPAREN,
    ACTIONS(829), 1,
      anon_sym_STAR,
    ACTIONS(831), 1,
      anon_sym_LBRACK,
    ACTIONS(833), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(835), 1,
      anon_sym_LBRACK_AT,
    ACTIONS(857), 1,
      anon_sym_SLASH_GT,
    STATE(415), 1,
      sym__normal_attribute,
    STATE(370), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(405), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [16329] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(825), 1,
      sym_attribute_name,
    ACTIONS(827), 1,
      anon_sym_LPAREN,
    ACTIONS(829), 1,
      anon_sym_STAR,
    ACTIONS(831), 1,
      anon_sym_LBRACK,
    ACTIONS(833), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(835), 1,
      anon_sym_LBRACK_AT,
    ACTIONS(859), 1,
      anon_sym_GT,
    ACTIONS(861), 1,
      anon_sym_SLASH_GT,
    STATE(415), 1,
      sym__normal_attribute,
    STATE(367), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(405), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [16371] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(825), 1,
      sym_attribute_name,
    ACTIONS(827), 1,
      anon_sym_LPAREN,
    ACTIONS(829), 1,
      anon_sym_STAR,
    ACTIONS(831), 1,
      anon_sym_LBRACK,
    ACTIONS(833), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(835), 1,
      anon_sym_LBRACK_AT,
    ACTIONS(859), 1,
      anon_sym_GT,
    ACTIONS(863), 1,
      anon_sym_SLASH_GT,
    STATE(415), 1,
      sym__normal_attribute,
    STATE(367), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(405), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [16413] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(865), 1,
      anon_sym_GT,
    ACTIONS(867), 1,
      sym_attribute_name,
    ACTIONS(869), 1,
      anon_sym_LPAREN,
    ACTIONS(871), 1,
      anon_sym_STAR,
    ACTIONS(873), 1,
      anon_sym_LBRACK,
    ACTIONS(875), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(877), 1,
      anon_sym_LBRACK_AT,
    STATE(443), 1,
      sym__normal_attribute,
    STATE(375), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(442), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [16452] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(867), 1,
      sym_attribute_name,
    ACTIONS(869), 1,
      anon_sym_LPAREN,
    ACTIONS(871), 1,
      anon_sym_STAR,
    ACTIONS(873), 1,
      anon_sym_LBRACK,
    ACTIONS(875), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(877), 1,
      anon_sym_LBRACK_AT,
    ACTIONS(879), 1,
      anon_sym_GT,
    STATE(443), 1,
      sym__normal_attribute,
    STATE(374), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(442), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [16491] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(837), 1,
      anon_sym_GT,
    ACTIONS(881), 1,
      sym_attribute_name,
    ACTIONS(884), 1,
      anon_sym_LPAREN,
    ACTIONS(887), 1,
      anon_sym_STAR,
    ACTIONS(890), 1,
      anon_sym_LBRACK,
    ACTIONS(893), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(896), 1,
      anon_sym_LBRACK_AT,
    STATE(443), 1,
      sym__normal_attribute,
    STATE(373), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(442), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [16530] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(867), 1,
      sym_attribute_name,
    ACTIONS(869), 1,
      anon_sym_LPAREN,
    ACTIONS(871), 1,
      anon_sym_STAR,
    ACTIONS(873), 1,
      anon_sym_LBRACK,
    ACTIONS(875), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(877), 1,
      anon_sym_LBRACK_AT,
    ACTIONS(899), 1,
      anon_sym_GT,
    STATE(443), 1,
      sym__normal_attribute,
    STATE(373), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(442), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [16569] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(867), 1,
      sym_attribute_name,
    ACTIONS(869), 1,
      anon_sym_LPAREN,
    ACTIONS(871), 1,
      anon_sym_STAR,
    ACTIONS(873), 1,
      anon_sym_LBRACK,
    ACTIONS(875), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(877), 1,
      anon_sym_LBRACK_AT,
    ACTIONS(901), 1,
      anon_sym_GT,
    STATE(443), 1,
      sym__normal_attribute,
    STATE(373), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(442), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [16608] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(903), 1,
      anon_sym_COLON,
    STATE(376), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(457), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(459), 10,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [16634] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(376), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(437), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(439), 11,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [16658] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(906), 1,
      anon_sym_COLON,
    STATE(376), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(437), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(439), 10,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [16684] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      anon_sym_QMARK_QMARK,
    STATE(377), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(443), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(445), 10,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [16710] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(906), 1,
      anon_sym_COLON,
    STATE(378), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(443), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(445), 9,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [16738] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(908), 1,
      anon_sym_COLON,
    STATE(145), 1,
      sym_pipe_arguments,
    ACTIONS(476), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(478), 10,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [16764] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(912), 1,
      anon_sym_DQUOTE,
    STATE(36), 1,
      sym__double_quote,
    STATE(486), 1,
      aux_sym_string_repeat1,
    ACTIONS(914), 2,
      sym__escape_sequence,
      aux_sym_string_token1,
    ACTIONS(910), 8,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [16791] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(211), 1,
      anon_sym_BANG,
    ACTIONS(217), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(916), 1,
      anon_sym_PIPE,
    STATE(111), 1,
      sym_pipe_sequence,
    STATE(448), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(215), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(207), 5,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [16824] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(205), 1,
      anon_sym_QMARK,
    ACTIONS(464), 1,
      anon_sym_LBRACK,
    ACTIONS(466), 1,
      anon_sym_BANG,
    ACTIONS(472), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(918), 1,
      anon_sym_PIPE,
    STATE(308), 1,
      sym_pipe_sequence,
    STATE(454), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(470), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(207), 4,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [16859] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(241), 1,
      anon_sym_PIPE,
    ACTIONS(447), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(920), 1,
      anon_sym_QMARK,
    ACTIONS(239), 10,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [16884] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(536), 1,
      anon_sym_PIPE,
    ACTIONS(920), 1,
      anon_sym_QMARK,
    ACTIONS(538), 10,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [16909] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(480), 1,
      anon_sym_QMARK,
    ACTIONS(807), 1,
      anon_sym_PIPE,
    STATE(388), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(482), 10,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [16934] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(424), 1,
      anon_sym_QMARK,
    ACTIONS(922), 1,
      anon_sym_PIPE,
    STATE(388), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(426), 10,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [16959] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(912), 1,
      anon_sym_DQUOTE,
    STATE(36), 1,
      sym__double_quote,
    STATE(486), 1,
      aux_sym_string_repeat1,
    ACTIONS(914), 2,
      sym__escape_sequence,
      aux_sym_string_token1,
    ACTIONS(910), 7,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [16985] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(422), 1,
      anon_sym_QMARK,
    ACTIONS(233), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(418), 8,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
  [17006] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_QMARK,
    ACTIONS(233), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(449), 8,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
  [17027] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(929), 1,
      anon_sym_EQ,
    STATE(409), 1,
      sym__binding_assignment,
    ACTIONS(927), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(925), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [17049] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(931), 1,
      anon_sym_COLON,
    ACTIONS(933), 1,
      anon_sym_QMARK,
    STATE(421), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(445), 6,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [17073] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SEMI,
    ACTIONS(939), 1,
      anon_sym_as,
    ACTIONS(941), 1,
      anon_sym_QMARK,
    STATE(463), 1,
      sym__alias,
    STATE(583), 1,
      sym__then_template_expression,
    STATE(743), 1,
      sym__else_template_expression,
    STATE(752), 1,
      sym__context_expression,
    STATE(753), 1,
      sym__structural_let_expression,
  [17107] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(933), 1,
      anon_sym_QMARK,
    ACTIONS(538), 7,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_PIPE,
  [17126] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(943), 1,
      anon_sym_RBRACE,
    ACTIONS(945), 1,
      anon_sym_COMMA,
    ACTIONS(947), 1,
      sym_identifier,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(580), 1,
      sym_string,
    STATE(581), 1,
      sym_pair,
  [17157] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(933), 1,
      anon_sym_QMARK,
    ACTIONS(239), 7,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_PIPE,
  [17176] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(953), 1,
      anon_sym_EQ,
    ACTIONS(951), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(949), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [17195] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(941), 1,
      anon_sym_QMARK,
    ACTIONS(239), 7,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
  [17214] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(959), 1,
      anon_sym_EQ,
    ACTIONS(957), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(955), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [17233] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(927), 1,
      anon_sym_LBRACK,
    ACTIONS(961), 1,
      anon_sym_EQ,
    STATE(440), 1,
      sym__binding_assignment,
    ACTIONS(925), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [17254] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(947), 1,
      sym_identifier,
    ACTIONS(963), 1,
      anon_sym_RBRACE,
    ACTIONS(965), 1,
      anon_sym_COMMA,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(565), 1,
      sym_pair,
    STATE(580), 1,
      sym_string,
  [17285] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(967), 1,
      anon_sym_COLON,
    STATE(403), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(457), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(459), 4,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [17305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(972), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(970), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [17321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(976), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(974), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [17337] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(947), 1,
      sym_identifier,
    ACTIONS(978), 1,
      anon_sym_RBRACE,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(580), 1,
      sym_string,
    STATE(660), 1,
      sym_pair,
  [17365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(982), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(980), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [17381] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(947), 1,
      sym_identifier,
    ACTIONS(984), 1,
      anon_sym_RBRACE,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(580), 1,
      sym_string,
    STATE(660), 1,
      sym_pair,
  [17409] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(988), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(986), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [17425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(992), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(990), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [17441] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(994), 1,
      anon_sym_COLON,
    STATE(403), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(437), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(439), 4,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [17461] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(998), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(996), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [17477] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(947), 1,
      sym_identifier,
    ACTIONS(1000), 1,
      anon_sym_RBRACE,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(580), 1,
      sym_string,
    STATE(660), 1,
      sym_pair,
  [17505] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1004), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(1002), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [17521] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(976), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(974), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [17537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1008), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(1006), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [17553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1012), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(1010), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [17569] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(939), 1,
      anon_sym_as,
    ACTIONS(1018), 1,
      anon_sym_COLON,
    STATE(569), 1,
      sym__alias,
    ACTIONS(1016), 2,
      anon_sym_of,
      anon_sym_EQ,
    ACTIONS(1014), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [17591] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(947), 1,
      sym_identifier,
    ACTIONS(1020), 1,
      anon_sym_RBRACE,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(580), 1,
      sym_string,
    STATE(660), 1,
      sym_pair,
  [17619] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(951), 1,
      anon_sym_LBRACK,
    ACTIONS(1022), 1,
      anon_sym_EQ,
    ACTIONS(949), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [17637] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(931), 1,
      anon_sym_COLON,
    STATE(426), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(439), 6,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [17655] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(403), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(437), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(439), 5,
      sym__interpolation_end,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [17673] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1026), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(1024), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [17689] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(225), 1,
      anon_sym_BANG,
    ACTIONS(229), 1,
      anon_sym_LPAREN,
    ACTIONS(1028), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(227), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [17709] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1030), 1,
      anon_sym_COLON,
    STATE(315), 1,
      sym_pipe_arguments,
    ACTIONS(476), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(478), 4,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [17729] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1032), 1,
      anon_sym_COLON,
    STATE(426), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(459), 6,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [17747] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(957), 1,
      anon_sym_LBRACK,
    ACTIONS(1035), 1,
      anon_sym_EQ,
    ACTIONS(955), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [17765] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(647), 1,
      anon_sym_QMARK_QMARK,
    STATE(422), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(443), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(445), 4,
      sym__interpolation_end,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [17785] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(647), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(994), 1,
      anon_sym_COLON,
    STATE(411), 1,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(443), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(445), 3,
      sym__interpolation_end,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [17807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1039), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(1037), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [17823] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_COLON,
    STATE(145), 1,
      sym_pipe_arguments,
    ACTIONS(478), 6,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [17841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(972), 1,
      anon_sym_LBRACK,
    ACTIONS(970), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [17856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1012), 1,
      anon_sym_LBRACK,
    ACTIONS(1010), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [17871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(998), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [17886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1004), 1,
      anon_sym_LBRACK,
    ACTIONS(1002), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [17901] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(424), 1,
      anon_sym_QMARK,
    ACTIONS(1043), 1,
      anon_sym_PIPE,
    STATE(436), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(426), 4,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [17920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1008), 1,
      anon_sym_LBRACK,
    ACTIONS(1006), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [17935] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(225), 1,
      anon_sym_BANG,
    ACTIONS(229), 1,
      anon_sym_LPAREN,
    ACTIONS(1028), 1,
      anon_sym_RPAREN_RBRACK,
    ACTIONS(227), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [17954] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(225), 1,
      anon_sym_BANG,
    ACTIONS(1028), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(227), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [17971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(988), 1,
      anon_sym_LBRACK,
    ACTIONS(986), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [17986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(982), 1,
      anon_sym_LBRACK,
    ACTIONS(980), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [18001] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(976), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [18016] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(976), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [18031] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(323), 1,
      anon_sym_SQUOTE,
    ACTIONS(341), 1,
      anon_sym_DQUOTE,
    ACTIONS(947), 1,
      sym_identifier,
    STATE(474), 1,
      sym__single_quote,
    STATE(476), 1,
      sym__double_quote,
    STATE(580), 1,
      sym_string,
    STATE(660), 1,
      sym_pair,
  [18056] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(241), 1,
      anon_sym_PIPE,
    ACTIONS(647), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1046), 1,
      anon_sym_QMARK,
    ACTIONS(239), 4,
      sym__interpolation_end,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [18075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1039), 1,
      anon_sym_LBRACK,
    ACTIONS(1037), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [18090] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1048), 1,
      anon_sym_PIPE,
    STATE(447), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(426), 5,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [18107] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(916), 1,
      anon_sym_PIPE,
    STATE(447), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(482), 5,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [18124] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(992), 1,
      anon_sym_LBRACK,
    ACTIONS(990), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [18139] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(235), 1,
      anon_sym_BANG,
    ACTIONS(1051), 1,
      anon_sym_LPAREN,
    ACTIONS(237), 5,
      anon_sym_LBRACK,
      anon_sym_RPAREN_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [18156] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(536), 1,
      anon_sym_PIPE,
    ACTIONS(647), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1046), 1,
      anon_sym_QMARK,
    ACTIONS(538), 4,
      sym__interpolation_end,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [18175] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(211), 1,
      anon_sym_BANG,
    ACTIONS(217), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(215), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(1053), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [18196] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(211), 1,
      anon_sym_BANG,
    ACTIONS(217), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(215), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(1055), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [18217] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(480), 1,
      anon_sym_QMARK,
    ACTIONS(918), 1,
      anon_sym_PIPE,
    STATE(436), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(482), 4,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [18236] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1026), 1,
      anon_sym_LBRACK,
    ACTIONS(1024), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [18251] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(329), 1,
      anon_sym_SEMI,
    ACTIONS(447), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(941), 1,
      anon_sym_QMARK,
    ACTIONS(1057), 1,
      anon_sym_DQUOTE,
    STATE(404), 1,
      sym__double_quote,
    STATE(499), 1,
      aux_sym__binding_assignment_repeat1,
  [18273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(307), 1,
      anon_sym_BANG,
    ACTIONS(309), 5,
      anon_sym_LBRACK,
      anon_sym_RPAREN_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [18287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(271), 1,
      anon_sym_BANG,
    ACTIONS(273), 5,
      anon_sym_LBRACK,
      anon_sym_RPAREN_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [18301] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(941), 1,
      anon_sym_QMARK,
    ACTIONS(1059), 4,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [18317] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1061), 1,
      anon_sym_RBRACE,
    ACTIONS(1063), 1,
      sym_case_start,
    ACTIONS(1065), 1,
      sym_default_start,
    STATE(462), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_body_repeat1,
  [18335] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1063), 1,
      sym_case_start,
    ACTIONS(1065), 1,
      sym_default_start,
    ACTIONS(1067), 1,
      anon_sym_RBRACE,
    STATE(462), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_body_repeat1,
  [18353] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_RBRACE,
    ACTIONS(1071), 1,
      sym_case_start,
    ACTIONS(1074), 1,
      sym_default_start,
    STATE(462), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_body_repeat1,
  [18371] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(937), 1,
      anon_sym_SEMI,
    ACTIONS(1077), 1,
      anon_sym_DQUOTE,
    STATE(549), 1,
      sym__then_template_expression,
    STATE(768), 1,
      sym__else_template_expression,
    STATE(771), 1,
      sym__context_expression,
    STATE(773), 1,
      sym__structural_let_expression,
  [18393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 1,
      anon_sym_BANG,
    ACTIONS(305), 5,
      anon_sym_LBRACK,
      anon_sym_RPAREN_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [18407] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(329), 1,
      anon_sym_SEMI,
    ACTIONS(447), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(941), 1,
      anon_sym_QMARK,
    ACTIONS(1079), 1,
      anon_sym_DQUOTE,
    STATE(432), 1,
      sym__double_quote,
    STATE(490), 1,
      aux_sym__binding_assignment_repeat1,
  [18429] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(225), 1,
      anon_sym_BANG,
    ACTIONS(1028), 1,
      anon_sym_RPAREN_RBRACK,
    ACTIONS(227), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [18445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1083), 2,
      anon_sym_of,
      anon_sym_EQ,
    ACTIONS(1081), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [18458] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1085), 1,
      anon_sym_SQUOTE,
    ACTIONS(1087), 1,
      sym__escape_sequence,
    ACTIONS(1089), 1,
      aux_sym_string_token2,
    STATE(157), 1,
      sym__single_quote,
    STATE(493), 1,
      aux_sym_string_repeat2,
  [18477] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(941), 1,
      anon_sym_QMARK,
    ACTIONS(1091), 1,
      anon_sym_COMMA,
    ACTIONS(1093), 1,
      anon_sym_RBRACK,
    STATE(526), 1,
      aux_sym_array_repeat1,
  [18496] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_QMARK,
    ACTIONS(449), 2,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(520), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [18511] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(939), 1,
      anon_sym_as,
    STATE(527), 1,
      sym__alias,
    ACTIONS(1095), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [18526] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(939), 1,
      anon_sym_as,
    STATE(523), 1,
      sym__alias,
    ACTIONS(1097), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [18541] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(422), 1,
      anon_sym_QMARK,
    ACTIONS(418), 2,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
    ACTIONS(540), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [18556] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(912), 1,
      anon_sym_SQUOTE,
    ACTIONS(1099), 1,
      sym__escape_sequence,
    ACTIONS(1101), 1,
      aux_sym_string_token2,
    STATE(36), 1,
      sym__single_quote,
    STATE(487), 1,
      aux_sym_string_repeat2,
  [18575] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1103), 1,
      anon_sym_SQUOTE,
    ACTIONS(1105), 1,
      sym__escape_sequence,
    ACTIONS(1107), 1,
      aux_sym_string_token2,
    STATE(173), 1,
      sym__single_quote,
    STATE(468), 1,
      aux_sym_string_repeat2,
  [18594] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(912), 1,
      anon_sym_DQUOTE,
    ACTIONS(914), 1,
      aux_sym_string_token1,
    ACTIONS(1109), 1,
      sym__escape_sequence,
    STATE(36), 1,
      sym__double_quote,
    STATE(486), 1,
      aux_sym_string_repeat1,
  [18613] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_QMARK,
    ACTIONS(449), 2,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
    ACTIONS(540), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [18628] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(211), 1,
      anon_sym_BANG,
    ACTIONS(217), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(215), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
  [18645] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1103), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      sym__escape_sequence,
    ACTIONS(1113), 1,
      aux_sym_string_token1,
    STATE(173), 1,
      sym__double_quote,
    STATE(485), 1,
      aux_sym_string_repeat1,
  [18664] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(941), 1,
      anon_sym_QMARK,
    ACTIONS(1115), 1,
      anon_sym_COMMA,
    ACTIONS(1117), 1,
      anon_sym_RBRACK,
    STATE(586), 1,
      aux_sym_array_repeat1,
  [18683] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1063), 1,
      sym_case_start,
    ACTIONS(1065), 1,
      sym_default_start,
    STATE(461), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_body_repeat1,
  [18698] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1063), 1,
      sym_case_start,
    ACTIONS(1065), 1,
      sym_default_start,
    STATE(460), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_body_repeat1,
  [18713] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(211), 1,
      anon_sym_BANG,
    ACTIONS(1121), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1119), 2,
      anon_sym_DOT,
      anon_sym_BANG_DOT,
  [18730] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_let,
    ACTIONS(1125), 1,
      anon_sym_then,
    ACTIONS(1127), 1,
      anon_sym_else,
    ACTIONS(1129), 1,
      anon_sym_context,
    ACTIONS(1131), 1,
      sym_identifier,
  [18749] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1085), 1,
      anon_sym_DQUOTE,
    ACTIONS(1133), 1,
      sym__escape_sequence,
    ACTIONS(1135), 1,
      aux_sym_string_token1,
    STATE(157), 1,
      sym__double_quote,
    STATE(500), 1,
      aux_sym_string_repeat1,
  [18768] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1133), 1,
      sym__escape_sequence,
    ACTIONS(1135), 1,
      aux_sym_string_token1,
    ACTIONS(1137), 1,
      anon_sym_DQUOTE,
    STATE(40), 1,
      sym__double_quote,
    STATE(500), 1,
      aux_sym_string_repeat1,
  [18787] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1087), 1,
      sym__escape_sequence,
    ACTIONS(1089), 1,
      aux_sym_string_token2,
    ACTIONS(1137), 1,
      anon_sym_SQUOTE,
    STATE(40), 1,
      sym__single_quote,
    STATE(493), 1,
      aux_sym_string_repeat2,
  [18806] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(422), 1,
      anon_sym_QMARK,
    ACTIONS(418), 2,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(520), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [18821] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1139), 1,
      anon_sym_RBRACE,
    ACTIONS(1141), 1,
      sym_icu_category,
    STATE(497), 2,
      sym_icu_case,
      aux_sym_icu_expression_repeat1,
  [18835] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(329), 1,
      anon_sym_SEMI,
    ACTIONS(1143), 1,
      anon_sym_DQUOTE,
    STATE(433), 1,
      sym__double_quote,
    STATE(571), 1,
      aux_sym__binding_assignment_repeat1,
  [18851] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(329), 1,
      anon_sym_SEMI,
    ACTIONS(1057), 1,
      anon_sym_DQUOTE,
    STATE(404), 1,
      sym__double_quote,
    STATE(499), 1,
      aux_sym__binding_assignment_repeat1,
  [18867] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(329), 1,
      anon_sym_SEMI,
    ACTIONS(1057), 1,
      anon_sym_DQUOTE,
    STATE(404), 1,
      sym__double_quote,
    STATE(571), 1,
      aux_sym__binding_assignment_repeat1,
  [18883] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1145), 1,
      anon_sym_SQUOTE,
    ACTIONS(1147), 1,
      sym__escape_sequence,
    ACTIONS(1150), 1,
      aux_sym_string_token2,
    STATE(493), 1,
      aux_sym_string_repeat2,
  [18899] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 1,
      anon_sym_DQUOTE,
    STATE(508), 1,
      aux_sym_structural_declaration_repeat1,
    ACTIONS(1155), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [18913] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 1,
      sym_icu_category,
    ACTIONS(1157), 1,
      anon_sym_RBRACE,
    STATE(497), 2,
      sym_icu_case,
      aux_sym_icu_expression_repeat1,
  [18927] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1161), 1,
      anon_sym_COMMA,
    STATE(511), 1,
      aux_sym_for_reference_repeat1,
    ACTIONS(1159), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [18941] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 1,
      anon_sym_RBRACE,
    ACTIONS(1165), 1,
      sym_icu_category,
    STATE(497), 2,
      sym_icu_case,
      aux_sym_icu_expression_repeat1,
  [18955] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(941), 1,
      anon_sym_QMARK,
    ACTIONS(1168), 2,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
  [18969] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(329), 1,
      anon_sym_SEMI,
    ACTIONS(1170), 1,
      anon_sym_DQUOTE,
    STATE(417), 1,
      sym__double_quote,
    STATE(571), 1,
      aux_sym__binding_assignment_repeat1,
  [18985] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1172), 1,
      anon_sym_DQUOTE,
    ACTIONS(1174), 1,
      sym__escape_sequence,
    ACTIONS(1177), 1,
      aux_sym_string_token1,
    STATE(500), 1,
      aux_sym_string_repeat1,
  [19001] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(941), 1,
      anon_sym_QMARK,
    ACTIONS(1053), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [19015] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(329), 1,
      anon_sym_SEMI,
    ACTIONS(1079), 1,
      anon_sym_DQUOTE,
    STATE(432), 1,
      sym__double_quote,
    STATE(490), 1,
      aux_sym__binding_assignment_repeat1,
  [19031] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1182), 1,
      anon_sym_COMMA,
    STATE(503), 1,
      aux_sym_for_reference_repeat1,
    ACTIONS(1180), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [19045] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(329), 1,
      anon_sym_SEMI,
    ACTIONS(1079), 1,
      anon_sym_DQUOTE,
    STATE(432), 1,
      sym__double_quote,
    STATE(571), 1,
      aux_sym__binding_assignment_repeat1,
  [19061] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 1,
      anon_sym_LBRACE,
    ACTIONS(1187), 1,
      anon_sym_LPAREN,
    STATE(218), 1,
      sym_statement_block,
    STATE(652), 1,
      sym_loading_condition,
  [19077] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      anon_sym_prefetch,
    ACTIONS(1191), 1,
      anon_sym_when,
    ACTIONS(1193), 1,
      anon_sym_on,
    STATE(595), 1,
      sym_defer_trigger_condition,
  [19093] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(941), 1,
      anon_sym_QMARK,
    ACTIONS(1195), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [19107] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 1,
      anon_sym_DQUOTE,
    STATE(519), 1,
      aux_sym_structural_declaration_repeat1,
    ACTIONS(1155), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [19121] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 1,
      anon_sym_LBRACE,
    ACTIONS(1199), 1,
      anon_sym_LPAREN,
    STATE(217), 1,
      sym_statement_block,
    STATE(656), 1,
      sym_placeholder_minimum,
  [19137] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1201), 1,
      sym_attribute_value,
    ACTIONS(1203), 1,
      anon_sym_SQUOTE,
    ACTIONS(1205), 1,
      anon_sym_DQUOTE,
    STATE(455), 1,
      sym_quoted_attribute_value,
  [19153] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1161), 1,
      anon_sym_COMMA,
    STATE(503), 1,
      aux_sym_for_reference_repeat1,
    ACTIONS(1207), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [19167] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 1,
      sym_attribute_value,
    ACTIONS(1211), 1,
      anon_sym_SQUOTE,
    ACTIONS(1213), 1,
      anon_sym_DQUOTE,
    STATE(423), 1,
      sym_quoted_attribute_value,
  [19183] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 1,
      anon_sym_LPAREN,
    ACTIONS(1215), 1,
      anon_sym_LBRACE,
    STATE(292), 1,
      sym_statement_block,
    STATE(657), 1,
      sym_loading_condition,
  [19199] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1199), 1,
      anon_sym_LPAREN,
    ACTIONS(1215), 1,
      anon_sym_LBRACE,
    STATE(291), 1,
      sym_statement_block,
    STATE(659), 1,
      sym_placeholder_minimum,
  [19215] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1215), 1,
      anon_sym_LBRACE,
    ACTIONS(1217), 1,
      anon_sym_LPAREN,
    STATE(287), 1,
      sym_statement_block,
    STATE(661), 1,
      sym_defer_trigger,
  [19231] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 1,
      anon_sym_LBRACE,
    ACTIONS(1217), 1,
      anon_sym_LPAREN,
    STATE(214), 1,
      sym_statement_block,
    STATE(662), 1,
      sym_defer_trigger,
  [19247] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(941), 1,
      anon_sym_QMARK,
    ACTIONS(1219), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [19261] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      anon_sym_prefetch,
    ACTIONS(1191), 1,
      anon_sym_when,
    ACTIONS(1193), 1,
      anon_sym_on,
    STATE(646), 1,
      sym_defer_trigger_condition,
  [19277] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 1,
      anon_sym_DQUOTE,
    STATE(519), 1,
      aux_sym_structural_declaration_repeat1,
    ACTIONS(1223), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [19291] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(941), 1,
      anon_sym_QMARK,
    ACTIONS(1055), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [19305] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(941), 1,
      anon_sym_QMARK,
    ACTIONS(1226), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [19319] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(941), 1,
      anon_sym_QMARK,
    ACTIONS(1228), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [19333] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [19342] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LBRACK,
    ACTIONS(1234), 1,
      sym_identifier,
    STATE(179), 1,
      sym_call_expression,
  [19355] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(682), 3,
      sym_case_start,
      sym_default_start,
      anon_sym_RBRACE,
  [19364] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(435), 1,
      anon_sym_RBRACK,
    ACTIONS(1236), 1,
      anon_sym_COMMA,
    STATE(557), 1,
      aux_sym_array_repeat1,
  [19377] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [19386] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(941), 1,
      anon_sym_QMARK,
    ACTIONS(1240), 1,
      anon_sym_DQUOTE,
  [19399] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(941), 1,
      anon_sym_QMARK,
    ACTIONS(1242), 1,
      anon_sym_DQUOTE,
  [19412] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(811), 1,
      anon_sym_RPAREN,
    ACTIONS(813), 1,
      anon_sym_COMMA,
    STATE(558), 1,
      aux_sym_arguments_repeat1,
  [19425] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(583), 1,
      anon_sym_COLON,
    ACTIONS(1244), 1,
      anon_sym_QMARK,
  [19438] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(941), 1,
      anon_sym_QMARK,
    ACTIONS(1246), 1,
      anon_sym_RBRACK,
  [19451] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(569), 1,
      anon_sym_COLON,
    ACTIONS(1244), 1,
      anon_sym_QMARK,
  [19464] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(939), 1,
      anon_sym_as,
    ACTIONS(1248), 1,
      anon_sym_DQUOTE,
    STATE(781), 1,
      sym__alias,
  [19477] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [19486] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [19495] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1252), 3,
      sym_case_start,
      sym_default_start,
      anon_sym_RBRACE,
  [19504] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(585), 1,
      anon_sym_COLON,
    ACTIONS(1244), 1,
      anon_sym_QMARK,
  [19517] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 1,
      anon_sym_SEMI,
    ACTIONS(1256), 1,
      anon_sym_RPAREN,
    STATE(573), 1,
      aux_sym_defer_trigger_repeat1,
  [19530] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(778), 1,
      sym_timed_expression,
    ACTIONS(1258), 2,
      anon_sym_after,
      anon_sym_minimum,
  [19541] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 1,
      sym_icu_category,
    STATE(495), 2,
      sym_icu_case,
      aux_sym_icu_expression_repeat1,
  [19552] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(577), 1,
      anon_sym_COLON,
    ACTIONS(1244), 1,
      anon_sym_QMARK,
  [19565] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1260), 1,
      sym__start_tag_name,
    ACTIONS(1262), 1,
      sym__script_start_tag_name,
    ACTIONS(1264), 1,
      sym__style_start_tag_name,
  [19578] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 1,
      anon_sym_SEMI,
    ACTIONS(1268), 1,
      anon_sym_RPAREN,
    STATE(702), 1,
      sym_if_reference,
  [19591] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 1,
      anon_sym_LT_SLASH,
    ACTIONS(1272), 1,
      sym_raw_text,
    STATE(223), 1,
      sym_end_tag,
  [19604] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 1,
      anon_sym_LT_SLASH,
    ACTIONS(1276), 1,
      sym_raw_text,
    STATE(298), 1,
      sym_end_tag,
  [19617] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 1,
      anon_sym_LT_SLASH,
    ACTIONS(1278), 1,
      sym_raw_text,
    STATE(299), 1,
      sym_end_tag,
  [19630] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 1,
      anon_sym_LT_SLASH,
    ACTIONS(1280), 1,
      sym_raw_text,
    STATE(224), 1,
      sym_end_tag,
  [19643] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 1,
      anon_sym_DQUOTE,
    ACTIONS(1284), 1,
      anon_sym_SEMI,
    STATE(714), 1,
      sym__else_template_expression,
  [19656] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [19665] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(647), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1288), 1,
      anon_sym_QMARK,
    ACTIONS(1290), 1,
      sym__interpolation_end,
  [19678] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(647), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1288), 1,
      anon_sym_QMARK,
    ACTIONS(1292), 1,
      sym__interpolation_end,
  [19691] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1294), 1,
      anon_sym_SEMI,
    ACTIONS(1296), 1,
      anon_sym_RPAREN,
    STATE(701), 1,
      sym_for_references,
  [19704] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 1,
      anon_sym_SEMI,
    ACTIONS(1298), 1,
      anon_sym_RPAREN,
    STATE(699), 1,
      sym_if_reference,
  [19717] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1300), 1,
      anon_sym_RBRACE,
    ACTIONS(1302), 1,
      anon_sym_COMMA,
    STATE(555), 1,
      aux_sym_object_repeat1,
  [19730] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(941), 1,
      anon_sym_QMARK,
    ACTIONS(1305), 1,
      anon_sym_COMMA,
  [19743] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 1,
      anon_sym_RBRACK,
    ACTIONS(1307), 1,
      anon_sym_COMMA,
    STATE(557), 1,
      aux_sym_array_repeat1,
  [19756] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(813), 1,
      anon_sym_COMMA,
    ACTIONS(1310), 1,
      anon_sym_RPAREN,
    STATE(579), 1,
      aux_sym_arguments_repeat1,
  [19769] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(726), 1,
      sym_timed_expression,
    ACTIONS(1258), 2,
      anon_sym_after,
      anon_sym_minimum,
  [19780] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 1,
      sym__script_start_tag_name,
    ACTIONS(1264), 1,
      sym__style_start_tag_name,
    ACTIONS(1312), 1,
      sym__start_tag_name,
  [19793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(619), 1,
      sym_timed_expression,
    ACTIONS(1258), 2,
      anon_sym_after,
      anon_sym_minimum,
  [19804] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1000), 1,
      anon_sym_RBRACE,
    ACTIONS(1314), 1,
      anon_sym_COMMA,
    STATE(555), 1,
      aux_sym_object_repeat1,
  [19817] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(575), 1,
      anon_sym_COLON,
    ACTIONS(1244), 1,
      anon_sym_QMARK,
  [19830] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1316), 1,
      anon_sym_SEMI,
    ACTIONS(1318), 1,
      anon_sym_RPAREN,
    STATE(589), 1,
      aux_sym_for_references_repeat1,
  [19843] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1320), 1,
      anon_sym_RBRACE,
    ACTIONS(1322), 1,
      anon_sym_COMMA,
    STATE(584), 1,
      aux_sym_object_repeat1,
  [19856] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(941), 1,
      anon_sym_QMARK,
    ACTIONS(1324), 1,
      anon_sym_RPAREN,
  [19869] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(941), 1,
      anon_sym_QMARK,
    ACTIONS(1326), 1,
      anon_sym_COMMA,
  [19882] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1328), 1,
      anon_sym_let,
    ACTIONS(1330), 1,
      sym_identifier,
    STATE(535), 1,
      sym_structural_assignment,
  [19895] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1332), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [19904] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(573), 1,
      anon_sym_COLON,
    ACTIONS(1244), 1,
      anon_sym_QMARK,
  [19917] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1168), 1,
      anon_sym_DQUOTE,
    ACTIONS(1334), 1,
      anon_sym_SEMI,
    STATE(571), 1,
      aux_sym__binding_assignment_repeat1,
  [19930] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(693), 1,
      sym_icu_clause,
    ACTIONS(1337), 2,
      anon_sym_plural,
      anon_sym_select,
  [19941] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1339), 1,
      anon_sym_SEMI,
    ACTIONS(1342), 1,
      anon_sym_RPAREN,
    STATE(573), 1,
      aux_sym_defer_trigger_repeat1,
  [19954] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(571), 1,
      anon_sym_COLON,
    ACTIONS(1244), 1,
      anon_sym_QMARK,
  [19967] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      sym_identifier,
    STATE(42), 1,
      sym_call_expression,
  [19980] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1348), 1,
      sym_identifier,
    STATE(464), 1,
      sym_call_expression,
  [19993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 1,
      sym_icu_category,
    STATE(489), 2,
      sym_icu_case,
      aux_sym_icu_expression_repeat1,
  [20004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(721), 1,
      sym_icu_clause,
    ACTIONS(1337), 2,
      anon_sym_plural,
      anon_sym_select,
  [20015] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(819), 1,
      anon_sym_RPAREN,
    ACTIONS(1350), 1,
      anon_sym_COMMA,
    STATE(579), 1,
      aux_sym_arguments_repeat1,
  [20028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1355), 1,
      anon_sym_COLON,
    ACTIONS(1353), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [20039] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 1,
      anon_sym_RBRACE,
    ACTIONS(1359), 1,
      anon_sym_COMMA,
    STATE(562), 1,
      aux_sym_object_repeat1,
  [20052] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(941), 1,
      anon_sym_QMARK,
    ACTIONS(1361), 1,
      anon_sym_RPAREN,
  [20065] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1284), 1,
      anon_sym_SEMI,
    ACTIONS(1363), 1,
      anon_sym_DQUOTE,
    STATE(776), 1,
      sym__else_template_expression,
  [20078] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1020), 1,
      anon_sym_RBRACE,
    ACTIONS(1365), 1,
      anon_sym_COMMA,
    STATE(555), 1,
      aux_sym_object_repeat1,
  [20091] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(239), 1,
      sym__interpolation_end,
    ACTIONS(647), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1288), 1,
      anon_sym_QMARK,
  [20104] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 1,
      anon_sym_RBRACK,
    ACTIONS(1367), 1,
      anon_sym_COMMA,
    STATE(557), 1,
      aux_sym_array_repeat1,
  [20117] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(627), 3,
      sym_case_start,
      sym_default_start,
      anon_sym_RBRACE,
  [20126] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(579), 1,
      anon_sym_COLON,
    ACTIONS(1244), 1,
      anon_sym_QMARK,
  [20139] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1316), 1,
      anon_sym_SEMI,
    ACTIONS(1369), 1,
      anon_sym_RPAREN,
    STATE(596), 1,
      aux_sym_for_references_repeat1,
  [20152] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(941), 1,
      anon_sym_QMARK,
    ACTIONS(1371), 1,
      anon_sym_RPAREN,
  [20165] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 3,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [20174] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 1,
      anon_sym_SEMI,
    ACTIONS(1375), 1,
      anon_sym_RPAREN,
    STATE(688), 1,
      sym_if_reference,
  [20187] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1328), 1,
      anon_sym_let,
    ACTIONS(1330), 1,
      sym_identifier,
    STATE(494), 1,
      sym_structural_assignment,
  [20200] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 3,
      sym_case_start,
      sym_default_start,
      anon_sym_RBRACE,
  [20209] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 1,
      anon_sym_SEMI,
    ACTIONS(1379), 1,
      anon_sym_RPAREN,
    STATE(539), 1,
      aux_sym_defer_trigger_repeat1,
  [20222] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1381), 1,
      anon_sym_SEMI,
    ACTIONS(1384), 1,
      anon_sym_RPAREN,
    STATE(596), 1,
      aux_sym_for_references_repeat1,
  [20235] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(239), 1,
      anon_sym_COLON,
    ACTIONS(447), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1244), 1,
      anon_sym_QMARK,
  [20248] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1294), 1,
      anon_sym_SEMI,
    ACTIONS(1386), 1,
      anon_sym_RPAREN,
    STATE(697), 1,
      sym_for_references,
  [20261] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 1,
      anon_sym_SEMI,
    ACTIONS(1388), 1,
      anon_sym_RPAREN,
    STATE(700), 1,
      sym_if_reference,
  [20274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 1,
      anon_sym_LT_SLASH,
    STATE(319), 1,
      sym_end_tag,
  [20284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 1,
      anon_sym_LBRACE,
    STATE(47), 1,
      sym_statement_block,
  [20294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1215), 1,
      anon_sym_LBRACE,
    STATE(303), 1,
      sym_statement_block,
  [20304] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1390), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [20312] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1392), 1,
      sym_identifier,
    STATE(591), 1,
      sym_assignment_expression,
  [20322] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1394), 1,
      anon_sym_DQUOTE,
    STATE(54), 1,
      sym__double_quote,
  [20332] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 1,
      anon_sym_LBRACE,
    STATE(213), 1,
      sym_statement_block,
  [20342] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1215), 1,
      anon_sym_LBRACE,
    STATE(305), 1,
      sym_statement_block,
  [20352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1396), 1,
      anon_sym_when,
    ACTIONS(1398), 1,
      anon_sym_on,
  [20362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1215), 1,
      anon_sym_LBRACE,
    STATE(62), 1,
      sym_statement_block,
  [20372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1215), 1,
      anon_sym_LBRACE,
    STATE(294), 1,
      sym_statement_block,
  [20382] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1215), 1,
      anon_sym_LBRACE,
    STATE(293), 1,
      sym_statement_block,
  [20392] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1400), 1,
      anon_sym_SQUOTE,
    ACTIONS(1402), 1,
      aux_sym_quoted_attribute_value_token1,
  [20402] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1400), 1,
      anon_sym_DQUOTE,
    ACTIONS(1404), 1,
      aux_sym_quoted_attribute_value_token2,
  [20412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_EQ,
    STATE(435), 1,
      sym__binding_assignment,
  [20422] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_EQ,
    STATE(434), 1,
      sym__binding_assignment,
  [20432] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_EQ,
    STATE(449), 1,
      sym__binding_assignment,
  [20442] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1215), 1,
      anon_sym_LBRACE,
    STATE(55), 1,
      sym_statement_block,
  [20452] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(339), 1,
      sym_number_fragment,
    STATE(671), 1,
      sym_number,
  [20462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1406), 1,
      anon_sym_SEMI,
    ACTIONS(1408), 1,
      anon_sym_RPAREN,
  [20472] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_LBRACE,
    STATE(594), 1,
      sym_statement_block,
  [20482] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 1,
      sym_identifier,
    STATE(179), 1,
      sym_call_expression,
  [20492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1412), 1,
      anon_sym_DQUOTE,
    STATE(446), 1,
      sym__double_quote,
  [20502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1414), 1,
      anon_sym_DQUOTE,
    STATE(430), 1,
      sym__double_quote,
  [20512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1416), 1,
      anon_sym_let,
    STATE(603), 1,
      sym_for_reference,
  [20522] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1418), 1,
      anon_sym_DQUOTE,
    STATE(49), 1,
      sym__double_quote,
  [20532] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1420), 2,
      sym_raw_text,
      anon_sym_LT_SLASH,
  [20540] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1422), 1,
      sym_identifier,
    STATE(130), 1,
      sym_pipe_call,
  [20550] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1424), 1,
      sym_identifier,
    STATE(323), 1,
      sym_pipe_call,
  [20560] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(819), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [20568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 1,
      anon_sym_LT_SLASH,
    STATE(246), 1,
      sym_end_tag,
  [20578] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(929), 1,
      anon_sym_EQ,
    STATE(410), 1,
      sym__binding_assignment,
  [20588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(929), 1,
      anon_sym_EQ,
    STATE(412), 1,
      sym__binding_assignment,
  [20598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1426), 1,
      anon_sym_DQUOTE,
    STATE(50), 1,
      sym__double_quote,
  [20608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(929), 1,
      anon_sym_EQ,
    STATE(414), 1,
      sym__binding_assignment,
  [20618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_DQUOTE,
    ACTIONS(1430), 1,
      aux_sym_quoted_attribute_value_token2,
  [20628] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_SQUOTE,
    ACTIONS(1432), 1,
      aux_sym_quoted_attribute_value_token1,
  [20638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 1,
      anon_sym_LBRACE,
    STATE(262), 1,
      sym_statement_block,
  [20648] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1434), 1,
      sym_identifier,
    STATE(130), 1,
      sym_pipe_call,
  [20658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1348), 1,
      sym_identifier,
    STATE(464), 1,
      sym_call_expression,
  [20668] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 1,
      anon_sym_LT_SLASH,
    STATE(234), 1,
      sym_end_tag,
  [20678] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_LBRACE,
    STATE(304), 1,
      sym_switch_body,
  [20688] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1438), 2,
      sym_raw_text,
      anon_sym_LT_SLASH,
  [20696] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 1,
      anon_sym_LBRACE,
    STATE(537), 1,
      sym_statement_block,
  [20706] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1346), 1,
      sym_identifier,
    STATE(42), 1,
      sym_call_expression,
  [20716] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1440), 1,
      sym_identifier,
    STATE(130), 1,
      sym_pipe_call,
  [20726] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [20734] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 1,
      anon_sym_LBRACE,
    STATE(266), 1,
      sym_statement_block,
  [20744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 1,
      sym_identifier,
    STATE(323), 1,
      sym_pipe_call,
  [20754] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
  [20762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 1,
      sym__end_tag_name,
    ACTIONS(1448), 1,
      sym_erroneous_end_tag_name,
  [20772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1392), 1,
      sym_identifier,
    STATE(496), 1,
      sym_assignment_expression,
  [20782] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 1,
      anon_sym_LBRACE,
    STATE(254), 1,
      sym_statement_block,
  [20792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1450), 1,
      sym_identifier,
    STATE(553), 1,
      sym_for_declaration,
  [20802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1392), 1,
      sym_identifier,
    STATE(764), 1,
      sym_assignment_expression,
  [20812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 1,
      anon_sym_LT_SLASH,
    STATE(317), 1,
      sym_end_tag,
  [20822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 1,
      anon_sym_LBRACE,
    STATE(264), 1,
      sym_statement_block,
  [20832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1215), 1,
      anon_sym_LBRACE,
    STATE(310), 1,
      sym_statement_block,
  [20842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1448), 1,
      sym_erroneous_end_tag_name,
    ACTIONS(1452), 1,
      sym__end_tag_name,
  [20852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1215), 1,
      anon_sym_LBRACE,
    STATE(309), 1,
      sym_statement_block,
  [20862] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1300), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [20870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1215), 1,
      anon_sym_LBRACE,
    STATE(306), 1,
      sym_statement_block,
  [20880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 1,
      anon_sym_LBRACE,
    STATE(257), 1,
      sym_statement_block,
  [20890] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1450), 1,
      sym_identifier,
    STATE(598), 1,
      sym_for_declaration,
  [20900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1215), 1,
      anon_sym_LBRACE,
    STATE(296), 1,
      sym_statement_block,
  [20910] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 2,
      sym_raw_text,
      anon_sym_LT_SLASH,
  [20918] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1456), 2,
      sym_raw_text,
      anon_sym_LT_SLASH,
  [20926] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1458), 1,
      sym_identifier,
    STATE(130), 1,
      sym_pipe_call,
  [20936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1460), 1,
      anon_sym_DQUOTE,
    STATE(48), 1,
      sym__double_quote,
  [20946] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 1,
      anon_sym_LBRACE,
    STATE(260), 1,
      sym_statement_block,
  [20956] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1215), 1,
      anon_sym_LBRACE,
    STATE(288), 1,
      sym_statement_block,
  [20966] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [20974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 1,
      anon_sym_LBRACE,
    STATE(219), 1,
      sym_statement_block,
  [20984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 1,
      anon_sym_LBRACE,
    STATE(255), 1,
      sym_switch_body,
  [20994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 1,
      anon_sym_LBRACE,
    STATE(253), 1,
      sym_statement_block,
  [21004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1416), 1,
      anon_sym_let,
    STATE(564), 1,
      sym_for_reference,
  [21014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 1,
      anon_sym_LBRACE,
    STATE(52), 1,
      sym_statement_block,
  [21024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1466), 1,
      sym_identifier,
    STATE(130), 1,
      sym_pipe_call,
  [21034] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1215), 1,
      anon_sym_LBRACE,
    STATE(286), 1,
      sym_statement_block,
  [21044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1468), 1,
      anon_sym_RBRACE,
    ACTIONS(1470), 1,
      sym_icu_category,
  [21054] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1472), 2,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
  [21062] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 1,
      anon_sym_LBRACE,
    STATE(216), 1,
      sym_statement_block,
  [21072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1392), 1,
      sym_identifier,
    STATE(762), 1,
      sym_assignment_expression,
  [21082] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      sym_identifier,
    STATE(323), 1,
      sym_pipe_call,
  [21092] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1476), 1,
      anon_sym_RPAREN,
  [21099] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1478), 1,
      anon_sym_RPAREN_RBRACK,
  [21106] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1480), 1,
      anon_sym_RBRACK,
  [21113] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1482), 1,
      anon_sym_RPAREN,
  [21120] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1484), 1,
      anon_sym_RPAREN,
  [21127] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_RPAREN,
  [21134] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1488), 1,
      anon_sym_LBRACE,
  [21141] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1490), 1,
      sym_identifier,
  [21148] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1492), 1,
      anon_sym_LBRACE,
  [21155] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1494), 1,
      anon_sym_COMMA,
  [21162] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1452), 1,
      sym__end_tag_name,
  [21169] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1496), 1,
      anon_sym_LBRACE,
  [21176] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1498), 1,
      anon_sym_COMMA,
  [21183] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1500), 1,
      anon_sym_RPAREN,
  [21190] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(555), 1,
      anon_sym_RBRACK,
  [21197] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1502), 1,
      anon_sym_RPAREN,
  [21204] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1504), 1,
      anon_sym_RPAREN,
  [21211] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1506), 1,
      anon_sym_RPAREN,
  [21218] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1508), 1,
      anon_sym_RPAREN,
  [21225] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1510), 1,
      anon_sym_RPAREN,
  [21232] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1512), 1,
      anon_sym_as,
  [21239] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_RBRACK,
  [21246] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1514), 1,
      sym_identifier,
  [21253] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1516), 1,
      anon_sym_RBRACK,
  [21260] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1518), 1,
      anon_sym_RPAREN_RBRACK,
  [21267] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1520), 1,
      anon_sym_RPAREN,
  [21274] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1522), 1,
      anon_sym_RBRACK,
  [21281] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1524), 1,
      sym__doctype,
  [21288] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1448), 1,
      sym_erroneous_end_tag_name,
  [21295] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1526), 1,
      aux_sym_doctype_token1,
  [21302] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1528), 1,
      anon_sym_DQUOTE,
  [21309] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1530), 1,
      anon_sym_GT,
  [21316] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1532), 1,
      anon_sym_SEMI,
  [21323] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
  [21330] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_LBRACE,
  [21337] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1536), 1,
      anon_sym_RPAREN,
  [21344] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_LPAREN,
  [21351] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1540), 1,
      anon_sym_COMMA,
  [21358] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1542), 1,
      anon_sym_RPAREN,
  [21365] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1544), 1,
      anon_sym_GT,
  [21372] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1546), 1,
      anon_sym_track,
  [21379] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_LPAREN,
  [21386] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1550), 1,
      anon_sym_RPAREN,
  [21393] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1552), 1,
      anon_sym_DQUOTE,
  [21400] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1552), 1,
      anon_sym_SQUOTE,
  [21407] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1554), 1,
      anon_sym_LBRACE,
  [21414] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1556), 1,
      anon_sym_RPAREN,
  [21421] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(557), 1,
      anon_sym_RBRACK,
  [21428] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_SQUOTE,
  [21435] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1560), 1,
      anon_sym_of,
  [21442] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_DQUOTE,
  [21449] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1562), 1,
      anon_sym_LBRACE,
  [21456] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1564), 1,
      anon_sym_RBRACK,
  [21463] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(559), 1,
      anon_sym_RBRACK,
  [21470] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1566), 1,
      sym_identifier,
  [21477] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_LBRACK,
  [21484] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1093), 1,
      anon_sym_RBRACK,
  [21491] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1568), 1,
      sym_identifier,
  [21498] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1570), 1,
      anon_sym_GT,
  [21505] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1363), 1,
      anon_sym_DQUOTE,
  [21512] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 1,
      anon_sym_RBRACE,
  [21519] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1572), 1,
      sym_identifier,
  [21526] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1574), 1,
      anon_sym_LPAREN,
  [21533] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1576), 1,
      anon_sym_LPAREN,
  [21540] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1578), 1,
      anon_sym_LPAREN,
  [21547] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1580), 1,
      anon_sym_LPAREN,
  [21554] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1582), 1,
      anon_sym_GT,
  [21561] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 1,
      sym__end_tag_name,
  [21568] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1584), 1,
      anon_sym_DQUOTE,
  [21575] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1586), 1,
      anon_sym_DQUOTE,
  [21582] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1588), 1,
      sym_identifier,
  [21589] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_GT,
  [21596] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1592), 1,
      aux_sym_doctype_token1,
  [21603] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1117), 1,
      anon_sym_RBRACK,
  [21610] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1320), 1,
      anon_sym_RBRACE,
  [21617] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1594), 1,
      sym_identifier,
  [21624] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1596), 1,
      anon_sym_GT,
  [21631] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1598), 1,
      sym_identifier,
  [21638] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1600), 1,
      anon_sym_SEMI,
  [21645] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1602), 1,
      anon_sym_EQ,
  [21652] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1604), 1,
      anon_sym_SEMI,
  [21659] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1606), 1,
      sym_identifier,
  [21666] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1608), 1,
      anon_sym_COLON,
  [21673] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1610), 1,
      anon_sym_COLON,
  [21680] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 1,
      anon_sym_DQUOTE,
  [21687] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1612), 1,
      ts_builtin_sym_end,
  [21694] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1614), 1,
      sym_erroneous_end_tag_name,
  [21701] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_DQUOTE,
  [21708] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1618), 1,
      sym__doctype,
  [21715] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_DQUOTE,
  [21722] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1622), 1,
      anon_sym_LPAREN,
  [21729] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_else,
  [21736] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1626), 1,
      anon_sym_DQUOTE,
  [21743] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1628), 1,
      anon_sym_DQUOTE,
  [21750] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1630), 1,
      anon_sym_RPAREN,
  [21757] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1632), 1,
      anon_sym_LPAREN,
  [21764] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1634), 1,
      anon_sym_LPAREN,
  [21771] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1636), 1,
      anon_sym_DQUOTE,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2)] = 0,
  [SMALL_STATE(3)] = 115,
  [SMALL_STATE(4)] = 232,
  [SMALL_STATE(5)] = 349,
  [SMALL_STATE(6)] = 466,
  [SMALL_STATE(7)] = 583,
  [SMALL_STATE(8)] = 697,
  [SMALL_STATE(9)] = 811,
  [SMALL_STATE(10)] = 925,
  [SMALL_STATE(11)] = 1039,
  [SMALL_STATE(12)] = 1153,
  [SMALL_STATE(13)] = 1267,
  [SMALL_STATE(14)] = 1381,
  [SMALL_STATE(15)] = 1495,
  [SMALL_STATE(16)] = 1609,
  [SMALL_STATE(17)] = 1720,
  [SMALL_STATE(18)] = 1775,
  [SMALL_STATE(19)] = 1818,
  [SMALL_STATE(20)] = 1871,
  [SMALL_STATE(21)] = 1913,
  [SMALL_STATE(22)] = 1967,
  [SMALL_STATE(23)] = 2023,
  [SMALL_STATE(24)] = 2065,
  [SMALL_STATE(25)] = 2108,
  [SMALL_STATE(26)] = 2147,
  [SMALL_STATE(27)] = 2186,
  [SMALL_STATE(28)] = 2225,
  [SMALL_STATE(29)] = 2264,
  [SMALL_STATE(30)] = 2307,
  [SMALL_STATE(31)] = 2350,
  [SMALL_STATE(32)] = 2389,
  [SMALL_STATE(33)] = 2428,
  [SMALL_STATE(34)] = 2467,
  [SMALL_STATE(35)] = 2506,
  [SMALL_STATE(36)] = 2545,
  [SMALL_STATE(37)] = 2584,
  [SMALL_STATE(38)] = 2623,
  [SMALL_STATE(39)] = 2662,
  [SMALL_STATE(40)] = 2701,
  [SMALL_STATE(41)] = 2740,
  [SMALL_STATE(42)] = 2779,
  [SMALL_STATE(43)] = 2818,
  [SMALL_STATE(44)] = 2857,
  [SMALL_STATE(45)] = 2904,
  [SMALL_STATE(46)] = 2969,
  [SMALL_STATE(47)] = 3010,
  [SMALL_STATE(48)] = 3075,
  [SMALL_STATE(49)] = 3144,
  [SMALL_STATE(50)] = 3211,
  [SMALL_STATE(51)] = 3278,
  [SMALL_STATE(52)] = 3343,
  [SMALL_STATE(53)] = 3408,
  [SMALL_STATE(54)] = 3473,
  [SMALL_STATE(55)] = 3542,
  [SMALL_STATE(56)] = 3606,
  [SMALL_STATE(57)] = 3670,
  [SMALL_STATE(58)] = 3736,
  [SMALL_STATE(59)] = 3800,
  [SMALL_STATE(60)] = 3864,
  [SMALL_STATE(61)] = 3930,
  [SMALL_STATE(62)] = 3996,
  [SMALL_STATE(63)] = 4060,
  [SMALL_STATE(64)] = 4123,
  [SMALL_STATE(65)] = 4188,
  [SMALL_STATE(66)] = 4229,
  [SMALL_STATE(67)] = 4292,
  [SMALL_STATE(68)] = 4355,
  [SMALL_STATE(69)] = 4394,
  [SMALL_STATE(70)] = 4457,
  [SMALL_STATE(71)] = 4520,
  [SMALL_STATE(72)] = 4559,
  [SMALL_STATE(73)] = 4622,
  [SMALL_STATE(74)] = 4685,
  [SMALL_STATE(75)] = 4724,
  [SMALL_STATE(76)] = 4765,
  [SMALL_STATE(77)] = 4808,
  [SMALL_STATE(78)] = 4845,
  [SMALL_STATE(79)] = 4882,
  [SMALL_STATE(80)] = 4921,
  [SMALL_STATE(81)] = 4970,
  [SMALL_STATE(82)] = 5017,
  [SMALL_STATE(83)] = 5082,
  [SMALL_STATE(84)] = 5119,
  [SMALL_STATE(85)] = 5156,
  [SMALL_STATE(86)] = 5221,
  [SMALL_STATE(87)] = 5264,
  [SMALL_STATE(88)] = 5305,
  [SMALL_STATE(89)] = 5370,
  [SMALL_STATE(90)] = 5409,
  [SMALL_STATE(91)] = 5472,
  [SMALL_STATE(92)] = 5511,
  [SMALL_STATE(93)] = 5571,
  [SMALL_STATE(94)] = 5607,
  [SMALL_STATE(95)] = 5667,
  [SMALL_STATE(96)] = 5703,
  [SMALL_STATE(97)] = 5763,
  [SMALL_STATE(98)] = 5823,
  [SMALL_STATE(99)] = 5885,
  [SMALL_STATE(100)] = 5947,
  [SMALL_STATE(101)] = 6007,
  [SMALL_STATE(102)] = 6067,
  [SMALL_STATE(103)] = 6105,
  [SMALL_STATE(104)] = 6141,
  [SMALL_STATE(105)] = 6189,
  [SMALL_STATE(106)] = 6239,
  [SMALL_STATE(107)] = 6301,
  [SMALL_STATE(108)] = 6349,
  [SMALL_STATE(109)] = 6409,
  [SMALL_STATE(110)] = 6443,
  [SMALL_STATE(111)] = 6503,
  [SMALL_STATE(112)] = 6537,
  [SMALL_STATE(113)] = 6597,
  [SMALL_STATE(114)] = 6657,
  [SMALL_STATE(115)] = 6695,
  [SMALL_STATE(116)] = 6755,
  [SMALL_STATE(117)] = 6815,
  [SMALL_STATE(118)] = 6875,
  [SMALL_STATE(119)] = 6935,
  [SMALL_STATE(120)] = 6969,
  [SMALL_STATE(121)] = 7029,
  [SMALL_STATE(122)] = 7091,
  [SMALL_STATE(123)] = 7153,
  [SMALL_STATE(124)] = 7191,
  [SMALL_STATE(125)] = 7253,
  [SMALL_STATE(126)] = 7287,
  [SMALL_STATE(127)] = 7349,
  [SMALL_STATE(128)] = 7409,
  [SMALL_STATE(129)] = 7469,
  [SMALL_STATE(130)] = 7531,
  [SMALL_STATE(131)] = 7565,
  [SMALL_STATE(132)] = 7601,
  [SMALL_STATE(133)] = 7651,
  [SMALL_STATE(134)] = 7713,
  [SMALL_STATE(135)] = 7773,
  [SMALL_STATE(136)] = 7811,
  [SMALL_STATE(137)] = 7873,
  [SMALL_STATE(138)] = 7935,
  [SMALL_STATE(139)] = 7995,
  [SMALL_STATE(140)] = 8057,
  [SMALL_STATE(141)] = 8117,
  [SMALL_STATE(142)] = 8177,
  [SMALL_STATE(143)] = 8239,
  [SMALL_STATE(144)] = 8301,
  [SMALL_STATE(145)] = 8361,
  [SMALL_STATE(146)] = 8395,
  [SMALL_STATE(147)] = 8455,
  [SMALL_STATE(148)] = 8515,
  [SMALL_STATE(149)] = 8577,
  [SMALL_STATE(150)] = 8637,
  [SMALL_STATE(151)] = 8699,
  [SMALL_STATE(152)] = 8759,
  [SMALL_STATE(153)] = 8792,
  [SMALL_STATE(154)] = 8825,
  [SMALL_STATE(155)] = 8858,
  [SMALL_STATE(156)] = 8891,
  [SMALL_STATE(157)] = 8924,
  [SMALL_STATE(158)] = 8957,
  [SMALL_STATE(159)] = 8990,
  [SMALL_STATE(160)] = 9023,
  [SMALL_STATE(161)] = 9056,
  [SMALL_STATE(162)] = 9089,
  [SMALL_STATE(163)] = 9130,
  [SMALL_STATE(164)] = 9163,
  [SMALL_STATE(165)] = 9200,
  [SMALL_STATE(166)] = 9241,
  [SMALL_STATE(167)] = 9280,
  [SMALL_STATE(168)] = 9317,
  [SMALL_STATE(169)] = 9354,
  [SMALL_STATE(170)] = 9387,
  [SMALL_STATE(171)] = 9428,
  [SMALL_STATE(172)] = 9465,
  [SMALL_STATE(173)] = 9512,
  [SMALL_STATE(174)] = 9545,
  [SMALL_STATE(175)] = 9582,
  [SMALL_STATE(176)] = 9621,
  [SMALL_STATE(177)] = 9654,
  [SMALL_STATE(178)] = 9687,
  [SMALL_STATE(179)] = 9724,
  [SMALL_STATE(180)] = 9757,
  [SMALL_STATE(181)] = 9790,
  [SMALL_STATE(182)] = 9848,
  [SMALL_STATE(183)] = 9882,
  [SMALL_STATE(184)] = 9918,
  [SMALL_STATE(185)] = 9952,
  [SMALL_STATE(186)] = 9986,
  [SMALL_STATE(187)] = 10020,
  [SMALL_STATE(188)] = 10054,
  [SMALL_STATE(189)] = 10088,
  [SMALL_STATE(190)] = 10122,
  [SMALL_STATE(191)] = 10156,
  [SMALL_STATE(192)] = 10190,
  [SMALL_STATE(193)] = 10248,
  [SMALL_STATE(194)] = 10282,
  [SMALL_STATE(195)] = 10316,
  [SMALL_STATE(196)] = 10374,
  [SMALL_STATE(197)] = 10408,
  [SMALL_STATE(198)] = 10465,
  [SMALL_STATE(199)] = 10522,
  [SMALL_STATE(200)] = 10579,
  [SMALL_STATE(201)] = 10636,
  [SMALL_STATE(202)] = 10693,
  [SMALL_STATE(203)] = 10750,
  [SMALL_STATE(204)] = 10807,
  [SMALL_STATE(205)] = 10864,
  [SMALL_STATE(206)] = 10921,
  [SMALL_STATE(207)] = 10978,
  [SMALL_STATE(208)] = 11030,
  [SMALL_STATE(209)] = 11068,
  [SMALL_STATE(210)] = 11097,
  [SMALL_STATE(211)] = 11126,
  [SMALL_STATE(212)] = 11155,
  [SMALL_STATE(213)] = 11204,
  [SMALL_STATE(214)] = 11233,
  [SMALL_STATE(215)] = 11262,
  [SMALL_STATE(216)] = 11295,
  [SMALL_STATE(217)] = 11324,
  [SMALL_STATE(218)] = 11353,
  [SMALL_STATE(219)] = 11382,
  [SMALL_STATE(220)] = 11411,
  [SMALL_STATE(221)] = 11460,
  [SMALL_STATE(222)] = 11489,
  [SMALL_STATE(223)] = 11518,
  [SMALL_STATE(224)] = 11547,
  [SMALL_STATE(225)] = 11576,
  [SMALL_STATE(226)] = 11607,
  [SMALL_STATE(227)] = 11638,
  [SMALL_STATE(228)] = 11667,
  [SMALL_STATE(229)] = 11700,
  [SMALL_STATE(230)] = 11729,
  [SMALL_STATE(231)] = 11758,
  [SMALL_STATE(232)] = 11807,
  [SMALL_STATE(233)] = 11856,
  [SMALL_STATE(234)] = 11887,
  [SMALL_STATE(235)] = 11916,
  [SMALL_STATE(236)] = 11951,
  [SMALL_STATE(237)] = 11980,
  [SMALL_STATE(238)] = 12013,
  [SMALL_STATE(239)] = 12042,
  [SMALL_STATE(240)] = 12071,
  [SMALL_STATE(241)] = 12100,
  [SMALL_STATE(242)] = 12137,
  [SMALL_STATE(243)] = 12166,
  [SMALL_STATE(244)] = 12203,
  [SMALL_STATE(245)] = 12232,
  [SMALL_STATE(246)] = 12261,
  [SMALL_STATE(247)] = 12290,
  [SMALL_STATE(248)] = 12325,
  [SMALL_STATE(249)] = 12354,
  [SMALL_STATE(250)] = 12387,
  [SMALL_STATE(251)] = 12416,
  [SMALL_STATE(252)] = 12445,
  [SMALL_STATE(253)] = 12494,
  [SMALL_STATE(254)] = 12523,
  [SMALL_STATE(255)] = 12552,
  [SMALL_STATE(256)] = 12581,
  [SMALL_STATE(257)] = 12614,
  [SMALL_STATE(258)] = 12643,
  [SMALL_STATE(259)] = 12672,
  [SMALL_STATE(260)] = 12701,
  [SMALL_STATE(261)] = 12730,
  [SMALL_STATE(262)] = 12759,
  [SMALL_STATE(263)] = 12788,
  [SMALL_STATE(264)] = 12837,
  [SMALL_STATE(265)] = 12866,
  [SMALL_STATE(266)] = 12895,
  [SMALL_STATE(267)] = 12924,
  [SMALL_STATE(268)] = 12959,
  [SMALL_STATE(269)] = 12988,
  [SMALL_STATE(270)] = 13017,
  [SMALL_STATE(271)] = 13046,
  [SMALL_STATE(272)] = 13074,
  [SMALL_STATE(273)] = 13106,
  [SMALL_STATE(274)] = 13134,
  [SMALL_STATE(275)] = 13162,
  [SMALL_STATE(276)] = 13190,
  [SMALL_STATE(277)] = 13218,
  [SMALL_STATE(278)] = 13246,
  [SMALL_STATE(279)] = 13274,
  [SMALL_STATE(280)] = 13302,
  [SMALL_STATE(281)] = 13330,
  [SMALL_STATE(282)] = 13358,
  [SMALL_STATE(283)] = 13386,
  [SMALL_STATE(284)] = 13414,
  [SMALL_STATE(285)] = 13442,
  [SMALL_STATE(286)] = 13470,
  [SMALL_STATE(287)] = 13498,
  [SMALL_STATE(288)] = 13526,
  [SMALL_STATE(289)] = 13554,
  [SMALL_STATE(290)] = 13586,
  [SMALL_STATE(291)] = 13618,
  [SMALL_STATE(292)] = 13646,
  [SMALL_STATE(293)] = 13674,
  [SMALL_STATE(294)] = 13702,
  [SMALL_STATE(295)] = 13730,
  [SMALL_STATE(296)] = 13758,
  [SMALL_STATE(297)] = 13786,
  [SMALL_STATE(298)] = 13814,
  [SMALL_STATE(299)] = 13842,
  [SMALL_STATE(300)] = 13870,
  [SMALL_STATE(301)] = 13902,
  [SMALL_STATE(302)] = 13930,
  [SMALL_STATE(303)] = 13958,
  [SMALL_STATE(304)] = 13986,
  [SMALL_STATE(305)] = 14014,
  [SMALL_STATE(306)] = 14042,
  [SMALL_STATE(307)] = 14070,
  [SMALL_STATE(308)] = 14098,
  [SMALL_STATE(309)] = 14126,
  [SMALL_STATE(310)] = 14154,
  [SMALL_STATE(311)] = 14182,
  [SMALL_STATE(312)] = 14210,
  [SMALL_STATE(313)] = 14242,
  [SMALL_STATE(314)] = 14270,
  [SMALL_STATE(315)] = 14298,
  [SMALL_STATE(316)] = 14326,
  [SMALL_STATE(317)] = 14354,
  [SMALL_STATE(318)] = 14382,
  [SMALL_STATE(319)] = 14412,
  [SMALL_STATE(320)] = 14440,
  [SMALL_STATE(321)] = 14468,
  [SMALL_STATE(322)] = 14496,
  [SMALL_STATE(323)] = 14524,
  [SMALL_STATE(324)] = 14552,
  [SMALL_STATE(325)] = 14582,
  [SMALL_STATE(326)] = 14610,
  [SMALL_STATE(327)] = 14638,
  [SMALL_STATE(328)] = 14666,
  [SMALL_STATE(329)] = 14698,
  [SMALL_STATE(330)] = 14726,
  [SMALL_STATE(331)] = 14771,
  [SMALL_STATE(332)] = 14818,
  [SMALL_STATE(333)] = 14863,
  [SMALL_STATE(334)] = 14898,
  [SMALL_STATE(335)] = 14945,
  [SMALL_STATE(336)] = 14992,
  [SMALL_STATE(337)] = 15039,
  [SMALL_STATE(338)] = 15070,
  [SMALL_STATE(339)] = 15101,
  [SMALL_STATE(340)] = 15134,
  [SMALL_STATE(341)] = 15181,
  [SMALL_STATE(342)] = 15214,
  [SMALL_STATE(343)] = 15261,
  [SMALL_STATE(344)] = 15306,
  [SMALL_STATE(345)] = 15351,
  [SMALL_STATE(346)] = 15386,
  [SMALL_STATE(347)] = 15419,
  [SMALL_STATE(348)] = 15466,
  [SMALL_STATE(349)] = 15499,
  [SMALL_STATE(350)] = 15544,
  [SMALL_STATE(351)] = 15589,
  [SMALL_STATE(352)] = 15630,
  [SMALL_STATE(353)] = 15677,
  [SMALL_STATE(354)] = 15712,
  [SMALL_STATE(355)] = 15757,
  [SMALL_STATE(356)] = 15802,
  [SMALL_STATE(357)] = 15837,
  [SMALL_STATE(358)] = 15882,
  [SMALL_STATE(359)] = 15927,
  [SMALL_STATE(360)] = 15972,
  [SMALL_STATE(361)] = 16007,
  [SMALL_STATE(362)] = 16037,
  [SMALL_STATE(363)] = 16079,
  [SMALL_STATE(364)] = 16121,
  [SMALL_STATE(365)] = 16163,
  [SMALL_STATE(366)] = 16205,
  [SMALL_STATE(367)] = 16247,
  [SMALL_STATE(368)] = 16287,
  [SMALL_STATE(369)] = 16329,
  [SMALL_STATE(370)] = 16371,
  [SMALL_STATE(371)] = 16413,
  [SMALL_STATE(372)] = 16452,
  [SMALL_STATE(373)] = 16491,
  [SMALL_STATE(374)] = 16530,
  [SMALL_STATE(375)] = 16569,
  [SMALL_STATE(376)] = 16608,
  [SMALL_STATE(377)] = 16634,
  [SMALL_STATE(378)] = 16658,
  [SMALL_STATE(379)] = 16684,
  [SMALL_STATE(380)] = 16710,
  [SMALL_STATE(381)] = 16738,
  [SMALL_STATE(382)] = 16764,
  [SMALL_STATE(383)] = 16791,
  [SMALL_STATE(384)] = 16824,
  [SMALL_STATE(385)] = 16859,
  [SMALL_STATE(386)] = 16884,
  [SMALL_STATE(387)] = 16909,
  [SMALL_STATE(388)] = 16934,
  [SMALL_STATE(389)] = 16959,
  [SMALL_STATE(390)] = 16985,
  [SMALL_STATE(391)] = 17006,
  [SMALL_STATE(392)] = 17027,
  [SMALL_STATE(393)] = 17049,
  [SMALL_STATE(394)] = 17073,
  [SMALL_STATE(395)] = 17107,
  [SMALL_STATE(396)] = 17126,
  [SMALL_STATE(397)] = 17157,
  [SMALL_STATE(398)] = 17176,
  [SMALL_STATE(399)] = 17195,
  [SMALL_STATE(400)] = 17214,
  [SMALL_STATE(401)] = 17233,
  [SMALL_STATE(402)] = 17254,
  [SMALL_STATE(403)] = 17285,
  [SMALL_STATE(404)] = 17305,
  [SMALL_STATE(405)] = 17321,
  [SMALL_STATE(406)] = 17337,
  [SMALL_STATE(407)] = 17365,
  [SMALL_STATE(408)] = 17381,
  [SMALL_STATE(409)] = 17409,
  [SMALL_STATE(410)] = 17425,
  [SMALL_STATE(411)] = 17441,
  [SMALL_STATE(412)] = 17461,
  [SMALL_STATE(413)] = 17477,
  [SMALL_STATE(414)] = 17505,
  [SMALL_STATE(415)] = 17521,
  [SMALL_STATE(416)] = 17537,
  [SMALL_STATE(417)] = 17553,
  [SMALL_STATE(418)] = 17569,
  [SMALL_STATE(419)] = 17591,
  [SMALL_STATE(420)] = 17619,
  [SMALL_STATE(421)] = 17637,
  [SMALL_STATE(422)] = 17655,
  [SMALL_STATE(423)] = 17673,
  [SMALL_STATE(424)] = 17689,
  [SMALL_STATE(425)] = 17709,
  [SMALL_STATE(426)] = 17729,
  [SMALL_STATE(427)] = 17747,
  [SMALL_STATE(428)] = 17765,
  [SMALL_STATE(429)] = 17785,
  [SMALL_STATE(430)] = 17807,
  [SMALL_STATE(431)] = 17823,
  [SMALL_STATE(432)] = 17841,
  [SMALL_STATE(433)] = 17856,
  [SMALL_STATE(434)] = 17871,
  [SMALL_STATE(435)] = 17886,
  [SMALL_STATE(436)] = 17901,
  [SMALL_STATE(437)] = 17920,
  [SMALL_STATE(438)] = 17935,
  [SMALL_STATE(439)] = 17954,
  [SMALL_STATE(440)] = 17971,
  [SMALL_STATE(441)] = 17986,
  [SMALL_STATE(442)] = 18001,
  [SMALL_STATE(443)] = 18016,
  [SMALL_STATE(444)] = 18031,
  [SMALL_STATE(445)] = 18056,
  [SMALL_STATE(446)] = 18075,
  [SMALL_STATE(447)] = 18090,
  [SMALL_STATE(448)] = 18107,
  [SMALL_STATE(449)] = 18124,
  [SMALL_STATE(450)] = 18139,
  [SMALL_STATE(451)] = 18156,
  [SMALL_STATE(452)] = 18175,
  [SMALL_STATE(453)] = 18196,
  [SMALL_STATE(454)] = 18217,
  [SMALL_STATE(455)] = 18236,
  [SMALL_STATE(456)] = 18251,
  [SMALL_STATE(457)] = 18273,
  [SMALL_STATE(458)] = 18287,
  [SMALL_STATE(459)] = 18301,
  [SMALL_STATE(460)] = 18317,
  [SMALL_STATE(461)] = 18335,
  [SMALL_STATE(462)] = 18353,
  [SMALL_STATE(463)] = 18371,
  [SMALL_STATE(464)] = 18393,
  [SMALL_STATE(465)] = 18407,
  [SMALL_STATE(466)] = 18429,
  [SMALL_STATE(467)] = 18445,
  [SMALL_STATE(468)] = 18458,
  [SMALL_STATE(469)] = 18477,
  [SMALL_STATE(470)] = 18496,
  [SMALL_STATE(471)] = 18511,
  [SMALL_STATE(472)] = 18526,
  [SMALL_STATE(473)] = 18541,
  [SMALL_STATE(474)] = 18556,
  [SMALL_STATE(475)] = 18575,
  [SMALL_STATE(476)] = 18594,
  [SMALL_STATE(477)] = 18613,
  [SMALL_STATE(478)] = 18628,
  [SMALL_STATE(479)] = 18645,
  [SMALL_STATE(480)] = 18664,
  [SMALL_STATE(481)] = 18683,
  [SMALL_STATE(482)] = 18698,
  [SMALL_STATE(483)] = 18713,
  [SMALL_STATE(484)] = 18730,
  [SMALL_STATE(485)] = 18749,
  [SMALL_STATE(486)] = 18768,
  [SMALL_STATE(487)] = 18787,
  [SMALL_STATE(488)] = 18806,
  [SMALL_STATE(489)] = 18821,
  [SMALL_STATE(490)] = 18835,
  [SMALL_STATE(491)] = 18851,
  [SMALL_STATE(492)] = 18867,
  [SMALL_STATE(493)] = 18883,
  [SMALL_STATE(494)] = 18899,
  [SMALL_STATE(495)] = 18913,
  [SMALL_STATE(496)] = 18927,
  [SMALL_STATE(497)] = 18941,
  [SMALL_STATE(498)] = 18955,
  [SMALL_STATE(499)] = 18969,
  [SMALL_STATE(500)] = 18985,
  [SMALL_STATE(501)] = 19001,
  [SMALL_STATE(502)] = 19015,
  [SMALL_STATE(503)] = 19031,
  [SMALL_STATE(504)] = 19045,
  [SMALL_STATE(505)] = 19061,
  [SMALL_STATE(506)] = 19077,
  [SMALL_STATE(507)] = 19093,
  [SMALL_STATE(508)] = 19107,
  [SMALL_STATE(509)] = 19121,
  [SMALL_STATE(510)] = 19137,
  [SMALL_STATE(511)] = 19153,
  [SMALL_STATE(512)] = 19167,
  [SMALL_STATE(513)] = 19183,
  [SMALL_STATE(514)] = 19199,
  [SMALL_STATE(515)] = 19215,
  [SMALL_STATE(516)] = 19231,
  [SMALL_STATE(517)] = 19247,
  [SMALL_STATE(518)] = 19261,
  [SMALL_STATE(519)] = 19277,
  [SMALL_STATE(520)] = 19291,
  [SMALL_STATE(521)] = 19305,
  [SMALL_STATE(522)] = 19319,
  [SMALL_STATE(523)] = 19333,
  [SMALL_STATE(524)] = 19342,
  [SMALL_STATE(525)] = 19355,
  [SMALL_STATE(526)] = 19364,
  [SMALL_STATE(527)] = 19377,
  [SMALL_STATE(528)] = 19386,
  [SMALL_STATE(529)] = 19399,
  [SMALL_STATE(530)] = 19412,
  [SMALL_STATE(531)] = 19425,
  [SMALL_STATE(532)] = 19438,
  [SMALL_STATE(533)] = 19451,
  [SMALL_STATE(534)] = 19464,
  [SMALL_STATE(535)] = 19477,
  [SMALL_STATE(536)] = 19486,
  [SMALL_STATE(537)] = 19495,
  [SMALL_STATE(538)] = 19504,
  [SMALL_STATE(539)] = 19517,
  [SMALL_STATE(540)] = 19530,
  [SMALL_STATE(541)] = 19541,
  [SMALL_STATE(542)] = 19552,
  [SMALL_STATE(543)] = 19565,
  [SMALL_STATE(544)] = 19578,
  [SMALL_STATE(545)] = 19591,
  [SMALL_STATE(546)] = 19604,
  [SMALL_STATE(547)] = 19617,
  [SMALL_STATE(548)] = 19630,
  [SMALL_STATE(549)] = 19643,
  [SMALL_STATE(550)] = 19656,
  [SMALL_STATE(551)] = 19665,
  [SMALL_STATE(552)] = 19678,
  [SMALL_STATE(553)] = 19691,
  [SMALL_STATE(554)] = 19704,
  [SMALL_STATE(555)] = 19717,
  [SMALL_STATE(556)] = 19730,
  [SMALL_STATE(557)] = 19743,
  [SMALL_STATE(558)] = 19756,
  [SMALL_STATE(559)] = 19769,
  [SMALL_STATE(560)] = 19780,
  [SMALL_STATE(561)] = 19793,
  [SMALL_STATE(562)] = 19804,
  [SMALL_STATE(563)] = 19817,
  [SMALL_STATE(564)] = 19830,
  [SMALL_STATE(565)] = 19843,
  [SMALL_STATE(566)] = 19856,
  [SMALL_STATE(567)] = 19869,
  [SMALL_STATE(568)] = 19882,
  [SMALL_STATE(569)] = 19895,
  [SMALL_STATE(570)] = 19904,
  [SMALL_STATE(571)] = 19917,
  [SMALL_STATE(572)] = 19930,
  [SMALL_STATE(573)] = 19941,
  [SMALL_STATE(574)] = 19954,
  [SMALL_STATE(575)] = 19967,
  [SMALL_STATE(576)] = 19980,
  [SMALL_STATE(577)] = 19993,
  [SMALL_STATE(578)] = 20004,
  [SMALL_STATE(579)] = 20015,
  [SMALL_STATE(580)] = 20028,
  [SMALL_STATE(581)] = 20039,
  [SMALL_STATE(582)] = 20052,
  [SMALL_STATE(583)] = 20065,
  [SMALL_STATE(584)] = 20078,
  [SMALL_STATE(585)] = 20091,
  [SMALL_STATE(586)] = 20104,
  [SMALL_STATE(587)] = 20117,
  [SMALL_STATE(588)] = 20126,
  [SMALL_STATE(589)] = 20139,
  [SMALL_STATE(590)] = 20152,
  [SMALL_STATE(591)] = 20165,
  [SMALL_STATE(592)] = 20174,
  [SMALL_STATE(593)] = 20187,
  [SMALL_STATE(594)] = 20200,
  [SMALL_STATE(595)] = 20209,
  [SMALL_STATE(596)] = 20222,
  [SMALL_STATE(597)] = 20235,
  [SMALL_STATE(598)] = 20248,
  [SMALL_STATE(599)] = 20261,
  [SMALL_STATE(600)] = 20274,
  [SMALL_STATE(601)] = 20284,
  [SMALL_STATE(602)] = 20294,
  [SMALL_STATE(603)] = 20304,
  [SMALL_STATE(604)] = 20312,
  [SMALL_STATE(605)] = 20322,
  [SMALL_STATE(606)] = 20332,
  [SMALL_STATE(607)] = 20342,
  [SMALL_STATE(608)] = 20352,
  [SMALL_STATE(609)] = 20362,
  [SMALL_STATE(610)] = 20372,
  [SMALL_STATE(611)] = 20382,
  [SMALL_STATE(612)] = 20392,
  [SMALL_STATE(613)] = 20402,
  [SMALL_STATE(614)] = 20412,
  [SMALL_STATE(615)] = 20422,
  [SMALL_STATE(616)] = 20432,
  [SMALL_STATE(617)] = 20442,
  [SMALL_STATE(618)] = 20452,
  [SMALL_STATE(619)] = 20462,
  [SMALL_STATE(620)] = 20472,
  [SMALL_STATE(621)] = 20482,
  [SMALL_STATE(622)] = 20492,
  [SMALL_STATE(623)] = 20502,
  [SMALL_STATE(624)] = 20512,
  [SMALL_STATE(625)] = 20522,
  [SMALL_STATE(626)] = 20532,
  [SMALL_STATE(627)] = 20540,
  [SMALL_STATE(628)] = 20550,
  [SMALL_STATE(629)] = 20560,
  [SMALL_STATE(630)] = 20568,
  [SMALL_STATE(631)] = 20578,
  [SMALL_STATE(632)] = 20588,
  [SMALL_STATE(633)] = 20598,
  [SMALL_STATE(634)] = 20608,
  [SMALL_STATE(635)] = 20618,
  [SMALL_STATE(636)] = 20628,
  [SMALL_STATE(637)] = 20638,
  [SMALL_STATE(638)] = 20648,
  [SMALL_STATE(639)] = 20658,
  [SMALL_STATE(640)] = 20668,
  [SMALL_STATE(641)] = 20678,
  [SMALL_STATE(642)] = 20688,
  [SMALL_STATE(643)] = 20696,
  [SMALL_STATE(644)] = 20706,
  [SMALL_STATE(645)] = 20716,
  [SMALL_STATE(646)] = 20726,
  [SMALL_STATE(647)] = 20734,
  [SMALL_STATE(648)] = 20744,
  [SMALL_STATE(649)] = 20754,
  [SMALL_STATE(650)] = 20762,
  [SMALL_STATE(651)] = 20772,
  [SMALL_STATE(652)] = 20782,
  [SMALL_STATE(653)] = 20792,
  [SMALL_STATE(654)] = 20802,
  [SMALL_STATE(655)] = 20812,
  [SMALL_STATE(656)] = 20822,
  [SMALL_STATE(657)] = 20832,
  [SMALL_STATE(658)] = 20842,
  [SMALL_STATE(659)] = 20852,
  [SMALL_STATE(660)] = 20862,
  [SMALL_STATE(661)] = 20870,
  [SMALL_STATE(662)] = 20880,
  [SMALL_STATE(663)] = 20890,
  [SMALL_STATE(664)] = 20900,
  [SMALL_STATE(665)] = 20910,
  [SMALL_STATE(666)] = 20918,
  [SMALL_STATE(667)] = 20926,
  [SMALL_STATE(668)] = 20936,
  [SMALL_STATE(669)] = 20946,
  [SMALL_STATE(670)] = 20956,
  [SMALL_STATE(671)] = 20966,
  [SMALL_STATE(672)] = 20974,
  [SMALL_STATE(673)] = 20984,
  [SMALL_STATE(674)] = 20994,
  [SMALL_STATE(675)] = 21004,
  [SMALL_STATE(676)] = 21014,
  [SMALL_STATE(677)] = 21024,
  [SMALL_STATE(678)] = 21034,
  [SMALL_STATE(679)] = 21044,
  [SMALL_STATE(680)] = 21054,
  [SMALL_STATE(681)] = 21062,
  [SMALL_STATE(682)] = 21072,
  [SMALL_STATE(683)] = 21082,
  [SMALL_STATE(684)] = 21092,
  [SMALL_STATE(685)] = 21099,
  [SMALL_STATE(686)] = 21106,
  [SMALL_STATE(687)] = 21113,
  [SMALL_STATE(688)] = 21120,
  [SMALL_STATE(689)] = 21127,
  [SMALL_STATE(690)] = 21134,
  [SMALL_STATE(691)] = 21141,
  [SMALL_STATE(692)] = 21148,
  [SMALL_STATE(693)] = 21155,
  [SMALL_STATE(694)] = 21162,
  [SMALL_STATE(695)] = 21169,
  [SMALL_STATE(696)] = 21176,
  [SMALL_STATE(697)] = 21183,
  [SMALL_STATE(698)] = 21190,
  [SMALL_STATE(699)] = 21197,
  [SMALL_STATE(700)] = 21204,
  [SMALL_STATE(701)] = 21211,
  [SMALL_STATE(702)] = 21218,
  [SMALL_STATE(703)] = 21225,
  [SMALL_STATE(704)] = 21232,
  [SMALL_STATE(705)] = 21239,
  [SMALL_STATE(706)] = 21246,
  [SMALL_STATE(707)] = 21253,
  [SMALL_STATE(708)] = 21260,
  [SMALL_STATE(709)] = 21267,
  [SMALL_STATE(710)] = 21274,
  [SMALL_STATE(711)] = 21281,
  [SMALL_STATE(712)] = 21288,
  [SMALL_STATE(713)] = 21295,
  [SMALL_STATE(714)] = 21302,
  [SMALL_STATE(715)] = 21309,
  [SMALL_STATE(716)] = 21316,
  [SMALL_STATE(717)] = 21323,
  [SMALL_STATE(718)] = 21330,
  [SMALL_STATE(719)] = 21337,
  [SMALL_STATE(720)] = 21344,
  [SMALL_STATE(721)] = 21351,
  [SMALL_STATE(722)] = 21358,
  [SMALL_STATE(723)] = 21365,
  [SMALL_STATE(724)] = 21372,
  [SMALL_STATE(725)] = 21379,
  [SMALL_STATE(726)] = 21386,
  [SMALL_STATE(727)] = 21393,
  [SMALL_STATE(728)] = 21400,
  [SMALL_STATE(729)] = 21407,
  [SMALL_STATE(730)] = 21414,
  [SMALL_STATE(731)] = 21421,
  [SMALL_STATE(732)] = 21428,
  [SMALL_STATE(733)] = 21435,
  [SMALL_STATE(734)] = 21442,
  [SMALL_STATE(735)] = 21449,
  [SMALL_STATE(736)] = 21456,
  [SMALL_STATE(737)] = 21463,
  [SMALL_STATE(738)] = 21470,
  [SMALL_STATE(739)] = 21477,
  [SMALL_STATE(740)] = 21484,
  [SMALL_STATE(741)] = 21491,
  [SMALL_STATE(742)] = 21498,
  [SMALL_STATE(743)] = 21505,
  [SMALL_STATE(744)] = 21512,
  [SMALL_STATE(745)] = 21519,
  [SMALL_STATE(746)] = 21526,
  [SMALL_STATE(747)] = 21533,
  [SMALL_STATE(748)] = 21540,
  [SMALL_STATE(749)] = 21547,
  [SMALL_STATE(750)] = 21554,
  [SMALL_STATE(751)] = 21561,
  [SMALL_STATE(752)] = 21568,
  [SMALL_STATE(753)] = 21575,
  [SMALL_STATE(754)] = 21582,
  [SMALL_STATE(755)] = 21589,
  [SMALL_STATE(756)] = 21596,
  [SMALL_STATE(757)] = 21603,
  [SMALL_STATE(758)] = 21610,
  [SMALL_STATE(759)] = 21617,
  [SMALL_STATE(760)] = 21624,
  [SMALL_STATE(761)] = 21631,
  [SMALL_STATE(762)] = 21638,
  [SMALL_STATE(763)] = 21645,
  [SMALL_STATE(764)] = 21652,
  [SMALL_STATE(765)] = 21659,
  [SMALL_STATE(766)] = 21666,
  [SMALL_STATE(767)] = 21673,
  [SMALL_STATE(768)] = 21680,
  [SMALL_STATE(769)] = 21687,
  [SMALL_STATE(770)] = 21694,
  [SMALL_STATE(771)] = 21701,
  [SMALL_STATE(772)] = 21708,
  [SMALL_STATE(773)] = 21715,
  [SMALL_STATE(774)] = 21722,
  [SMALL_STATE(775)] = 21729,
  [SMALL_STATE(776)] = 21736,
  [SMALL_STATE(777)] = 21743,
  [SMALL_STATE(778)] = 21750,
  [SMALL_STATE(779)] = 21757,
  [SMALL_STATE(780)] = 21764,
  [SMALL_STATE(781)] = 21771,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_document, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(543),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [31] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [37] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [39] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [41] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9),
  [43] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(772),
  [46] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(543),
  [49] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(770),
  [52] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(265),
  [55] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(147),
  [58] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(96),
  [61] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(720),
  [64] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(606),
  [67] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(780),
  [70] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(779),
  [73] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(516),
  [76] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(682),
  [79] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(681),
  [82] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(509),
  [85] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(505),
  [88] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(672),
  [91] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(774),
  [94] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [96] = {.entry = {.count = 1, .reusable = false}}, SHIFT(560),
  [98] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [144] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(711),
  [147] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(560),
  [150] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(712),
  [153] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(280),
  [156] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(146),
  [159] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(141),
  [162] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(746),
  [165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(678),
  [168] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(747),
  [171] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(748),
  [174] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(515),
  [177] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(654),
  [180] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(670),
  [183] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(514),
  [186] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(513),
  [189] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(664),
  [192] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(749),
  [195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_document, 1, 0, 1),
  [205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(717),
  [213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [219] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_number, 1, 0, 0),
  [221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_number, 1, 0, 0),
  [223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primitive, 1, 0, 0),
  [227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primitive, 1, 0, 0),
  [229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(645),
  [233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 20),
  [237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 20),
  [239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_expression, 5, 0, 37),
  [241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ternary_expression, 5, 0, 37),
  [243] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_group, 3, 0, 0),
  [245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_group, 3, 0, 0),
  [247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bracket_expression, 5, 0, 38),
  [249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bracket_expression, 5, 0, 38),
  [251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 5, 0, 0),
  [253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 5, 0, 0),
  [255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 5, 0, 0),
  [257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 5, 0, 0),
  [259] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 2, 0, 0),
  [261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 2, 0, 0),
  [263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bracket_expression, 4, 0, 20),
  [265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bracket_expression, 4, 0, 20),
  [267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 2, 0, 0),
  [269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 2, 0, 0),
  [271] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 4, 0, 28),
  [273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 4, 0, 28),
  [275] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_number, 2, 0, 0),
  [277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_number, 2, 0, 0),
  [279] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [283] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 4, 0, 0),
  [285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 4, 0, 0),
  [287] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3, 0, 0),
  [289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3, 0, 0),
  [291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4, 0, 0),
  [293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4, 0, 0),
  [295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [299] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3, 0, 0),
  [301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3, 0, 0),
  [303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 21),
  [305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 21),
  [307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, 0, 15),
  [309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, 0, 15),
  [311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullish_coalescing_expression, 3, 0, 16),
  [313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullish_coalescing_expression, 3, 0, 16),
  [315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 40),
  [317] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 40),
  [319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 41),
  [321] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 41),
  [323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(593),
  [345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20),
  [347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9),
  [349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9),
  [351] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(606),
  [354] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(681),
  [357] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(509),
  [360] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(505),
  [363] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(672),
  [366] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(774),
  [369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 30),
  [371] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 30),
  [373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, 0, 48),
  [375] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, 0, 48),
  [377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [385] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(678),
  [388] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(670),
  [391] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(514),
  [394] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(513),
  [397] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(664),
  [400] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(749),
  [403] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__binding_assignment_repeat1, 1, 0, 0), SHIFT_REPEAT(476),
  [406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__binding_assignment_repeat1, 1, 0, 0),
  [408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(343),
  [418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__any_expression, 1, 0, 0),
  [420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__any_expression, 1, 0, 0),
  [424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0),
  [426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0),
  [428] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(638),
  [431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(120),
  [433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pipe_arguments, 3, 0, 47),
  [439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipe_arguments, 3, 0, 47),
  [441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [443] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pipe_arguments, 2, 0, 39),
  [445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipe_arguments, 2, 0, 39),
  [447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 3, 0, 18),
  [451] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 3, 0, 18),
  [453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 51),
  [459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 51),
  [461] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 51), SHIFT_REPEAT(138),
  [464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(739),
  [468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pipe_call, 1, 0, 19),
  [478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipe_call, 1, 0, 19),
  [480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pipe_sequence, 1, 0, 0),
  [482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipe_sequence, 1, 0, 0),
  [484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(124),
  [518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(628),
  [520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(638),
  [524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 11),
  [526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 11),
  [528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 2, 0, 12),
  [530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 2, 0, 12),
  [532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 17),
  [534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 17),
  [536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 39),
  [538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 39),
  [540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [542] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(645),
  [545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pipe_call, 2, 0, 29),
  [547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipe_call, 2, 0, 29),
  [549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(330),
  [551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(627),
  [565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_element, 3, 0, 14),
  [591] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_element, 3, 0, 14),
  [593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_tag, 3, 0, 0),
  [595] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_tag, 3, 0, 0),
  [597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__alternative_statement, 1, 0, 7),
  [599] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__alternative_statement, 1, 0, 7),
  [601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_statement, 2, 0, 8),
  [603] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_statement, 2, 0, 8),
  [605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defer_statement, 2, 0, 8),
  [607] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_defer_statement, 2, 0, 8),
  [609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 2, 0, 8),
  [613] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 2, 0, 8),
  [615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_placeholder_statement, 2, 0, 8),
  [617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_placeholder_statement, 2, 0, 8),
  [619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_loading_statement, 2, 0, 8),
  [621] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_loading_statement, 2, 0, 8),
  [623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_error_statement, 2, 0, 8),
  [625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_error_statement, 2, 0, 8),
  [627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 3, 0, 14),
  [629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 3, 0, 14),
  [631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_element, 2, 0, 0),
  [633] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_element, 2, 0, 0),
  [635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_script_element, 2, 0, 0),
  [637] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_script_element, 2, 0, 0),
  [639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_style_element, 2, 0, 0),
  [641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_style_element, 2, 0, 0),
  [643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 3, 0, 0),
  [645] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 3, 0, 0),
  [647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_self_closing_tag, 3, 0, 0),
  [651] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_self_closing_tag, 3, 0, 0),
  [653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_doctype, 4, 0, 0),
  [655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_doctype, 4, 0, 0),
  [657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_script_element, 3, 0, 0),
  [659] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_script_element, 3, 0, 0),
  [661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(357),
  [663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_self_closing_tag, 4, 0, 0),
  [667] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_self_closing_tag, 4, 0, 0),
  [669] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 51), SHIFT_REPEAT(117),
  [672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_icu_expression, 7, 0, 0),
  [674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_icu_expression, 7, 0, 0),
  [676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__alternative_statement, 1, 0, 6),
  [678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__alternative_statement, 1, 0, 6),
  [680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 2, 0, 0),
  [684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 2, 0, 0),
  [686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 3, 0, 0),
  [688] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 3, 0, 0),
  [690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__alternative_statement, 1, 0, 3),
  [692] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__alternative_statement, 1, 0, 3),
  [694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_style_element, 3, 0, 0),
  [696] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_style_element, 3, 0, 0),
  [698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_erroneous_end_tag, 3, 0, 0),
  [700] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_erroneous_end_tag, 3, 0, 0),
  [702] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(648),
  [705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__alternative_statement, 1, 0, 2),
  [707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__alternative_statement, 1, 0, 2),
  [709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__any_statement, 1, 0, 1),
  [711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__any_statement, 1, 0, 1),
  [713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 5, 0, 32),
  [715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 5, 0, 32),
  [717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_loading_statement, 3, 0, 13),
  [719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_loading_statement, 3, 0, 13),
  [721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 5, 0, 33),
  [723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 5, 0, 33),
  [725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defer_statement, 3, 0, 13),
  [729] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_defer_statement, 3, 0, 13),
  [731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__node, 1, 0, 1),
  [733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__node, 1, 0, 1),
  [735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_element, 1, 0, 0),
  [737] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_element, 1, 0, 0),
  [739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_statement, 5, 0, 30),
  [741] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_if_statement, 5, 0, 30),
  [743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__alternative_statement, 1, 0, 5),
  [745] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__alternative_statement, 1, 0, 5),
  [747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_statement, 6, 0, 41),
  [749] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_if_statement, 6, 0, 41),
  [751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_placeholder_statement, 3, 0, 13),
  [753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_placeholder_statement, 3, 0, 13),
  [755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 1, 0, 1),
  [757] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_document_repeat1, 1, 0, 1),
  [759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 44),
  [761] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 44),
  [763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_statement, 3, 0, 0),
  [765] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_statement, 3, 0, 0),
  [767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 1),
  [769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 1),
  [771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__alternative_statement, 1, 0, 4),
  [773] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__alternative_statement, 1, 0, 4),
  [775] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(628),
  [778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_start_tag, 3, 0, 0),
  [780] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_start_tag, 3, 0, 0),
  [782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(142),
  [784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_start_tag, 4, 0, 0),
  [788] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_start_tag, 4, 0, 0),
  [790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(350),
  [794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [800] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(627),
  [803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(354),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(667),
  [809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(349),
  [811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 1, 0, 0),
  [813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0),
  [821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(400),
  [827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(331),
  [833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0),
  [839] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(400),
  [842] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(335),
  [845] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(706),
  [848] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(331),
  [851] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(334),
  [854] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(352),
  [857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(336),
  [875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [881] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(427),
  [884] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(347),
  [887] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(745),
  [890] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(336),
  [893] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(340),
  [896] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(342),
  [899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [903] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 51), SHIFT_REPEAT(115),
  [906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [910] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_assignment, 3, 0, 0),
  [912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(36),
  [914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(486),
  [916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(683),
  [920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(129),
  [922] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(667),
  [925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_animation_binding, 3, 0, 0),
  [927] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_animation_binding, 3, 0, 0),
  [929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(126),
  [935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_expression, 1, 0, 0),
  [937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(98),
  [943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_directive, 2, 0, 0),
  [951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structural_directive, 2, 0, 0),
  [953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__normal_attribute, 1, 0, 0),
  [957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__normal_attribute, 1, 0, 0),
  [959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [967] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 51), SHIFT_REPEAT(118),
  [970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_assignment, 4, 0, 0),
  [972] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_assignment, 4, 0, 0),
  [974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, 0, 0),
  [976] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute, 1, 0, 0),
  [978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_attribute_value, 3, 0, 0),
  [982] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_attribute_value, 3, 0, 0),
  [984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_animation_binding, 4, 0, 46),
  [988] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_animation_binding, 4, 0, 46),
  [990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_two_way_binding, 4, 0, 0),
  [992] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_two_way_binding, 4, 0, 0),
  [994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_binding, 4, 0, 0),
  [998] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_binding, 4, 0, 0),
  [1000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [1002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_event_binding, 4, 0, 0),
  [1004] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_event_binding, 4, 0, 0),
  [1006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_attribute_value, 2, 0, 0),
  [1008] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_attribute_value, 2, 0, 0),
  [1010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_assignment, 5, 0, 0),
  [1012] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_assignment, 5, 0, 0),
  [1014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_assignment, 1, 0, 19),
  [1016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [1018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [1020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [1022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [1024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__normal_attribute, 3, 0, 0),
  [1026] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__normal_attribute, 3, 0, 0),
  [1028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binding_name, 1, 0, 0),
  [1030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [1032] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 51), SHIFT_REPEAT(108),
  [1035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [1037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_directive, 6, 0, 0),
  [1039] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structural_directive, 6, 0, 0),
  [1041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [1043] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(683),
  [1046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(99),
  [1048] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(677),
  [1051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [1053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defer_trigger_condition, 3, 0, 34),
  [1055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defer_trigger_condition, 2, 0, 22),
  [1057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [1059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 24),
  [1061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [1063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [1065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [1067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [1069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0),
  [1071] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0), SHIFT_REPEAT(725),
  [1074] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0), SHIFT_REPEAT(620),
  [1077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_expression, 2, 0, 54),
  [1079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [1081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_assignment, 2, 0, 57),
  [1083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [1085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(157),
  [1087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [1089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(493),
  [1091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [1093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [1095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_assignment, 4, 0, 64),
  [1097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_assignment, 3, 0, 62),
  [1099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [1101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(487),
  [1103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(173),
  [1105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [1107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(468),
  [1109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [1111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [1113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(485),
  [1115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [1117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [1119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [1121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [1123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(759),
  [1125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(761),
  [1127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(765),
  [1129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(766),
  [1131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(767),
  [1133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [1135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(500),
  [1137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(40),
  [1139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(239),
  [1141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [1143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [1145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0),
  [1147] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0), SHIFT_REPEAT(493),
  [1150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0), SHIFT_REPEAT(493),
  [1153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_declaration, 2, 0, 0),
  [1155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [1157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(277),
  [1159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_reference, 2, 0, 42),
  [1161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [1163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_icu_expression_repeat1, 2, 0, 0),
  [1165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_icu_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(735),
  [1168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__binding_assignment_repeat1, 2, 0, 0),
  [1170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [1172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [1174] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(500),
  [1177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(500),
  [1180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_reference_repeat1, 2, 0, 53),
  [1182] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_reference_repeat1, 2, 0, 53), SHIFT_REPEAT(604),
  [1185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [1187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [1189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [1191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [1193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [1195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 3, 0, 27),
  [1197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_declaration, 3, 0, 0),
  [1199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [1201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [1203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [1205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [1207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_reference, 3, 0, 49),
  [1209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [1211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [1213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [1215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [1217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [1219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_declaration, 6, 0, 52),
  [1221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_structural_declaration_repeat1, 2, 0, 0),
  [1223] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_structural_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(568),
  [1226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0),
  [1228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_condition, 1, 0, 0),
  [1230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_assignment, 4, 0, 65),
  [1232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [1234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [1236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [1238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_assignment, 5, 0, 68),
  [1240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__context_expression, 4, 0, 67),
  [1242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__context_expression, 4, 0, 0),
  [1244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(106),
  [1246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_member_expression, 1, 0, 0),
  [1248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__structural_let_expression, 3, 0, 63),
  [1250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_assignment, 3, 0, 24),
  [1252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 5, 0, 33),
  [1254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [1256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [1258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [1260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [1262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [1264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [1266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [1268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [1270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [1272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [1274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [1276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [1278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [1280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [1282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_expression, 3, 0, 54),
  [1284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [1286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__alias, 2, 0, 42),
  [1288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(137),
  [1290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [1292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [1294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [1296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [1298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [1300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 0),
  [1302] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 0), SHIFT_REPEAT(444),
  [1305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [1307] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(127),
  [1310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2, 0, 0),
  [1312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [1314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [1316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [1318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_references, 2, 0, 31),
  [1320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [1322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [1324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [1326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [1328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(738),
  [1330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(418),
  [1332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_assignment, 2, 0, 58),
  [1334] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__binding_assignment_repeat1, 2, 0, 0), SHIFT_REPEAT(60),
  [1337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [1339] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_defer_trigger_repeat1, 2, 0, 36), SHIFT_REPEAT(518),
  [1342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_defer_trigger_repeat1, 2, 0, 36),
  [1344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [1346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [1348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [1350] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(207),
  [1353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 1, 0, 10),
  [1355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [1357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [1359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [1361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [1363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_expression, 2, 0, 0),
  [1365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [1367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [1369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_references, 3, 0, 43),
  [1371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [1373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_reference_repeat1, 2, 0, 42),
  [1375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [1377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_statement, 2, 0, 8),
  [1379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [1381] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_references_repeat1, 2, 0, 50), SHIFT_REPEAT(624),
  [1384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_references_repeat1, 2, 0, 50),
  [1386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [1388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [1390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_references_repeat1, 2, 0, 31),
  [1392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [1394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [1396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [1398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [1400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [1402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [1404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [1406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [1408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [1410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [1412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [1414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [1416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [1418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [1420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_script_start_tag, 3, 0, 0),
  [1422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [1424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [1426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [1428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(416),
  [1430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [1432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [1434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [1436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [1438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_style_start_tag, 3, 0, 0),
  [1440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [1442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_defer_trigger_repeat1, 2, 0, 23),
  [1444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [1446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [1448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [1450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [1452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [1454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_style_start_tag, 4, 0, 0),
  [1456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_script_start_tag, 4, 0, 0),
  [1458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [1460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [1462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_timed_expression, 2, 0, 25),
  [1464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [1466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [1468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_icu_case, 4, 0, 61),
  [1470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_icu_case, 4, 0, 61),
  [1472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__then_template_expression, 3, 0, 0),
  [1474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [1476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [1478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [1480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [1482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [1484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [1486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [1488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_loading_condition, 3, 0, 23),
  [1490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [1492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_placeholder_minimum, 3, 0, 26),
  [1494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [1496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defer_trigger, 3, 0, 23),
  [1498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_icu_clause, 1, 0, 0),
  [1500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [1502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [1504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [1506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [1508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [1510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [1512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [1514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [1516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [1518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [1520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [1522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [1524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [1526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [1528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_expression, 4, 0, 54),
  [1530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [1532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [1534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defer_trigger, 4, 0, 35),
  [1536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [1538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [1540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [1542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_reference, 3, 0, 0),
  [1544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [1546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [1548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [1550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [1552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [1554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_loading_condition, 5, 0, 45),
  [1556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [1558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [1560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [1562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [1564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [1566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [1568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [1570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [1572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [1574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [1576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [1578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [1580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [1582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [1584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_expression, 2, 0, 55),
  [1586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_expression, 2, 0, 56),
  [1588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [1590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [1592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [1594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [1596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [1598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [1600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [1602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [1604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [1606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [1608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [1610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [1612] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [1614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [1616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_expression, 3, 0, 59),
  [1618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [1620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_expression, 3, 0, 60),
  [1622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [1624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [1626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_expression, 3, 0, 0),
  [1628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__else_template_expression, 3, 0, 0),
  [1630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [1632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [1634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [1636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__structural_let_expression, 4, 0, 66),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__start_tag_name = 0,
  ts_external_token__script_start_tag_name = 1,
  ts_external_token__style_start_tag_name = 2,
  ts_external_token__end_tag_name = 3,
  ts_external_token_erroneous_end_tag_name = 4,
  ts_external_token_SLASH_GT = 5,
  ts_external_token__implicit_end_tag = 6,
  ts_external_token_raw_text = 7,
  ts_external_token_comment = 8,
  ts_external_token__interpolation_start = 9,
  ts_external_token__interpolation_end = 10,
  ts_external_token_if_start = 11,
  ts_external_token_else_start = 12,
  ts_external_token_for_start = 13,
  ts_external_token_switch_start = 14,
  ts_external_token_case_start = 15,
  ts_external_token_default_start = 16,
  ts_external_token_defer_start = 17,
  ts_external_token_let_start = 18,
  ts_external_token_empty_start = 19,
  ts_external_token_placeholder_start = 20,
  ts_external_token_loading_start = 21,
  ts_external_token_error_start = 22,
  ts_external_token_else_if_start = 23,
  ts_external_token_at_sign = 24,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__start_tag_name] = sym__start_tag_name,
  [ts_external_token__script_start_tag_name] = sym__script_start_tag_name,
  [ts_external_token__style_start_tag_name] = sym__style_start_tag_name,
  [ts_external_token__end_tag_name] = sym__end_tag_name,
  [ts_external_token_erroneous_end_tag_name] = sym_erroneous_end_tag_name,
  [ts_external_token_SLASH_GT] = anon_sym_SLASH_GT,
  [ts_external_token__implicit_end_tag] = sym__implicit_end_tag,
  [ts_external_token_raw_text] = sym_raw_text,
  [ts_external_token_comment] = sym_comment,
  [ts_external_token__interpolation_start] = sym__interpolation_start,
  [ts_external_token__interpolation_end] = sym__interpolation_end,
  [ts_external_token_if_start] = sym_if_start,
  [ts_external_token_else_start] = sym_else_start,
  [ts_external_token_for_start] = sym_for_start,
  [ts_external_token_switch_start] = sym_switch_start,
  [ts_external_token_case_start] = sym_case_start,
  [ts_external_token_default_start] = sym_default_start,
  [ts_external_token_defer_start] = sym_defer_start,
  [ts_external_token_let_start] = sym_let_start,
  [ts_external_token_empty_start] = sym_empty_start,
  [ts_external_token_placeholder_start] = sym_placeholder_start,
  [ts_external_token_loading_start] = sym_loading_start,
  [ts_external_token_error_start] = sym_error_start,
  [ts_external_token_else_if_start] = sym_else_if_start,
  [ts_external_token_at_sign] = sym_at_sign,
};

static const bool ts_external_scanner_states[13][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__start_tag_name] = true,
    [ts_external_token__script_start_tag_name] = true,
    [ts_external_token__style_start_tag_name] = true,
    [ts_external_token__end_tag_name] = true,
    [ts_external_token_erroneous_end_tag_name] = true,
    [ts_external_token_SLASH_GT] = true,
    [ts_external_token__implicit_end_tag] = true,
    [ts_external_token_raw_text] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__interpolation_start] = true,
    [ts_external_token__interpolation_end] = true,
    [ts_external_token_if_start] = true,
    [ts_external_token_else_start] = true,
    [ts_external_token_for_start] = true,
    [ts_external_token_switch_start] = true,
    [ts_external_token_case_start] = true,
    [ts_external_token_default_start] = true,
    [ts_external_token_defer_start] = true,
    [ts_external_token_let_start] = true,
    [ts_external_token_empty_start] = true,
    [ts_external_token_placeholder_start] = true,
    [ts_external_token_loading_start] = true,
    [ts_external_token_error_start] = true,
    [ts_external_token_else_if_start] = true,
    [ts_external_token_at_sign] = true,
  },
  [2] = {
    [ts_external_token_comment] = true,
    [ts_external_token__interpolation_start] = true,
    [ts_external_token_if_start] = true,
    [ts_external_token_else_start] = true,
    [ts_external_token_for_start] = true,
    [ts_external_token_switch_start] = true,
    [ts_external_token_defer_start] = true,
    [ts_external_token_let_start] = true,
    [ts_external_token_empty_start] = true,
    [ts_external_token_placeholder_start] = true,
    [ts_external_token_loading_start] = true,
    [ts_external_token_error_start] = true,
    [ts_external_token_else_if_start] = true,
    [ts_external_token_at_sign] = true,
  },
  [3] = {
    [ts_external_token__implicit_end_tag] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__interpolation_start] = true,
    [ts_external_token_if_start] = true,
    [ts_external_token_else_start] = true,
    [ts_external_token_for_start] = true,
    [ts_external_token_switch_start] = true,
    [ts_external_token_defer_start] = true,
    [ts_external_token_let_start] = true,
    [ts_external_token_empty_start] = true,
    [ts_external_token_placeholder_start] = true,
    [ts_external_token_loading_start] = true,
    [ts_external_token_error_start] = true,
    [ts_external_token_else_if_start] = true,
    [ts_external_token_at_sign] = true,
  },
  [4] = {
    [ts_external_token_comment] = true,
  },
  [5] = {
    [ts_external_token_comment] = true,
    [ts_external_token__interpolation_end] = true,
  },
  [6] = {
    [ts_external_token_SLASH_GT] = true,
    [ts_external_token_comment] = true,
  },
  [7] = {
    [ts_external_token_comment] = true,
    [ts_external_token_case_start] = true,
    [ts_external_token_default_start] = true,
  },
  [8] = {
    [ts_external_token__start_tag_name] = true,
    [ts_external_token__script_start_tag_name] = true,
    [ts_external_token__style_start_tag_name] = true,
    [ts_external_token_comment] = true,
  },
  [9] = {
    [ts_external_token_raw_text] = true,
    [ts_external_token_comment] = true,
  },
  [10] = {
    [ts_external_token__end_tag_name] = true,
    [ts_external_token_erroneous_end_tag_name] = true,
    [ts_external_token_comment] = true,
  },
  [11] = {
    [ts_external_token__end_tag_name] = true,
    [ts_external_token_comment] = true,
  },
  [12] = {
    [ts_external_token_erroneous_end_tag_name] = true,
    [ts_external_token_comment] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_angular_external_scanner_create(void);
void tree_sitter_angular_external_scanner_destroy(void *);
bool tree_sitter_angular_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_angular_external_scanner_serialize(void *, char *);
void tree_sitter_angular_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_angular(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_angular_external_scanner_create,
      tree_sitter_angular_external_scanner_destroy,
      tree_sitter_angular_external_scanner_scan,
      tree_sitter_angular_external_scanner_serialize,
      tree_sitter_angular_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
